2025-05-05 Mike Gabriel

        * Release 3.3.0 (HEAD -> main, tag: v3.3.0)

2025-04-30 Mike Gabriel

        * Merge branch 'files-tab-page' into 'main' (4fe50757)

2025-04-18 Mark Muth

        * Use QStandardPaths to determine the XDG_MUSIC_DIR (edeffdbd)

2025-02-28 Mark Muth

        * Use XDG_MUSIC_DIR from user-dir.dirs to truncate file paths in the
          Files tab (79bb9e2b)

2025-02-12 Mark Muth

        * Use HOME environment variable instead of hard-coded /home/phablet
          (d5fc3175)

2025-01-24 Mark Muth

        * Add new Files tab page with file names (a4b6febc)

2025-03-13 Niko

        * Translated using Weblate (Serbian) (12cd5c25)

2025-02-06 Milo Ivir

        * Translated using Weblate (Croatian) (9eaea19c)

2025-02-01 Milo Ivir

        * Translated using Weblate (Croatian) (5942afcd)

2025-01-12 தமிழ்நேரம்

        * Translated using Weblate (Tamil) (985743e0)

2024-12-29 Mike Gabriel

        * Merge branch 'fix/bindtextdomain' into 'main' (4e950521)

2024-12-15 OPNA2608

        * Call i18n.bindtextdomain with buildtime-determined locale path
          (ec114927)

2024-12-29 Mike Gabriel

        * Merge branch 'fix/gnuinstalldirsUsage' into 'main' (32591f23)

2024-12-15 OPNA2608

        * CMakeLists.txt: Fix GNUInstallDirs usage (4c977060)
        * config.h.in: Fix GNUInstallDirs usage (b3b92e51)

2024-12-27 Hosted Weblate

        * Update translation files (29a9a293)

2024-12-22 Marius Gripsgard

        * Merge branch 'revert-73056a2a' into 'main' (a58a80eb)

2024-12-11 Ratchanan Srirattanamet

        * Revert "Fix connections syntax" (31332b1c)

2024-11-29 Mike Gabriel

        * Merge branch 'fix_queue_index' into 'main' (5f17c7c9)

2024-11-26 Roker2

        * Fix resetting queue index (172f6657)

2024-11-26 Mike Gabriel

        * Merge branch 'fixes' into 'main' (28f6d188)

2024-11-25 Roker2

        * Fix connections syntax (73056a2a)

2024-11-10 Mike Gabriel

        * Release 3.2.2 (d1998ba2) (tag: v3.2.2)
        * Merge branch 'personal/peat-psuwit/fix-phone' into 'main'
          (14660d73)

2024-11-10 Ratchanan Srirattanamet

        * MusicPlayer: remove window flag for fullscreen (650c8c70)
          Fixes:
          f99b5f17 ("Move application to cpp")

        * MusicPlayer: size root QML object to window, not the other way
          around (d4587766)
          Fixes: f99b5f17 ("Move application to
          cpp")

        * MusicPlayer: revert application name back to before move to C++
          (a75d4f5c)
          Fixes: f99b5f17 ("Move application to cpp")

        * config.h.in: add app directory detection when running as Click
          (f0849698)
          Fixes: f99b5f17 ("Move application to cpp")

2024-11-09 Mike Gabriel

        * Release 3.2.1 (730a151a) (tag: v3.2.1)

2024-11-01 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/click-arch-any' into 'main'
          (623d1eb4)

2024-10-25 Mike Gabriel

        * d/control: add ${shlibs:Depends} to D: field. (9746ef39)
        * d/control: Add to: B-D: pkgconf, qtdeclarative5-dev and
          qtdeclarative5-dev-tools. (b96a8c10)
        * CMakeLists.txt: In non-CLICK_MODE, add lomiri-music argument
          --url=%u to Exec= key in .desktop file. (6faf31bc)
        * CMakeLists.txt: In CLICK_MODE, call lomiri-music-app executable
          directly, qmlscene is not used anymore. (5095c850)
        * click packaging: Update manifest.json.in and .gitlab-ci.yml to
          build music app as arch:any package, not arch:all.
          (a32fea6b)
        * Release 3.2.0 (7acd6adb) (tag: v3.2.0)

2024-10-16 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/deb-packaging-adjustments' into
          'main' (361e3a4b)

2024-10-16 Mike Gabriel

        * debian/copyright: Update attributions for upcoming release.
          (8b81647d)
        * debian/{control,rules}: Port over more packaging details from
          official Debian package. (ed52ac96)
        * d/copyright: Adopt from official Debian package. (1a608e39)
        * debian/control: Make lomiri-music-app bin:pkg arch:any. (728ccde9)
        * debian/control: Drop qmlscene from D:. (31cdf05c)
        * Merge branch 'pr/move-to-cpp' into 'main' (cc2fffa2)

2024-10-16 Robert Tari

        * Move application to cpp (f99b5f17)

2024-10-08 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/splash-image-for-non-clicks' into
          'main' (d91e8f9c)

2024-10-08 Mike Gabriel

        * CMakeLists.txt: Define SPLASH CMake variable when building as
          non-click. (d99c845f)

2024-09-24 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/shared-runner-for-contributors'
          into 'main' (0e696558)
        * .gitlab-ci.yml: remove hardcoded ubports tag too (15b1a07b)

2024-09-22 Mike Gabriel

        * .gitlab-ci.yml: use shared runner if run outside our namespace.
          (84ee0566)

2024-09-04 phlostically

        * Translated using Weblate (Esperanto) (7947feb7)

2024-09-11 Mike Gabriel

        * Release 3.1.1 (5cbae47f) (tag: v3.1.1)
        * .gitlab-ci.yml: Use UBports GitLab runner. (133b4f23)
        * Release 3.1.0 (2437a411) (tag: v3.1.0)

2024-09-04 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/non-click-content-hub-fix' into
          'main' (1d784f40)

2024-09-04 Mike Gabriel

        * click/CMakeLists.txt: Use new DATADIR path for (lomiri-)content-hub
          peer configurations. (63cc6901)
        * CMakeLists.txt: Install music-app-content.json as
          DATADIR/content-hub/peers/lomiri-music-app when built in
          non-click mode. (420962eb)

2024-08-12 umesaburo sagawa

        * Translated using Weblate (Japanese) (f5b47f0c)

2024-07-22 Jiri Grönroos

        * Translated using Weblate (Finnish) (f4dfe4a2)

2024-06-30 Mike Gabriel

        * Release 3.0.4 (03aa6afc) (tag: v3.0.4)

2024-06-14 Mike Gabriel

        * Merge branch 'personal/gberh/fix-url-dispatcher' into 'main'
          (e4ec75f1)

2024-06-11 Guido Berhoerster

        * Fix lomiri-url-dispatcher support for non-click installation
          (f8fe0ea5)

2024-06-13 Mike Gabriel

        * Merge branch 'main_-_missingfiles' into 'main' (21397b3f)

2024-03-21 kugiigi

        * Add warning & dialog when a playlist has missing tracks (5bf81488)

2024-06-07 Mike Gabriel

        * Merge branch 'main_-_avoidduplicate' into 'main' (3bf652ee)

2024-03-21 Kugi Eusebio

        * Do not add duplicate songs to a playlist (e5739e41)

2024-05-29 Ali Beyaz

        * Translated using Weblate (Turkish) (18f8efa8)

2024-05-04 phlostically

        * Translated using Weblate (Esperanto) (427bd9c6)

2024-04-12 复予

        * Translated using Weblate (Chinese (Simplified)) (5e7342a0)

2024-03-09 saveurlinux

        * Translated using Weblate (French) (9af6cbcc)

2024-03-06 Giannis Vassilopoulos

        * Translated using Weblate (Greek) (223e603d)

2023-12-28 Hosted Weblate

        * Update translation files (de149c82)

2023-12-27 Weblate

        * Added translation using Weblate (Chinese (Simplified)
          (zh_LATN@pinyin)) (688fb5a6)
        * Added translation using Weblate (Tamil (Sri Lanka)) (96f1335d)
        * Added translation using Weblate (German (Walser)) (0cbd6896)
        * Added translation using Weblate (Meadow Mari) (27e7b2e3)
        * Added translation using Weblate (Crimean Tatar) (7e32c401)
        * Added translation using Weblate (Chuvash) (73581691)
        * Added translation using Weblate (Silesian) (a6cb481f)
        * Added translation using Weblate (Latin) (36749ad3)
        * Added translation using Weblate (Venetian) (67439442)
        * Added translation using Weblate (Ossetian) (33285dd3)
        * Added translation using Weblate (Sami (Northern)) (8f81b823)
        * Added translation using Weblate (Greenlandic) (5fec3005)
        * Added translation using Weblate (Assamese) (ba51efd7)
        * Added translation using Weblate (Haitian) (4204d578)
        * Added translation using Weblate (Cornish) (26f3f112)
        * Added translation using Weblate (Frisian) (0ba1775c)
        * Added translation using Weblate (Kashubian) (7646f047)
        * Added translation using Weblate (Aragonese) (5f9f74c2)
        * Added translation using Weblate (Tibetan) (860c9dd7)
        * Added translation using Weblate (Filipino) (182fb606)
        * Added translation using Weblate (Tigrinya) (fbb57dc6)
        * Added translation using Weblate (Tatar) (c7a6f9bf)

2023-12-26 Hosted Weblate

        * Update translation files (9c1bbc88)

2023-12-26 Weblate

        * Added translation using Weblate (Italian (it_CARES)) (eca55b19)

2023-10-22 Hosted Weblate

        * Update translation files (6d7e0886)

2023-10-18 Weblate

        * Added translation using Weblate (Xhosa) (301aa751)
        * Added translation using Weblate (Manx) (9294a423)
        * Added translation using Weblate (Corsican) (180f253e)
        * Added translation using Weblate (Chechen) (13b63f6f)
        * Added translation using Weblate (Wolof) (85215e29)
        * Added translation using Weblate (Uzbek) (a560386d)
        * Added translation using Weblate (Kyrgyz) (1add89b4)
        * Added translation using Weblate (Kurdish) (9baea160)
        * Added translation using Weblate (Kazakh) (6fe0bdd6)
        * Added translation using Weblate (Nepali) (1593cc2b)
        * Added translation using Weblate (Norwegian Nynorsk) (1a0d260e)
        * Added translation using Weblate (Interlingua) (dcdf8b20)
        * Added translation using Weblate (Swahili) (9fe923f4)
        * Added translation using Weblate (Afrikaans) (a9238e5d)
        * Added translation using Weblate (Vietnamese) (dfe822b1)
        * Added translation using Weblate (Odia) (4ef6b37f)
        * Added translation using Weblate (Occitan) (e26bb640)
        * Added translation using Weblate (Estonian) (5da1d909)

2023-10-15 Mike Gabriel

        * Release 3.0.3 (d766e761) (tag: v3.0.3)

2023-09-06 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (02adb7e8)

2023-07-17 Lionel Duboeuf

        * Do not override default flick velocity when QT AUTO Scale is ON
          fixes
          https://gitlab.com/ubports/development/apps/lomiri-music-app/-/issues/96
          (e277baeb)

2023-08-13 Abdullah AL Shohag

        * Translated using Weblate (Bengali (Bangladesh)) (24c7a498)

2023-07-21 abidin toumi

        * Translated using Weblate (Arabic) (35f15143)

2023-06-30 Rudra Harsh V.Singh

        * Translated using Weblate (Sanskrit) (7d158d7c)
        * Added translation using Weblate (Sanskrit) (e3d7ae9a)

2023-06-27 Rudra Harsh V.Singh

        * Translated using Weblate (English (Canada)) (6a75ae15)

2023-06-26 Rudra Harsh V.Singh

        * Translated using Weblate (Hindi) (4827060b)

2023-06-28 J. Lavoie

        * Translated using Weblate (French) (de642205)
        * Translated using Weblate (German) (e73a34bc)

2023-06-06 Guido Berhoerster

        * Merge branch 'add_ignore_review' into 'main' (301a8ada)

2023-03-30 Danfro

        * add ignore review errors to clickable.yaml to allow local building
          (6cf94329)

2023-04-14 Lundrin

        * Translated using Weblate (Hungarian) (7c6224c5)

2023-04-12 Temuri Doghonadze

        * Translated using Weblate (Georgian) (40ca3fad)

2023-04-11 Temuri Doghonadze

        * Translated using Weblate (Georgian) (f5f18263)
        * Translated using Weblate (Georgian) (235b32ca)

2023-04-04 gallegonovato

        * Translated using Weblate (Spanish) (0528fabc)

2023-03-31 Sylke Vicious

        * Translated using Weblate (Italian) (102e7584)

2023-03-30 Sylke Vicious

        * Translated using Weblate (Italian) (69c0c320)

2023-03-30 Jozef Mlich

        * Translated using Weblate (Czech) (526f5485)

2023-03-29 Jozef Mlich

        * Translated using Weblate (Czech) (70f1912d)

2023-03-22 phlostically

        * Translated using Weblate (Esperanto) (0652518e)

2023-03-15 Mike Gabriel

        * Merge branch 'personal/gberh/click-migrate' into 'main' (95498a6c)

2023-02-28 Guido Berhoerster

        * Use session-migration for migration in Debian (a1a27454)

2023-02-24 Guido Berhoerster

        * Add migrations to manifest (dba9001a)
        * Add migration wrapper script (7a1bec5b)

2023-03-05 Asahi 95

        * Translated using Weblate (Japanese) (e6edcdd9)

2023-02-26 Luna Jernberg

        * Translated using Weblate (Swedish) (fb66bd84)

2023-02-27 Guido Berhoerster

        * Release 3.0.2 (be7dfcf6) (tag: v3.0.2)

2023-02-20 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (51b2fdbf)
        * Translated using Weblate (Russian) (db022138)

2023-02-21 Heimen Stoffels

        * Translated using Weblate (Dutch) (41424e3b)

2023-02-16 phlostically

        * Translated using Weblate (Esperanto) (96481d5b)

2023-02-14 Luna Jernberg

        * Translated using Weblate (Swedish) (f46ed45e)

2023-02-15 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (f92a0940)

2023-02-15 Mike Gabriel

        * po/: Drop ku.po in favour of ckb.po/kmr.po/sdh.po as suggested by
          Weblate. (3a2852aa)

2023-02-04 Mike Gabriel

        * Translated using Weblate (German) (ecaae0d0)

2023-02-03 Guido Berhoerster

        * Release 3.0.1 (d9075d32) (tag: v3.0.1)

2023-02-03 Mike Gabriel

        * Merge branch 'personal/gberh/gettext-domain' into 'main' (2cff9ec9)

2023-02-03 Guido Berhoerster

        * Explicitly set gettext domain (3470cfab)

2023-01-31 Mike Gabriel

        * Translated using Weblate (German) (9efb321b)

2023-01-30 Ivo Xavier

        * Translated using Weblate (Portuguese) (5c92c360)

2023-01-24 gnu-ewm

        * Translated using Weblate (Polish) (5b947304)

2023-01-21 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (f4a019c4)
        * Translated using Weblate (Ukrainian) (23df6335)

2023-01-20 Sergii Horichenko

        * Translated using Weblate (Russian) (d5146473)

2023-01-19 Hosted Weblate

        * Update translation files (f40ea4f2)

2023-01-18 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (76846be2)

2023-01-18 Guido Berhoerster

        * Release 3.0.0 (8759c338) (tag: v3.0.0)
        * Update .pot file (b9ef425b)

2023-01-16 Ivo Xavier

        * Translated using Weblate (Portuguese) (adc31ae3)

2023-01-15 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (6b22b7bb)

2023-01-14 Dan

        * Translated using Weblate (Ukrainian) (046343c5)
        * Translated using Weblate (Ukrainian) (58a85d7f)

2023-01-13 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (abdcfc1e)

2023-01-14 Dan

        * Translated using Weblate (Ukrainian) (e8fc8f5b)

2023-01-13 Sergii Horichenko

        * Translated using Weblate (Russian) (14356918)

2023-01-13 Ivo Xavier

        * Translated using Weblate (Portuguese) (49021588)

2023-01-13 Timothy G

        * Translated using Weblate (French) (792e63c2)

2023-01-13 Mike Gabriel

        * Merge branch 'main_-_chcopy' into 'main' (6d7db4d1)

2022-03-22 Lionel Duboeuf

        * Prevent issue with Popup on open/close (7809eeec)

2022-03-17 Lionel Duboeuf

        * Use copy instead of move method from content-hub (e5f0d174)

2023-01-11 Dan

        * Translated using Weblate (Ukrainian) (61f05b47)

2023-01-12 Mike Gabriel

        * Merge branch 'personal/gberh/cleanup' into 'main' (1918e64f)

2023-01-09 Guido Berhoerster

        * Update instructions for translators (3118d1b1)
        * Update README.md (78222737)
        * Remove obsolete BZR_REVNO and BZR_SOURCE (2b668b3c)
        * Update CMake requirements (6bd4fc47)

2023-01-10 Dan

        * Translated using Weblate (Ukrainian) (450fb280)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (b953d9a1)

2023-01-06 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (003d4b67)

2023-01-06 Daniel Frost

        * Translated using Weblate (German) (a47dccbf)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (e7208f70)

2023-01-04 Anonymous

        * Translated using Weblate (Urdu) (ec1ae6ec)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (14d5f4b9)

2023-01-04 Anonymous

        * Translated using Weblate (Ido) (c0b7f986)
        * Translated using Weblate (Tetum) (b6d3bf16)
        * Translated using Weblate (Scots) (dadbb97f)
        * Translated using Weblate (Franco-Provençal) (e66534c7)
        * Translated using Weblate (Sindhi) (71fcd7c7)
        * Translated using Weblate (Pampanga) (b2d17822)
        * Translated using Weblate (Malagasy) (721082cf)
        * Translated using Weblate (Kabyle) (105929b1)
        * Translated using Weblate (Luxembourgish) (136e616e)
        * Translated using Weblate (French (Switzerland)) (3f66f527)
        * Translated using Weblate (Tajik) (07d74351)
        * Translated using Weblate (Lojban) (8987d689)
        * Translated using Weblate (Lingala) (163b4230)
        * Translated using Weblate (Oromo) (7e99c6ff)
        * Translated using Weblate (Bemba) (1f5f8540)
        * Translated using Weblate (Nyanja) (91204b1a)
        * Translated using Weblate (Turkmen) (e85d621d)
        * Translated using Weblate (Friulian) (52fe2b8c)
        * Translated using Weblate (Macedonian) (05c33672)
        * Translated using Weblate (Chinese (Min Nan)) (7e1f04e8)
        * Translated using Weblate (Kurdish (Southern)) (84078223)
        * Translated using Weblate (Kurdish (Northern)) (00360506)
        * Translated using Weblate (Dhivehi) (aba91181)
        * Translated using Weblate (Telugu) (29d8177e)
        * Translated using Weblate (Sinhala) (f0a2cd6c)
        * Translated using Weblate (Shan) (2f3fd877)
        * Translated using Weblate (Pashto) (648308f7)

2023-01-04 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (e8714492)

2023-01-04 Anonymous

        * Translated using Weblate (Burmese) (6e65d7d7)
        * Translated using Weblate (Marathi) (5430b21d)
        * Translated using Weblate (Malayalam) (acba011a)
        * Translated using Weblate (Maori) (7888c9e0)
        * Translated using Weblate (Lao) (2c13e8bd)
        * Translated using Weblate (English (United States)) (1d4e0eb3)
        * Translated using Weblate (Kurdish (Central)) (4f0e79e2)
        * Translated using Weblate (Bulgarian) (b9f4df70)

2023-01-04 Mike Gabriel

        * Revert "Deleted translation using Weblate (Chinese (Traditional,
          Hong Kong))" (47921069)
        * Revert "Added translation using Weblate (Chinese (Traditional, Hong
          Kong))" (76a39515)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (21aa0ff3)

2023-01-03 Muhammad

        * Translated using Weblate (Urdu) (af888605)

2023-01-04 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (3ce1d4af)

2023-01-04 Mike Gabriel

        * Deleted translation using Weblate (Chinese (Traditional, Hong
          Kong)) (d4a442e2)

2023-01-04 Hosted Weblate

        * Update translation files (8811604a)

2023-01-03 Weblate

        * Added translation using Weblate (Urdu) (9b552b16)
        * Added translation using Weblate (Ido) (9ef9d560)
        * Added translation using Weblate (Tetum) (6555a2ed)
        * Added translation using Weblate (Scots) (76e8ba0b)
        * Added translation using Weblate (Franco-Provençal) (79770129)
        * Added translation using Weblate (Sindhi) (b44259db)
        * Added translation using Weblate (Pampanga) (c7294319)
        * Added translation using Weblate (Malagasy) (4d8831fd)
        * Added translation using Weblate (Kabyle) (5099de1e)
        * Added translation using Weblate (Luxembourgish) (b69c38d5)
        * Added translation using Weblate (French (Switzerland)) (702c2a1a)
        * Added translation using Weblate (Tajik) (11d7207d)
        * Added translation using Weblate (Lojban) (b86a221d)
        * Added translation using Weblate (Lingala) (dffc3df8)
        * Added translation using Weblate (Oromo) (db8ce344)

2023-01-03 Hosted Weblate

        * Update translation files (184f5315)

2023-01-03 Weblate

        * Added translation using Weblate (Bemba) (23019878)
        * Added translation using Weblate (Nyanja) (45608f13)

2023-01-03 Hosted Weblate

        * Update translation files (28b68dca)

2023-01-02 Weblate

        * Added translation using Weblate (Turkmen) (86072822)
        * Added translation using Weblate (Friulian) (ac1070f3)
        * Added translation using Weblate (Macedonian) (1b714947)
        * Added translation using Weblate (English (Canada)) (2d664259)

2023-01-02 Mike Gabriel

        * Merge branch 'update_readme' into 'main' (d6f7ca0d)

2022-12-29 Danfro

        * drop part about building without clickable (6d68795f)
        * update readme and merge separate files into one readme (8dbf1b91)

2022-12-31 Hosted Weblate

        * Update translation files (810ad56e)

2022-12-30 Guido Berhoerster

        * gitlab-ci.yml: Remove fixed clickable version (4856e963)

2022-12-30 Weblate

        * Added translation using Weblate (Chinese (Min Nan)) (170f77ba)
        * Added translation using Weblate (Kurdish (Southern)) (9169c542)
        * Added translation using Weblate (Kurdish (Northern)) (fd069ffd)
        * Added translation using Weblate (Afar) (931fe0a2)
        * Added translation using Weblate (Dhivehi) (12382c0b)
        * Added translation using Weblate (Bengali (Bangladesh)) (3b639103)
        * Added translation using Weblate (Georgian) (daf5c9ff)
        * Added translation using Weblate (Hindi) (642f1f95)
        * Added translation using Weblate (Armenian) (30e07fb0)
        * Added translation using Weblate (Gujarati) (ec38b3c3)

2022-11-22 Mike Gabriel

        * Merge branch 'focal' into 'main' (b33089c1)

2022-08-23 Guido Berhoerster

        * CI: Do not fail builds on warnings and errors (a7980fe4)

2022-07-28 Guido Berhoerster

        * Update GitLab CI configuration (0a5c13ad)
        * Update click packaging (7a4aeca3)

2022-07-18 Guido Berhoerster

        * Move Jenkinsfile to debian/ (9b3fde73)
        * Update debian packaging (6ed213f0)

2022-10-10 Guido Berhoerster

        * Add .pot file (b476c9b8)
        * Modernize i18n (b150b2f1)
        * Remove obsolete snap packaging (d3a2d3bf)
        * Rename application (980f268f)

2022-07-18 Guido Berhoerster

        * Port to lomiri-url-dispatcher (16a3c01d)
        * Port autopilot tests to lomiri-ui-toolkit (59869e4a)

2022-06-20 Danfro

        * bump framework to 20.04 (f46e2211)
        * rename Ubuntu to Lomiri in desktop file (727c162d)
        * rename Ubuntu to Lomiri for imports+components to allow build for
          focal (7c84478c)

2022-04-25 Weblate

        * Translated by creepen123 <eg.ermakov2016@gmail.com> using Weblate
          (Russian) - 100.0% (80 of 80 strings) (a378d00b)

2022-03-24 Weblate

        * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using
          Weblate (Arabic) - 86.2% (69 of 80 strings) (134f3375)

2022-03-10 Weblate

        * Translated by Carlod <carlod@disroot.org> using Weblate (Polish) -
          100.0% (80 of 80 strings) (1678114c)

2022-03-05 Joan CiberSheep

        * Fix media key detection (7a0498b4)

2022-03-04 Joan CiberSheep

        * Update version (7c52662b)
        * Merge branch 'fix_filenamewithspecialchars' into 'master'
          (1d52cf2e)
        * Merge branch 'mateosalta-master-patch-34801' into 'master'
          (75b1061d)
        * Merge branch 'fixhardcodeddbversion' into 'master' (5edef79e)
        * Merge branch 'selectall_selectnone' into 'master' (c0a6000a)
        * Merge branch 'fix_album_cover_widht' into 'master' (f9e58cb4)
        * Fix copy paste error (035d7ab2)
        * Merge branch 'UpdateClickable7' into 'master' (b4304a35)
        * Update CI and project for Clickable 7, thanks Jonny (7c88a3c3)
        * Merge branch 'repeatsingle' into 'master' (68dadf9e)

2022-02-15 Weblate

        * Translated by Allan Nordhøy <epost@anotheragency.no> using Weblate
          (Norwegian Bokmål) - 100.0% (80 of 80 strings) (e39691c0)

2022-02-05 Weblate

        * Translated by Lundrin <berenyi.vilmos@tutanota.com> using Weblate
          (Hungarian) - 100.0% (80 of 80 strings) (b7ba7d21)

2022-01-28 Weblate

        * Translated by c4pp4 <c4pp4@seznam.cz> using Weblate (Czech) -
          100.0% (80 of 80 strings) (874fecd1)

2022-01-03 Danfro

        * change the select-all icon to select-none if all songs are selected
          (0c63fb4e)

2021-12-19 Danfro

        * fix #82 by removing the hardcoded db version (e0878e92)

2021-11-21 Weblate

        * Translated by Adria <adriamartinmor@gmail.com> using Weblate
          (Sardinian) - 100.0% (80 of 80 strings) (b365584f)

2021-11-08 Danfro

        * fix #81 by adding some conditional width setting for album cover
          (e2e6a3af)
        * Merge branch 'master' of gitlab.com:ubports/apps/music-app
          (a12d626b)

2021-10-19 Weblate

        * Translated by Jakob Fridesjö <jakob.fridesjo@tuta.io> using Weblate
          (Swedish) - 100.0% (80 of 80 strings) (09622254)

2021-10-12 Weblate

        * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using
          Weblate (Arabic) - 86.2% (69 of 80 strings) (95097881)

2021-10-04 Weblate

        * Translated by Adolfo Jayme Barrientos <fitojb@ubuntu.com> using
          Weblate (Spanish) - 100.0% (80 of 80 strings) (5b35c224)

2021-09-09 Lionel Duboeuf

        * handle filename with special chars (bab191d6)

2021-08-21 Weblate

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (80 of 80 strings) (ddb037dc)

2021-08-12 Weblate

        * Translated by Peter Nerlich <peter.nerlich+ubports@googlemail.com>
          using Weblate (German) - 100.0% (80 of 80 strings)
          (c5a31030)

2021-07-26 Weblate

        * Translated by Rondy Andersson <rondarius@vivaldi.net> using Weblate
          (Swedish) - 98.7% (79 of 80 strings) (f87f46ce)

2021-06-30 Weblate

        * Translated by Герман Семенов <GermanAizek@yandex.ru> using Weblate
          (Russian) - 100.0% (80 of 80 strings) (eabedb3a)

2021-06-13 Weblate

        * Translated by Ito Rimai <ItoRimai@foxmail.com> using Weblate
          (Chinese (Simplified)) - 100.0% (80 of 80 strings)
          (fbc44d20)

2021-06-01 mateosalta

        * attempt to cherry pick
          https://code.launchpad.net/~vthompson/music-app/use-media-keys
          but fix brackets? needs testing (9a47310f)

2021-05-29 Weblate

        * Translated by Heimen Stoffels <vistausss@fastmail.com> using
          Weblate (Dutch) - 100.0% (80 of 80 strings) (388a0690)

2021-05-22 Weblate

        * Translated by Wannaphong Phatthiyaphaibun <wannaphong@yahoo.com>
          using Weblate (Thai) - 12.0% (10 of 83 strings) (e7fdcd69)

2021-05-03 Weblate

        * Translated by Enceka <enceka@yeah.net> using Weblate (Chinese
          (Simplified)) - 100.0% (80 of 80 strings) (d72ffa43)

2021-04-28 Danfro

        * rework repeat button to use 3-step mode none->single->album
          repeat->none (e1aa0f9b)

2021-04-23 Danfro

        * add repeat-single button to toolbar (e9103dd8)

2021-04-22 Weblate

        * Translated by Adria <adriamartinmor@gmail.com> using Weblate
          (Sardinian) - 100.0% (80 of 80 strings) (531f29b1)

2021-04-15 Danfro

        * Merge branch 'master' of gitlab.com:ubports/apps/music-app
          (470c86a4)

2021-04-12 Weblate

        * Translated by Florian Leeber <flori@bin.org.in> using Weblate
          (German) - 100.0% (80 of 80 strings) (e8988f34)

2021-03-25 Weblate

        * Translated by vokaliz <vokaliz@protonmail.com> using Weblate
          (Russian) - 100.0% (80 of 80 strings) (11d27add)

2021-03-12 Weblate

        * Translated by Jan Christian Sherdahl <jan@sherdahl.no> using
          Weblate (Norwegian Bokmål) - 100.0% (80 of 80 strings)
          (950a5cbf)

2021-03-10 Brian Douglass

        * v2.9.22 - Translation update, thank you translators! (027c8820)
          (tag: v2.9.22)

2021-03-05 Weblate

        * Translated by Sam Zhang <sammyok@163.com> using Weblate (Chinese
          (Simplified)) - 100.0% (80 of 80 strings) (3f82f117)

2021-02-17 Weblate

        * Translated by Max Libre <libremax@protonmail.com> using Weblate
          (French) - 100.0% (80 of 80 strings) (17daee9d)

2021-02-04 Brian Douglass

        * v2.9.21 - Translation update, thank you translators! (95d82cc8)
          (tag: v2.9.21)

2021-01-30 Weblate

        * Translated by imrufbd <imrufbd@gmail.com> using Weblate (Bengali) -
          11.2% (9 of 80 strings) (06faae13)

2021-01-16 Weblate

        * Translated by ierihon <idekovets@mail.ru> using Weblate (Russian) -
          100.0% (80 of 80 strings) (d4a67dff)

2021-01-08 Weblate

        * Translated by Mike <miguel2000@livecom.it> using Weblate (Italian)
          - 100.0% (80 of 80 strings) (c021374c)

2021-01-02 Weblate

        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 42.5% (34
          of 80 strings) (d4d8880d)

2020-12-25 Weblate

        * Translated by Yaron Shahrabani <sh.yaron@gmail.com> using Weblate
          (Hebrew) - 100.0% (80 of 80 strings) (065bbfcc)

2020-12-18 Weblate

        * Translated by Enkli Ylli <eylli@yahoo.com> using Weblate (Albanian)
          - 100.0% (80 of 80 strings) (7754ea3f)

2020-12-16 Brian Douglass

        * v2.9.20 - Translation update, thank you translators! (257e7f07)
          (tag: v2.9.20)

2020-12-08 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 86.2% (69 of 80 strings) (3a1876df)

2020-12-05 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 86.2% (69 of 80 strings) (7fe88c93)

2020-11-27 Weblate

        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 100.0% (80 of 80 strings) (abac300e)

2020-11-23 Brian Douglass

        * v2.9.19 - Translation update, thank you translators! (6150fe5e)
          (tag: v2.9.19)

2020-11-15 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 86.2% (69 of 80 strings) (478fabe6)

2020-11-12 Weblate

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (80 of 80 strings) (6bd8c10b)

2020-11-06 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 86.2% (69 of 80 strings) (a5be92e3)

2020-11-04 Brian Douglass

        * v2.9.18 - Translation update, thank you translators! (b0b4d6f0)
          (tag: v2.9.18)

2020-10-28 Anne Onyme

        * Translated by Anne Onyme <anneonyme017@netcourrier.com> using
          Weblate (French) - 100.0% (80 of 80 strings) (3e997491)

2020-10-27 Heimen Stoffels

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (80 of 80 strings) (f18ba761)

2020-10-27 Ivo Xavier

        * Translated by Ivo Xavier <ivofernandes12@gmail.com> using Weblate
          (Portuguese) - 100.0% (80 of 80 strings) (ceaaebeb)

2020-10-26 Joan CiberSheep

        * Translated by Joan CiberSheep <cibersheep@gmail.com> using Weblate
          (Catalan) - 100.0% (80 of 80 strings) (ca6cc3cc)
        * Translated by Joan CiberSheep <cibersheep@gmail.com> using Weblate
          (Catalan) - 100.0% (80 of 80 strings) (64eff34c)

2020-10-26 Adria

        * Translated by Adria <adriamartinmor@gmail.com> using Weblate
          (Sardinian) - 100.0% (80 of 80 strings) (18fefa9e)

2020-10-26 Heimen Stoffels

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (80 of 80 strings) (e06957d0)

2020-10-01 Brian Douglass

        * v2.9.17 - Translation update, thank you translators! (e65fdf56)
          (tag: v2.9.17)

2020-09-24 P.-H. Lin

        * Translated by P.-H. Lin <cypressyew@gmail.com> using Weblate
          (Chinese (Traditional, Hong Kong)) - 46.2% (37 of 80
          strings) (678d9558)
        * Translated by P.-H. Lin <cypressyew@gmail.com> using Weblate
          (Chinese (Traditional)) - 100.0% (80 of 80 strings)
          (6e5921bf)

2020-09-18 Adria

        * Translated by Adria <adriamartinmor@gmail.com> using Weblate
          (Sardinian) - 100.0% (80 of 80 strings) (b75810dc)

2020-09-08 Weblate

        * Merge branch 'origin/master' into Weblate. (32ac85a2)

2020-09-08 Brian Douglass

        * v2.9.16 - Translation update, thank you translators! (c3b82662)
          (tag: v2.9.16)

2020-09-06 Anne Onyme

        * Translated by Anne Onyme <anneonyme017@netcourrier.com> using
          Weblate (French) - 100.0% (80 of 80 strings) (c7f1726c)

2020-09-05 tamer dab

        * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate
          (Hebrew) - 100.0% (80 of 80 strings) (756198bb)

2020-09-05 Allan Nordhøy

        * Translated by Allan Nordhøy <epost@anotheragency.no> using Weblate
          (Norwegian Bokmål) - 100.0% (80 of 80 strings) (a6efca0b)

2020-09-05 Milan Korecký

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (80 of 80 strings) (e429088e)

2020-09-05 Heimen Stoffels

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (80 of 80 strings) (651f42b4)

2020-09-04 tamer dab

        * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate
          (Hebrew) - 100.0% (80 of 80 strings) (3f4b0ac4)

2020-08-31 Milan Korecký

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (80 of 80 strings) (d17fb127)

2020-08-31 Florian Leeber

        * Translated by Florian Leeber <flori@bin.org.in> using Weblate
          (German) - 100.0% (80 of 80 strings) (333e1877)

2020-08-31 Brian Douglass

        * v2.9.15 - Translation update, thank you translators! (483e6565)
          (tag: v2.9.15)

2020-08-25 anonymous

        * Translated by anonymous <noreply@weblate.org> using Weblate
          (Swedish) - 98.7% (79 of 80 strings) (b52f587a)

2020-08-25 Arvid Brodin

        * Translated by Arvid Brodin <arvidb@fripost.org> using Weblate
          (Swedish) - 98.7% (79 of 80 strings) (a3c27bbd)

2020-08-24 Brian Douglass

        * v2.9.14 - Translation update, thank you translators! (8f414480)
          (tag: v2.9.14)

2020-08-17 Weblate

        * Merge branch 'origin/master' into Weblate. (9b3815f1)

2020-08-17 Brian Douglass

        * v2.9.13 - Translation update, thank you translators! (e06cceda)
          (tag: v2.9.13)

2020-08-16 Efstathios Iosifidis

        * Translated by Efstathios Iosifidis <iefstathios@gmail.com> using
          Weblate (Greek) - 100.0% (80 of 80 strings) (3342ae7b)

2020-08-15 Efstathios Iosifidis

        * Translated by Efstathios Iosifidis <iefstathios@gmail.com> using
          Weblate (Greek) - 100.0% (80 of 80 strings) (064a2665)

2020-08-11 Weblate

        * Merge branch 'origin/master' into Weblate. (bc48a14a)

2020-08-10 Brian Douglass

        * v2.9.12 - Translation update, thank you translators! (cf45e07b)
          (tag: v2.9.12)

2020-08-09 Rüdiger Kupper

        * Translated by Rüdiger Kupper <ruediger.kupper+launchpad@gmail.com>
          using Weblate (German) - 100.0% (80 of 80 strings)
          (17d10745)

2020-08-09 Allan Nordhøy

        * Translated by Allan Nordhøy <epost@anotheragency.no> using Weblate
          (Norwegian Bokmål) - 98.7% (79 of 80 strings) (bd4f900f)

2020-08-08 Weblate

        * Merge branch 'origin/master' into Weblate. (6de05001)

2020-08-08 Brian Douglass

        * v2.9.11 - New splash screen (2c96cb06) (tag: v2.9.11)

2020-08-08 Weblate

        * Merge branch 'origin/master' into Weblate. (e420f437)

2020-08-08 Brian Douglass

        * Merge branch 'TweakSplash' into 'master' (62c54a26)

2020-08-08 Weblate

        * Merge branch 'origin/master' into Weblate. (ba25eb10)

2020-08-08 Brian Douglass

        * Merge branch 'tokenize' into 'master' (53b80603)

2020-08-08 Daniel Frost

        * remove .gitlab-ci.yml from fork to prevent automatic builds when
          tags are created (upstream or local) (6ebdcd1e)

2020-08-08 Joan CiberSheep

        * Tweak Splash to Fit the Rest of the Core Apps (a5acdf29)

2020-08-06 suntron

        * Translated by suntron <suntorn.mon@gmail.com> using Weblate
          (Burmese) - 35.0% (28 of 80 strings) (928a3e4b)

2020-08-05 Danfro

        * Merge branch 'master' of gitlab.com:ubports/apps/music-app
          (e90b8aed)

2020-08-04 Brian Douglass

        * v2.9.10 - Translation update, thank you translators! (f6f2e363)
          (tag: v2.9.10)

2020-08-01 Samson

        * Translated by Samson <sambelet@yahoo.com> using Weblate (Amharic) -
          100.0% (80 of 80 strings) (38d166e8)

2020-07-30 Young Kim

        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          68.7% (55 of 80 strings) (fee9752e)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          65.0% (52 of 80 strings) (1f18e0e0)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          61.2% (49 of 80 strings) (32bb69d3)

2020-07-20 Brian Douglass

        * Removed master branch specification (eaaa4b05) (tag: v2.9.9c)
        * v2.9.9 - Translation update, thank you translators! (9e5cda20)
          (tag: v2.9.9b, tag: v2.9.9)
        * Actually fixed the gitlab ci file (98d92697)
        * Fixed gitlab ci file (4a24bf83)
        * Updated clickable and gitlab configs (43e8654c)

2020-07-16 pietre

        * Translated using Weblate (Spanish) (68b56ef7)

2020-07-14 Brian Douglass

        * v2.9.8 - Translation update, thank you translators! (cd15a82d)
          (tag: v2.9.8)

2020-07-11 Ivo Xavier

        * Translated using Weblate (Portuguese) (279de9f5)

2020-07-07 Heimen Stoffels

        * Translated using Weblate (Dutch) (812279d7)
        * Translated using Weblate (Dutch) (19f3e42e)

2020-07-07 Weblate

        * Merge branch 'origin/master' into Weblate. (b8720ac0)

2020-07-06 Brian Douglass

        * v2.9.7 - Translation update, thank you translators! (e96ea7f7)
          (tag: v2.9.7)

2020-07-05 Heimen Stoffels

        * Translated using Weblate (Dutch) (db5aa65f)

2020-07-03 Heimen Stoffels

        * Translated using Weblate (Dutch) (ba5a8337)

2020-07-03 Stoian Minaiev

        * Translated using Weblate (Ukrainian) (da09b4db)

2020-05-25 Brian Douglass

        * v2.9.6 - Translation update, thank you translators! (34c1c17d)
          (tag: v2.9.6)

2020-05-19 Pavel Borecki

        * Translated using Weblate (Czech) (1e308fc0)

2020-05-18 Pavel Borecki

        * Translated using Weblate (Czech) (ffd0475b)

2020-04-27 Brian Douglass

        * v2.9.5 - Translation update, thank you translators! (3c9f61ee)
          (tag: v2.9.5)

2020-04-22 Adrià

        * Translated using Weblate (Sardinian) (4b58a7e8)

2020-04-13 Brian Douglass

        * v2.9.4 - Translation update, thank you translators! (20d89037)
          (tag: v2.9.4)

2020-04-10 Neutrum N

        * Translated using Weblate (Galician) (57a75ea4)

2020-04-09 Neutrum N

        * Translated using Weblate (Galician) (1f6d5db8)

2020-03-30 Brian Douglass

        * v2.9.3 - Translation update, thank you translators! (25157209)
          (tag: v2.9.3)

2020-03-23 Neutrum N

        * Translated using Weblate (Galician) (c63e0112)

2020-03-10 Brian Douglass

        * v2.9.2 - Translation update, thank you translators! (613abc5f)
          (tag: v2.9.2)

2020-03-05 Neutrum N

        * Translated using Weblate (Galician) (52f7abd5)

2020-03-02 Pavel Borecki

        * Translated using Weblate (Czech) (3a2166f9)

2020-03-02 Brian Douglass

        * v2.9.1 - Translation update, thank you translators! (b4459349)
          (tag: v2.9.1)

2020-02-28 Pavel Borecki

        * Translated using Weblate (Czech) (f21ee1e4)

2020-02-27 Danfro

        * update from 'master' of gitlab.com:ubports/apps/music-app
          (25e33f09)

2020-02-26 Ryan Argente

        * Translated using Weblate (French (Canada)) (dac8dae4)

2020-02-26 Brian Douglass

        * v2.9.0 - Upgraded splash screen (48df799f) (tag: v2.9.0)

2020-02-26 Danfro

        * update from upstream 'master' of gitlab.com:ubports/apps/music-app
          (36bf4234)

2020-02-26 Joan CiberSheep

        * Merge branch 'splash' into 'master' (9d0dc0d1)

2020-02-26 Daniel Frost

        * change splash screen (aedce089)

2020-02-25 Danfro

        * Update from branch 'master' of gitlab.com:ubports/apps/music-app
          (50d3837e)

2020-02-25 Brian Douglass

        * v2.8.2 - Updated translations, thank you translators! (3e5d829f)
          (tag: v2.8.2)

2020-02-20 Ryan Argente

        * Translated using Weblate (French (Canada)) (b3200a94)

2020-02-17 Riccardo Riccio

        * Translated using Weblate (Slovenian) (8a7aaed9)

2020-02-17 Weblate

        * Merge branch 'origin/master' into Weblate. (2a042a23)

2020-02-17 Brian Douglass

        * v2.8.1 - Translation update, thank you translators! (6995f2c3)
          (tag: v2.8.1)

2020-02-16 dano6

        * Translated using Weblate (Slovak) (d03b7ab6)

2020-02-15 Danfro

        * restore gitlab-ci.yaml so it does not accidentally get removed from
          upstream repo (18015165)
        * add .gitlab-ci.yml to .gitignore to prevent it from beeing uploaded
          again (5d9f9b71)
        * remove .gitlab-ci.yml from fork to prevent automatic builds when
          tags are created (upstream or local) (cbd75427)

2020-02-10 Weblate

        * Merge branch 'origin/master' into Weblate. (6dd90a68)

2020-02-10 HSN80

        * Translated using Weblate (Persian) (f439ba01)

2020-02-10 Brian Douglass

        * v2.8.0 - Added option to keep display on when playing music
          (b4148042) (tag: v2.8.0)

2020-02-09 Oi Suomi On!

        * Translated using Weblate (Finnish) (84f206bd)

2020-02-10 Brian Douglass

        * Automatically update the pot file (634bc74a)

2020-02-09 Danfro

        * remove settings from multiselect view (0d4e463a)

2020-02-08 Danfro

        * remove settings on queue to avoid two settings icons on splitted
          view (4be3989a)
        * fix missing condition on keepDisplayOn (f2e6b528)
        * move settings to header button instead of tab (c783d60f)
        * change keepDisplayOn to work while music is playing instead of all
          time on (95fd15aa)
        * apply same layout and back button size as other pages to settings
          page (a04ade56)

2020-02-06 Danfro

        * reformat screensaver condition (f5812bcc)

2020-02-05 Danfro

        * remove reminder reference from copyright notice (e120e3a3)
        * update copyright year in (new) settings file (c733153b)
        * remove previous commit for theme and apply settings changes needed
          for keep display on here (d243dcba)

2020-02-06 Brian Douglass

        * Merge branch 'version' into 'master' (2887ab7b)

2020-02-06 Daniel Frost

        * remove log entry with in app version (35b742eb)

2020-01-29 Brian Douglass

        * v2.7.8 - Translation update, thank you translators! (82fc7e12)
          (tag: v2.7.8)

2019-12-12 Sami Törmänen

        * Translated using Weblate (Finnish) (ae43d2ba)

2019-11-26 Dmitriy Pushkov

        * Translated using Weblate (Russian) (a2087e54)

2019-12-27 Moo

        * Translated using Weblate (Lithuanian) (c7b73229)

2020-01-15 Joan CiberSheep

        * Translated using Weblate (Catalan) (e4f7f310)

2020-01-18 Brian Douglass

        * v2.7.7 - Use svg for cover art fallback - Color tweaks - Updated
          translations, thank you translators! (1c6beee5) (tag:
          v2.7.7)

2020-01-17 Joan CiberSheep

        * Merge branch 'svg-cover' into 'master' (67f796ad)

2020-01-17 Brian Douglass

        * Use the svg icon instead of the old png (14e5e0d0)
        * Merge branch 'ColorTweaks' into 'master' (408f1eeb)

2020-01-15 Joan CiberSheep

        * Color tweaks and initial support for Ambiance theme (0b9524d1)

2019-12-02 Sami Törmänen

        * Translated using Weblate (Finnish) (0e72892c)

2019-11-18 Brian Douglass

        * v2.7.6 - Updated translations, thank you translators! (7b06df5d)
          (tag: v2.7.6)

2019-11-09 M.Sugahara

        * Translated using Weblate (Japanese) (382dbc85)

2019-11-04 Brian Douglass

        * v2.7.5 - Translation update, thank you translators! (1a9dc145)
          (tag: v2.7.5)

2019-10-28 enolp

        * Translated using Weblate (Asturian) (9141849d)

2019-10-27 enolp

        * Translated using Weblate (Asturian) (9b804131)

2019-10-28 Brian Douglass

        * v2.7.4 - Translation update, thank you translators! (fb1e6f24)
          (tag: v2.7.4)

2019-10-22 Weblate

        * Merge branch 'origin/master' into Weblate. (aaff4e09)

2019-10-21 Brian Douglass

        * v2.7.3 - Translation update, thank you translators! (03508188)
          (tag: v2.7.3)

2019-10-20 Sami Törmänen

        * Translated using Weblate (Finnish) (20c75ff1)

2019-10-15 Tom Dom

        * Translated using Weblate (Dutch) (0d8efeda)

2019-10-14 Brian Douglass

        * v2.7.2 - Updated translations, thank you translators! (6f852c48)
          (tag: v2.7.2)

2019-10-12 Tom Dom

        * Translated using Weblate (Dutch) (764caa7d)

2019-10-06 Anne Onyme

        * Translated using Weblate (French) (a0fad73c)

2019-10-04 Sami Törmänen

        * Translated using Weblate (Finnish) (5e1f44fb)

2019-10-05 Ettore Atalan

        * Translated using Weblate (German) (8af7fb36)

2019-10-03 RedXXIII

        * Translated using Weblate (French) (ced18684)

2019-10-03 Milan Korecký

        * Translated using Weblate (Czech) (50794f1b)

2019-10-01 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (9cfb6b3a)

2019-09-30 Joan CiberSheep

        * Translated using Weblate (Catalan) (ed125177)

2019-09-29 Brian Douglass

        * v2.7.1 - Fixed albumns with multiple artists not grouping together
          (1c385ce7) (tag: v2.7.1)
        * Merge branch 'album-fix' into 'master' (6a7b5936)
        * Merge branch 'master' into album-fix (98ed7067)

2019-09-20 Moo

        * Translated using Weblate (Lithuanian) (e850c96b)

2019-09-13 Daniel Frańczak

        * Translated using Weblate (Polish) (31a1a1ca)

2019-09-13 Mike

        * Translated using Weblate (Italian) (0bca07ec)

2019-09-14 Ivo Xavier

        * Translated using Weblate (Portuguese) (1ddd079b)

2019-09-13 Milan Korecký

        * Translated using Weblate (Czech) (34c8c6ec)

2019-09-13 Brian Douglass

        * Updated to new click framework (16b78338)
        * Merge branch 'master' into album-fix (08b4b255)

2019-09-10 Weblate

        * Merge branch 'origin/master' into Weblate. (5b0c00b7)

2019-09-09 Brian Douglass

        * v2.7.0 - Added album name to the toolbar, now playing, queue, and
          track list. - UI tweaks - Use the app icon for the
          fallback album cover (e45af3e1) (tag: v2.7.0)

2019-09-10 Weblate

        * Merge branch 'origin/master' into Weblate. (b8e43a0a)

2019-09-10 Brian Douglass

        * Merge branch 'UiTweaks' into 'master' (93cd54a9)

2019-09-10 Weblate

        * Merge branch 'origin/master' into Weblate. (df9d9189)

2019-09-10 Brian Douglass

        * Merge branch 'ExcludeTests' into 'master' (03bced80)

2019-09-10 Joan CiberSheep

        * Little Graphical Tweaks and Icons (863b5f6a)
        * Don't include tests into the build (a599e998)

2019-09-09 Weblate

        * Merge branch 'origin/master' into Weblate. (210a4e82)

2019-09-09 Brian Douglass

        * Merge branch 'master' into 'master' (f63fc041)

2019-09-09 Weblate

        * Merge branch 'origin/master' into Weblate. (d4ab1f4a)

2019-09-09 Brian Douglass

        * Update gitlab ci for clickable v6 (bf50f38a)

2019-09-07 Moo

        * Translated using Weblate (Lithuanian) (2a941694)

2019-09-07 Raphaël Fery

        * Adding the album name in some views. (395c15e6)

2019-09-01 Raphaël Fery

        * Add album name of a track with artist name in the queue (1be6f6a9)

2019-08-26 Brian Douglass

        * v2.6.9 - Updated translations, thank you translators! (582b9f1f)
          (tag: v2.6.9)

2019-08-10 Moo

        * Translated using Weblate (Lithuanian) (b15f0137)

2019-08-05 Brian Douglass

        * v2.6.8 - Translation update, thank you translators! (8b31125f)
          (tag: v2.6.8)

2019-07-31 Moo

        * Translated using Weblate (Lithuanian) (0a219e1d)
        * Added translation using Weblate (Lithuanian) (64f604c6)

2019-07-22 Brian Douglass

        * v2.6.7 - Translation update, thank you translators! (3118dc54)
          (tag: v2.6.7)

2019-07-16 Weblate

        * Merge branch 'origin/master' into Weblate. (3443117a)

2019-07-16 Brian Douglass

        * v2.6.6 - Updated translations, thanks translators! (b9df7f43) (tag:
          v2.6.6)

2019-07-15 Yasser Lotfy

        * Translated using Weblate (Arabic) (ee40bd02)

2019-07-05 Aitzol Berasategi

        * Translated using Weblate (Basque) (a2c3ca5f)

2019-06-24 Brian Douglass

        * v2.6.5 - Translation update, thanks translators! (5b0a3e7d) (tag:
          v2.6.5)

2019-06-21 lxdb

        * Translated using Weblate (Russian) (72e0ccda)
        * Translated using Weblate (English (United States)) (4580a326)

2019-06-19 Joan CiberSheep

        * Translated using Weblate (Catalan) (4cd83b94)

2019-06-15 Brian Douglass

        * Show all tracks in an album regardless of artist and show Various
          artist (8288d93a)

2019-05-13 Brian Douglass

        * v2.6.4 - Updated translations, thanks translators! (75525dc9) (tag:
          v2.6.4)

2019-05-08 Ivo Xavier

        * Translated using Weblate (Portuguese) (c0ed17be)

2019-05-08 louies0623

        * Translated using Weblate (Chinese (Hong Kong)) (1277b113)

2019-05-06 Brian Douglass

        * v2.6.3 - Translation update, thanks translators! (2bc56aff) (tag:
          v2.6.3)

2019-05-05 Weblate

        * Merge branch 'origin/master' into Weblate. (9b6ed314)

2019-05-05 Aurelio Cilia

        * Translated using Weblate (Italian) (39e3972f)

2019-05-01 louies0623

        * Translated using Weblate (Chinese (Traditional)) (d7613390)

2019-04-29 Joan CiberSheep

        * Translated using Weblate (Catalan) (7578c566)

2019-04-27 Jiri Grönroos

        * Translated using Weblate (Finnish) (eaa2dec6)

2019-04-25 Vinícius F

        * Translated using Weblate (Portuguese (Brazil)) (ccc614df)

2019-04-21 M.Sugahara

        * Translated using Weblate (Japanese) (bd535abe)

2019-04-23 Anne Onyme

        * Translated using Weblate (French) (b8a66d03)

2019-04-03 Tom Dom

        * Translated using Weblate (Dutch) (7afe91af)

2019-03-23 maor26

        * Translated using Weblate (Hebrew) (7a1282ee)

2019-03-26 Tom Dom

        * Translated using Weblate (Dutch) (c58aa569)

2019-03-12 Rúben Carneiro

        * Translated using Weblate (Portuguese) (1b89f6aa)

2019-03-12 Anne Onyme

        * Translated using Weblate (French) (20115172)

2019-03-08 Brian Douglass

        * Updated clickable.json (e09dc68e)
        * Updated gitlab ci to use commit messages for the changelog
          (b50d727c)

2019-02-17 Ivo Xavier

        * Translated using Weblate (Portuguese) (3172f232)

2019-02-09 Heimen Stoffels

        * Translated using Weblate (Dutch) (35a3aa85)

2019-01-21 louies0623

        * Translated using Weblate (Japanese) (742d2b62)

2019-01-25 Anastopoulos Theocharis

        * Translated using Weblate (Greek) (c2521db0)

2019-01-12 Adrià

        * Translated using Weblate (Sardinian) (46f2bf7f)

2019-01-03 Ennio Lavagnini

        * Translated using Weblate (Italian) (f4125080)

2019-01-01 Jaume Angrill

        * Translated using Weblate (Catalan) (49463c79)

2018-12-28 Adrià

        * Translated using Weblate (Sardinian) (6e3b90d1)

2018-12-22 ierihon

        * Translated using Weblate (Belarusian) (3c749fe7)

2018-12-19 Mike

        * Translated using Weblate (Italian) (ae4d5b23)

2018-12-18 Louies

        * Translated using Weblate (Chinese (Traditional)) (7dbcea90)

2018-12-19 Hussain Hashem Aljafri

        * Translated using Weblate (Arabic) (af3653d2)

2018-12-18 Louies

        * Added translation using Weblate (English (United States))
          (c1b515dd)

2018-11-22 Louies

        * Translated using Weblate (Chinese (Hong Kong)) (2f03d833)

2018-11-18 Joan CiberSheep

        * Translated using Weblate (Catalan) (51152744)

2018-11-17 Brian Douglass

        * Merge branch 'master' of github.com:ubports/music-app (cc29e0c9)

2018-11-18 Weblate

        * Merge branch 'origin/master' into Weblate (2db698ca)

2018-11-13 Louies

        * Translated using Weblate (Chinese (Traditional)) (ba4609e3)

2018-11-17 Samson

        * Translated using Weblate (Amharic) (1ce3a3ee)

2018-11-17 Brian Douglass

        * Merge pull request #46 from
          ubports-weblate/weblate-ubports-music-app (b3bf332d)

2018-11-15 Brian Douglass

        * Bumped version (d3851107) (tag: v2.6.2)
        * Added gitlab CI setup (53bb1f97) (tag: v2.6.1)

2018-11-11 Weblate

        * Merge branch 'origin/master' into Weblate (4a155d3e)

2018-11-10 M.Sugahara

        * Translated using Weblate (Japanese) (ede469f8)

2018-11-10 Sander

        * Translated using Weblate (Dutch) (6ff259c0)

2018-11-11 Brian Douglass

        * Merge pull request #45 from
          ubports-weblate/weblate-ubports-music-app (d3a644f4)

2018-11-08 Weblate

        * Merge branch 'origin/master' into Weblate (68f2f12d)

2018-11-05 Joan CiberSheep

        * Translated using Weblate (Catalan) (4160a3bf)

2018-11-08 Brian Douglass

        * Merge pull request #31 from dark-eye/cover_swipe (38c4e5cd)

2018-11-04 Florian Leeber

        * Merge pull request #44 from
          ubports-weblate/weblate-ubports-music-app (b1e28429)

2018-10-28 advocatux

        * Translated using Weblate (Spanish) (a2267027)

2018-10-28 Daniel Frańczak

        * Translated using Weblate (Polish) (7df355a4)

2018-10-28 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (8c835305)

2018-10-29 Gianmarco

        * Translated using Weblate (Italian) (549ee79c)

2018-10-28 Weblate

        * Merge branch 'origin/master' into Weblate (2f62196f)

2018-10-28 Sergio Reyes

        * Translated using Weblate (Spanish) (2ce1b92d)

2018-10-28 Ivo Xavier

        * Translated using Weblate (Portuguese) (603e6298)

2018-10-28 Florian Leeber

        * Translated using Weblate (German) (336fa00d)
        * Merge pull request #43 from
          ubports-weblate/weblate-ubports-music-app (426d7251)

2018-10-24 Louies

        * Translated using Weblate (Chinese (Traditional)) (1728420c)

2018-10-22 Louies

        * Translated using Weblate (漢語（正體字）) (a7e8671e)

2018-10-14 Florian Leeber

        * Merge pull request #42 from
          ubports-weblate/weblate-ubports-music-app (d3808d9d)

2018-10-14 Weblate

        * Merge branch 'origin/master' into Weblate (84ffd577)

2018-09-02 Rondy Andersson

        * Translated using Weblate (Schwedisch) (b85b51c9)

2018-09-08 SongInseo

        * Translated using Weblate (Koreanisch) (13b598ec)

2018-09-04 ArashiHino

        * Translated using Weblate (Japanisch) (a282e071)

2018-10-07 Marius Gripsgard

        * Merge pull request #41 from jonnius/master (5daaf72f)

2018-10-05 Jonatan Hatakeyama Zeidler

        * Fix compatibility to clickable 5.0 (d41f33b7)

2018-09-18 Øjvind Fritjof Arnfred

        * Translated using Weblate (Danish) (183712ef)

2018-09-15 Tom Rausner

        * Translated using Weblate (Danish) (54045808)

2018-09-02 Florian Leeber

        * Merge pull request #36 from
          ubports-weblate/weblate-ubports-music-app (18c3725e)

2018-09-01 Weblate

        * Merge remote-tracking branch 'origin/master' (433f6f53)

2018-08-26 Øjvind Fritjof Arnfred

        * Translated using Weblate (Danish) (68ce90cd)

2018-09-01 Florian Leeber

        * Merge pull request #35 from
          ubports-weblate/weblate-ubports-music-app (9618a260)

2018-09-01 Weblate

        * Merge branch 'master' of https://github.com/ubports/music-app
          (de32b181)

2018-08-24 Florian Leeber

        * Merge pull request #34 from jonnius/master (3cd12435)

2018-08-23 Jonatan Hatakeyama Zeidler

        * Update READMEs to ubports times (d45308b8)

2018-08-08 ierihon

        * Translated using Weblate (Belarusian) (90d78330)
        * Translated using Weblate (Belarusian) (417e2049)

2018-08-05 ubports-weblate

        * Update from Weblate. (#33) (cc0b3bb1)

2018-08-01 Tom Rausner

        * Translated using Weblate (Danish) (8f551848)
        * Translated using Weblate (Danish) (bef0d270)

2018-07-22 ubports-weblate

        * Translated using Weblate (Chinese (Simplified)) (#32) (b5fbe5d4)

2018-07-12 DarkEye

        * Intial Cover swipe implmentation (just making it give some
          feedback) (9ac1664e)

2018-07-09 ubports-weblate

        * Translated using Weblate (Spanish) (#30) (cfcf4dee)

2018-07-07 ubports-weblate

        * Update from Weblate. (#29) (8f496bc5)

2018-06-11 Bjarne Roß

        * Ready for xenial (#27) (413feac3)

2018-06-09 Marius Gripsgard

        * Bump version and remove bzr (89b1219e)

2018-06-05 Florian Leeber

        * Merge pull request #26 from ubports/maintainer (65eb254f)

2018-06-04 Dalton Durst

        * Update maintainer (a9ba68a1)

2018-06-01 ubports-weblate

        * Update from Weblate. (#24) (b0460521)

2018-06-01 Florian Leeber

        * Merge pull request #23 from UniversalSuperBox/gitignore (a2f15855)

2018-05-30 Dalton Durst

        * Add clickable.json (#22) (f8a54aa7)
        * Move gitignore to bzrignore and ignore build/ directory (275d194f)

2018-04-29 ubports-weblate

        * Update from Weblate. (#20) (d0d9dca7)

2018-03-18 ubports-weblate

        * Update from Weblate. (#19) (a1d58033)
        * Update from Weblate. (#18) (45d4283f)

2018-03-11 Marius Gripsgard

        * Make sure we use we use the correct scoped function (7a158f0e)

2018-03-04 ubports-weblate

        * Update from Weblate. (#17) (7fc9a478)

2018-02-25 ubports-weblate

        * Update from Weblate. (#16) (4bba9c86)

2018-02-22 Marius Gripsgard

        * qtdeclarative5-qtmultimedia-plugin as been renamed to
          qml-module-qtmultimedia (226ed966)
        * Update changelog (0cdc9618)
        * Add Jenkinsfile (b7670716)

2018-02-18 Florian Leeber

        * Merge pull request #15 from
          ubports-weblate/weblate-ubports-music-app (e65137e3)

2018-02-18 Weblate

        * Merge branch 'master' of https://github.com/ubports/music-app
          (5e71e14c)

2018-02-18 ubports-weblate

        * Update from Weblate. (#14) (03568058)

2018-02-18 Weblate

        * Merge branch 'master' of https://github.com/ubports/music-app
          (390bca25)

2018-02-18 ubports-weblate

        * Update from Weblate. (#13) (4d53aa8b)

2018-02-18 Weblate

        * Merge remote-tracking branch 'origin/master' (6d2a1f89)

2018-02-18 ubports-weblate

        * Update from Weblate. (#12) (c510d0ea)

2018-02-18 Weblate

        * Repair commit (c0e1bd28)
        * Merge branch 'master' of https://github.com/ubports/music-app
          (69298e91)

2018-01-03 Adrià

        * Translated using Weblate (Sardinian) (da94a479)

2018-01-18 Noock

        * Translated using Weblate (Portuguese (Brazil)) (ae8f5916)

2018-01-23 hensip

        * Translated using Weblate (Galician) (57b2e019)

2018-02-05 ubports_arabic

        * Translated using Weblate (Arabic) (d305233a)

2018-01-07 ubports-weblate

        * Update from Weblate. (#10) (52074113)

2018-01-03 Peter Nerlich

        * Translated using Weblate (German) (3220ecb3)

2018-01-02 Anne Onyme

        * Translated using Weblate (French) (cfac35e9)

2017-12-29 Adrià

        * Translated using Weblate (Sardinian) (764b8ea7)

2017-12-27 Samson

        * Translated using Weblate (Amharic) (88ce0323)

2017-12-22 Iarla Ȯ'Riada

        * Translated using Weblate (Irish) (2ae8239e)

2017-11-26 Arda Canbolat

        * Translated using Weblate (Turkish) (9cf7552b)

2017-11-26 advocatux

        * Translated using Weblate (Spanish) (bb3d4cfa)

2017-11-30 Joeke de Graaf

        * Translated using Weblate (Dutch) (6d029eef)

2017-11-23 Pablo Foche

        * Translated using Weblate (Esperanto) (810c7a7c)

2017-11-25 Taka Turgut

        * Translated using Weblate (Turkish) (7edd4e97)

2017-11-22 Mevlüt Erdem Güven

        * Translated using Weblate (Turkish) (633bfe9b)

2017-11-22 Pablo Foche

        * Translated using Weblate (Esperanto) (e5cae1e8)

2017-11-21 Alexey Balmashnov

        * Translated using Weblate (Russian) (4c6a898d)

2017-11-06 Brînzariu Cristian

        * Translated using Weblate (Romanian) (aa7bd606)

2017-11-06 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (92f556eb)

2017-11-05 Brînzariu Cristian

        * Translated using Weblate (Romanian) (87c1b409)

2017-10-29 Brînzariu Cristian

        * Translated using Weblate (Romanian) (d300405c)

2017-10-29 Anne Onyme

        * Translated using Weblate (French) (ea6e15d0)

2017-11-01 Terence Sambo

        * Translated using Weblate (Dutch) (83ca70ac)

2017-10-29 Aitzol Berasategi

        * Translated using Weblate (Basque) (4c133047)

2017-10-21 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (ecec80fd)

2017-10-18 Ivo Xavier

        * Translated using Weblate (Portuguese) (d4f21f08)

2017-10-17 RedXXIII

        * Translated using Weblate (French) (3817f1e6)

2017-09-30 Francisco Molinero

        * Translated using Weblate (Spanish) (64027dd0)

2017-09-30 Peter Valachovič

        * Translated using Weblate (Slovak) (8e0008ff)

2017-09-30 Nelly Simkova

        * Translated using Weblate (Russian) (c8c57e37)

2017-10-02 Mike

        * Translated using Weblate (Italian) (82655ca3)

2017-10-06 Twinkybot

        * Translated using Weblate (German) (2491824e)

2017-10-02 RedXXIII

        * Translated using Weblate (French) (176519e2)

2017-10-06 Milan Korecký

        * Translated using Weblate (Czech) (b596b7d8)

2017-09-30 Stefano Melchior

        * Translated using Weblate (Catalan) (a618b9a5)

2017-09-28 Ivo Xavier

        * Translated using Weblate (Portuguese) (ccc8411c)

2017-09-27 Daniel Frańczak

        * Translated using Weblate (Polish) (c3d9b8c1)

2017-09-28 Stefano Melchior

        * Translated using Weblate (Italian) (4c38f348)

2017-09-28 Henrik Holm

        * Translated using Weblate (Danish) (4e4daeb7)

2017-09-27 Rekols

        * Translated using Weblate (Chinese (Simplified)) (e1657bbe)

2017-09-29 Jeff

        * Translated using Weblate (Albanian) (afe5420e)

2017-09-20 Peter Valachovič

        * Translated using Weblate (Slovak) (e58a1346)

2017-09-17 Adrià

        * Translated using Weblate (Sardinian) (0ca00c46)

2017-09-17 Ivan Semkin

        * Translated using Weblate (Russian) (cf14d3c0)

2017-09-22 ghostranger

        * Translated using Weblate (Kannada) (a8c241a9)

2017-09-20 Mike

        * Translated using Weblate (Italian) (45e21eed)

2017-09-18 Eran

        * Translated using Weblate (Hebrew) (25388631)

2017-09-23 Twinkybot

        * Translated using Weblate (German) (0542644c)

2017-09-23 Mappack Owner

        * Translated using Weblate (Dutch) (89dd4b3d)

2017-09-18 Milan Korecký

        * Translated using Weblate (Czech) (618624d7)

2017-09-24 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (f2608295)

2017-09-18 Jeff

        * Translated using Weblate (Albanian) (f2adcd45)

2017-09-16 Beton

        * Translated using Weblate (Polish) (5a4f7958)

2017-09-11 Francisco Molinero

        * Translated using Weblate (Spanish) (8bab8b63)

2017-09-15 Eran

        * Translated using Weblate (Hebrew) (e775a2ac)

2017-09-07 advocatux

        * Translated using Weblate (Spanish) (d69c7b6c)

2017-09-07 Peter Valachovič

        * Translated using Weblate (Slovak) (3353410e)

2017-09-07 Florian Leeber

        * Translated using Weblate (German) (582e82e3)

2017-09-07 Anne Onyme

        * Translated using Weblate (French) (c7ec888f)

2017-09-07 Milan Korecký

        * Translated using Weblate (Czech) (78c4015e)

2017-09-07 Walter Garcia-Fontes

        * Translated using Weblate (Catalan) (8d046552)

2017-09-08 Jeff

        * Translated using Weblate (Albanian) (cd6f610f)
        * Translated using Weblate (Albanian) (45860db0)

2017-09-07 Milan Korecký

        * Translated using Weblate (Czech) (530c3ac5)

2017-04-14 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1fc2bb06)

2017-04-04 Andrew Hayzen

        * Add snap packaging for the music-app to run in devmode (it
          assumes mediascanner is running on the host). (66096dc7)
        * Be more explicit about gstreamer plugins (d9e5a658)
        * Add (66b4fd3a)
        * Remove desktop_file_hint (0987bcbf)
        * Remove -libav for now, we have most common codecs (mp3, m4a,
          flac) with -base, -good, -bad-faad, -mp3 (edf6dae3)
        * Use specifically -bad-faad (b3486cac)

2017-04-03 Andrew Hayzen

        * Further priming (6d7a08c7)
        * Improve prime of libav (8de03090)
        * Add libav to depends and prime (bc4a8396)
        * Add some more plugins (c5cb9d66)
        * Add mp3 decoder (16d6f338)

2017-03-29 Andrew Hayzen

        * Only link symlink if there isn't one and set APP_ID (a1240693)
        * Add stage packages to use pulse;  Add wrapper for setting up
          mediascanner symlink (e181bb4f)
        * Add snap support in devmode (777037e0)

2017-01-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (79f663f0)

2016-12-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c8655bc7)

2016-12-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e456b985)

2016-12-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (6dcecf8c)

2016-11-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d53ce064)

2016-11-02 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (38c8084f)

2016-10-25 Florian Boucault

        * Improve startup time (by around 900ms on BQ E4.5): - load Icons
          asynchronously. - load Images asynchronously. - load Tabs
          on demand. (9bcf754e)
        * Fixed autopilot failures due to disappearing popovers (f79b2a77)

2016-10-19 Florian Boucault

        * Nicer tabs transition by fading in art (c8dea68d)
        * Use image scaling adequately for music-app-cover.png (611997b8)
        * Reduce flicker by loading tabs synchronously (c6650e66)
        * Fixed double loading of artists page (64a28530)
        * Merged from trunk (8fac1251)

2016-09-07 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2fab8624)

2016-08-31 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (5d683c8c)

2016-08-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e539fc90)

2016-08-27 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c24f374e)

2016-08-19 Andrew Hayzen

        * Fix for autopilot using switch_to_tab instead of leadingActionBar
          * Fix for duplicate Toolbars being created, confusing
          autopilot.
          Fixes: https://bugs.launchpad.net/bugs/1613328.
          (ca7bf8e7)

2016-08-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (cbcc8a7c)

2016-08-16 Andrew Hayzen

        * Fix for flaky test (a2127192)
        * Fix for some console errors (2a8afa68)

2016-08-15 Andrew Hayzen

        * Update changelog (cedd195a)
        * Fix for loading not unloading when using active, instead set
          source to empty string as per docs (45b9d6b3)
        * Further fixes for ActionBar changes (cec4072e)
        * Fix for autopilot using switch_to_tab instead of leadingActionBar
          (755f463e)

2016-08-09 Andrew Hayzen

        *  * Remove gstreamer0.10-fluendo-mp3 plugin from control as 1.0
          should instead be used.
          Fixes:
          https://bugs.launchpad.net/bugs/1599902. (41440ba6)

2016-08-03 Andrew Hayzen

        *  * Remove gstreamer0.10-fluendo-mp3 plugin from control as 1.0
          should instead be used (98d0c45c)

2016-07-25 Florian Boucault

        * Load Tabs on demand and asynchronously. (ab8310c0)
        * Images to load asynchronously. (19aaed64)
        * Icons to load asynchronously. (46f19803)

2016-07-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4f21d456)

2016-07-12 Florian Boucault

        * Crossbuild fix. (9c53093a)

2016-07-07 Florian Boucault

        * Crossbuild fix (2e228761)

2016-06-07 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (51186927)

2016-05-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (71edb6c7)

2016-05-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1700318e)

2016-05-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c6e8c0ff)

2016-05-08 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (443bd072)

2016-04-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e145c145)

2016-04-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (03caad77)

2016-04-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (5be3f8ef)

2016-04-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (28e57efd)

2016-04-10 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (cb793960)

2016-04-06 Victor Thompson

        * Fix the Search TextField component color so the text is not
          invisible when field is not in focus.
          Fixes:
          https://bugs.launchpad.net/bugs/1550096. (396505d5)

2016-04-05 Victor Thompson

        * Merge and resolve conflict (2985149a)

2016-04-06 Andrew Hayzen

        * Implement convergent mode with now playing and queue as a
          sidebar.
          Fixes: https://bugs.launchpad.net/bugs/1253761,
          https://bugs.launchpad.net/bugs/1320252. (f58a49ec)
        * Create a separate page head state for FullView to get around
          flickable changing causing header to disappear (f4211d8c)

2016-04-05 Victor Thompson

        * Fix the Search TextField component color so the text is not
          invisible when field is not in focus (ce433cd5)

2016-03-28 Andrew Hayzen

        * Removal of the last PageHeadState to PageHeader (9d5a4f74)
        * Merge of trunk;  Fixes for SongView to use PageHeader instead of
          PageHeadState (91c67a8c)
        * Switch to using extension: Sections {} rather than sections: {}
          as that is deprecated (839d3b64)

2016-03-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a0bbcd1a)

2016-03-23 Victor Thompson

        * Resolve issues related to SDK changes in OTA10.
          Fixes:
          https://bugs.launchpad.net/bugs/1550096. (91ff60bd)

2016-03-22 Victor Thompson

        * merge of trunk and resolve conflict (9cda3bcc)

2016-03-23 Victor Thompson

        * Fix fallback art when the it is linked to the Player's
          currentMeta.
          Fixes:
          https://bugs.launchpad.net/bugs/1549557. (14e8f420)

2016-03-23 Ken VanDine

        * Bump Ubuntu.Content import to 1.3 to prevent mixed version imports
          .
          Fixes: https://bugs.launchpad.net/bugs/1554621.
          (1635e288)

2016-03-22 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d953cbd6)

2016-03-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (9ff05393)

2016-03-19 Victor Thompson

        * Make actions invisible when not enabled (e54b49bb)
        * Update changelog (6a0a86fe)
        * Merge of trunk. (86371243)
        * Use darker cancel button color in Dialogs. (a42fdc1a)

2016-03-16 Ken VanDine

        * updated changelog (4bed1df9)
        * Bump Ubuntu.Content import to 1.3 to prevent mixed version imports
          (d043b4d1)

2016-03-14 Victor Thompson

        * Update code style (82e0a59b)

2016-03-13 Victor Thompson

        * Fix spacing (b99ab242)
        * Fix fallback art when the it is linked to the Player's
          currentMeta (b6d07070)

2016-03-13 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (ff352d05)

2016-03-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (59490ed5)

2016-03-09 Victor Thompson

        * Fix topMargin of the Playlists empty state so title is not
          obscurred.
          Fixes: https://bugs.launchpad.net/bugs/1538829.
          (694e4d17)

2016-03-08 Victor Thompson

        * Merge of trunk and resolve conflicts. (2cd8aa0b)

2016-03-07 Andrew Hayzen

        * Various fixes (0385d898)

2016-03-07 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (bb36d205)

2016-03-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c1111257)

2016-03-04 nskaggs

        * add jenkins info to mp readme. (cf53cc59)
        * add jenkins info to mp readme (dd5dbdaa)

2016-03-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (080bd86c)

2016-03-04 Andrew Hayzen

        * Set flickable on fallback PageHeader (2b4d31d7)
        * Set divider to be darker not lighter (384954eb)
        * Add missing file and set dividor colour (bf11f313)

2016-03-03 Victor Thompson

        * Add SliderStyle.qml (776b014f)
        * Resolve issue #2 and #3 (for 3 this will just use the style that is
          in the OTA10 SDK silo for some degree of backwards
          compatibility for now. (b8c8a50b)

2016-03-04 Andrew Hayzen

        * Add changelog :-) (6f1a17c0)
        * Merge of trunk (ff333cae)
        * Migrate all head -> PageHeader and fix search focus issue
          (aebe8a4a)

2016-03-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4e1e7d67)

2016-03-01 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b457171f)

2016-02-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (9a43901d)

2016-02-29 Victor Thompson

        * Remove offset from the top of AddToPlaylist.qml.
          Fixes:
          https://bugs.launchpad.net/bugs/1538832. (253870c5)

2016-02-28 Victor Thompson

        * Fix topMargin of the Playlists empty state so title is not
          obscurred (a90c8904)

2016-02-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f628938a)

2016-02-27 Victor Thompson

        * merge of trunk and resolve conflict. (cb65b56d)
        * remove newline (5a7067d8)

2016-02-28 Victor Thompson

        * Fix regression where AddToPlaylist.qml no long supports plural
          track counts.
          Fixes:
          https://bugs.launchpad.net/bugs/1550832. (25d36493)

2016-02-27 Victor Thompson

        * Remove offset from the top of AddToPlaylist.qml (f481c3b3)
        * Fix regression where AddToPlaylist.qml no long supports plural
          track counts (609f161d)

2016-02-26 Victor Thompson

        * Resolve item #1 from list in bug report. (b1e1def3)

2016-02-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (0ba7a053)

2016-02-26 Andrew Hayzen

        * Fix for bug 1538838 so that a press and hold cannot disable
          selection in the ContentHubExport.qml.
          Fixes:
          https://bugs.launchpad.net/bugs/1538838. (8e19bea6)
        * Update changelog (b8c97c3c)
        * Fix for bug 1538838 so that a press and hold cannot disable
          selection in the ContentHubExport.qml (a28b11e2)

2016-02-26 Victor Thompson

        * Fix fallback image path in MusicListItem.
          Fixes:
          https://bugs.launchpad.net/bugs/1549580. (1d046061)

2016-02-25 Victor Thompson

        * Fix fallback image path in MusicListItem (173f3c5d)

2016-02-24 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1f2892e1)

2016-02-22 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d217db0e)

2016-02-21 Victor Thompson

        * Ensure that only one ContentHubExport page is open.
          Fixes:
          https://bugs.launchpad.net/bugs/1538863. (fdb7e5de)
        * Change translation strings to use the word track, rather than song.

          Fixes: https://bugs.launchpad.net/bugs/1378143. (1deb4556)
        * Merge of trunk and resolve conflict (fb022b90)

2016-02-19 Andrew Hayzen

        * Initial work to style sidebar correctly (needs cleaning up)
          (738da84c)

2016-02-18 Andrew Hayzen

        * Fix for tab bar reappearing;  Make sidebar wider to improve
          usability on tablet (bc754b23)

2016-02-16 Andrew Hayzen

        * Use 95GU as point of change to wideAspect (3614349c)
        * Implement convergent mode with now playing and queue as a sidebar
          (173df290)

2016-02-16 Victor Thompson

        * Remove repeater for getting album titles in Artists.qml.
          Fixes:
          https://bugs.launchpad.net/bugs/1515067. (0755f402)

2016-02-13 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (50642707)

2016-02-02 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4f92d6f8)

2016-01-31 Victor Thompson

        * Merge trunk and update changelog (434371f0)
        * Mention bug # in changelog (6bc259e6)

2016-01-30 Victor Thompson

        * Fix changelog (044a06ca)
        * Merge trunk and test. (1dba19bf)

2016-01-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (47985f71)

2016-01-29 Victor Thompson

        * Release 2.3 and start 2.4. (35790baf)

2016-01-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (589bf24f)

2016-01-28 Victor Thompson

        * Ensure that only one ContentHubExport page is open (67ee0af3)
        * Update pot. (aefc8569)
        * Change translation strings to use the word track, rather than song.
          (6f1e9f21)

2016-01-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b2f32c1f)

2016-01-27 Victor Thompson

        * Release 2.3 and start 2.4 (85689212)

2016-01-26 Victor Thompson

        * Add support for media-hub background playlists;  Bump framework
          to 15.04.3-qml;  Bump QtMultimedia import to 5.6.
          Fixes:
          https://bugs.launchpad.net/bugs/1251624,
          https://bugs.launchpad.net/bugs/1480280,
          https://bugs.launchpad.net/bugs/1500457,
          https://bugs.launchpad.net/bugs/1534172,
          https://bugs.launchpad.net/bugs/1534840,
          https://bugs.launchpad.net/bugs/1535530. (840de210)

2016-01-26 Andrew Hayzen

        * Remove play + pause in test_next_previous that are now redundant
          due to how bgplaylists works (587ed728)

2016-01-25 Andrew Hayzen

        * Protect against null filenames when retrieving the queue
          (e50d4336)

2016-01-21 Andrew Hayzen

        * Fix for usermetrics (3a047c67)

2016-01-18 Andrew Hayzen

        * Wait for dialog to be visible in autopilot (bb79a778)

2016-01-16 Andrew Hayzen

        * Ensure that now playing page is shown when a single track is
          played via uri-handler (2c7d42ca)
        * Fix for toolbar progress hint breaking (3c3442e1)
        * Fix for Shuffle All and Queue All not working with playlists due
          to them using LibraryListModel (2f31d352)
        * Fix Play All/Shuffle All/Queue All so that they only perform
          their action when the model.count > 0 (5a79c9a2)
        * Update copyright dates (4311acd5)
        * Add qml-module-qtmultimedia (>=5.5.1-1ubuntu2) to control
          (259c7a63)

2016-01-15 Andrew Hayzen

        * Fix for ContentHubExport.qml missing migration to listitem layout
          * Fix for ContentHubHelper.qml referencing queue worker
          and not pushing now playing page (b5f41eed)
        * Fix for mediascanner2 not accepting files starting with file:///
          causing the whole queue to be removed when it says the
          model has changed (92fa3d9c)

2016-01-12 Andrew Hayzen

        * Fix for positionAt not working (0df0e6ea)
        * Fixes for code comments (cc04d045)

2016-01-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (8548c6ba)

2016-01-12 Andrew Hayzen

        * Merge of trunk (22b3a35f)
        * Switch to using Qt GridView instead of custom CardView.
          Fixes:
          https://bugs.launchpad.net/bugs/1480269. (dde4b1fa)
        * Merge of trunk (50678608)
        * Update copyright years for modified files (941dfe34)
        * Merge of trunk (846aed4e)

2016-01-11 Andrew Hayzen

        * Use ListItemLayout for listitems to improve performance and match
          design guidelines.
          Fixes:
          https://bugs.launchpad.net/bugs/1480269,
          https://bugs.launchpad.net/bugs/1526247. (845e37b6)

2016-01-09 Andrew Hayzen

        * Fix for extra margin on BlurredHeader;  Fix for missing margin at
          top of Page due to the unset of anchors.fill when the
          header is locked (1ba220f6)
        * Ensure properties are order alphabetically (5566e2ba)

2016-01-07 Andrew Hayzen

        * Bump QtMultimedia import to 5.6 and remove unused ones (f70a99be)

2016-01-06 Andrew Hayzen

        * Fix for margins around gridview (0a307e38)
        * Adjust padding so it is the same as before (0fd60acb)
        * Make the fontSize match what it was before for the title and
          subtitle (5c9b6e2e)
        * Fix for missed property (4b2234ea)
        * Use ListItemLayout for listitems to improve performance and match
          design guidelines (LP: #1526247). (e7695960)
        * Merge of trunk (fe1f2176)
        * Workaround for pad.lv/1531016 (gridview juddery) (e9664440)
        * When entering the stop state, if there is other media in the
          playlist instead enter the pause state so that position
          and duration can be retrieved (1fb051ed)

2016-01-05 Andrew Hayzen

        *  Set timer to 48ms and repeat to false (0039f728)
        * Workaround for bug 1494031 by querying gst for the position and
          duration after the source has been set (6fff98ce)

2016-01-05 Vamshi Balanaga vamrocks602@gmail.com

        * Add test to make sure that the LibraryEmptyState page is visible
          when no music is detected on the device.
          Fixes:
          https://bugs.launchpad.net/bugs/1261587. (3b228767)

2016-01-04 Vamshi Balanaga vamrocks602@gmail.com

        * changed location of files to delete, added error message if failed
          to delete (76295a95)
        * added myself to the list of authors (1bacd2d8)

2016-01-04 nskaggs

        * Add manual tests in checkbox format to repo. (83899b4b)

2016-01-04 Andrew Hayzen

        * Fix typos and bump framework to 15.04.3-qml (1a0ab480)

2016-01-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f7292d1d)

2016-01-02 Andrew Hayzen

        * Use Item for currentMeta as var cannot be 'seen' by autopilot and
          add aliases for others that cannot be reached;  Change the
          test_shuffle as shuffle now works :-);  Artist should now
          be author (1cd23770)

2015-12-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (59c3f48b)

2015-12-24 Andrew Hayzen

        * Rename NewPlayer.qml to Player.qml as old player has now been
          totally removed (a6c9ceb5)

2015-12-23 Andrew Hayzen

        * Fix for currentIndex becoming 1 not 0 after stopping from
          EndOfMedia (0c943621)
        * Merge of trunk (83b6fa5c)
        * Fixes to code commentary in NewPlayer.qml (48c6461a)
        * Various fixes from code review and extra code commentary
          (4bab3fd0)
        * Various fixes from code review (c2ba0c1e)

2015-12-22 Vamshi Balanaga vamrocks602@gmail.com

        * Add test to make sure that the LibraryEmptyState page is visible
          when no audio is  detected on the device (LP: #1261587). [
          Girish Rawat ];  Expanded and updated READMEs (dfefc702)
        * changed method name to actual method name (d23ab59f)
        * changed method name to actual name defined in
          tests/autopilot/music_app/__init__.py (5aa8e2ea)

2015-12-22 Girish Rawat

        * Expanded and updated READMEs. (85b3f61b)
        * Updated design section in README.md (76c023f1)

2015-12-21 Andrew Hayzen

        * Revert flip of start and end (a576c2fe)
        * Flip removeItems start and end around (f6be893b)
        * Bump QtMultimedia import to 5.6 and remove unused ones (7f94ea8c)

2015-12-19 Vamshi Balanaga vamrocks602@gmail.com

        * Made coding convention changes as recommended by ahayzen.
          (3bd5df70)

2015-12-18 Vamshi Balanaga vamrocks602@gmail.com

        * modified audio file removal parameters and changed schemaVersion to
          10 (09330112)

2015-12-18 Girish Rawat

        * Edited READMEs (d4dbc3ef)

2015-12-17 Vamshi Balanaga vamrocks602@gmail.com

        * moved changelog information to correct location (3d7ce39c)
        * modified code to follow pep8 guidelines (91c19c50)
        * [ Vamshi Balanaga ] Add test to make sure that the
          LibraryEmptyState page is visible when no audio is
          detected on the device (LP: #1261587). (de8a8889)
        * modified code to follow pep8 and pyflake guidlines (ab0630e9)

2015-12-18 Girish Rawat

        * Fixed typos and improved READMEs (80e4c78c)

2015-12-17 Vamshi Balanaga vamrocks602@gmail.com

        * added try-catch clause while removing files. (b232f70d)
        * appended to _create_music_library() : added code to remove music
          files from local music dir if test concerns an empty
          database (50085558)
        * cleaned up code. (ce80da13)
        * made another change requested by nskaggs. (60b275c7)
        * Made the changes that nskaggs requested. (486cf083)

2015-12-18 Girish Rawat

        * Expanded and fixed READMEs (e66ff3fe)

2015-12-16 Vamshi Balanaga vamrocks602@gmail.com

        * cleaned up code (7d0ec410)
        * added visible attribute to LibraryEmptyState and accessed it in
          test_display_message_when_no_music (f903024a)

2015-12-17 Andrew Hayzen

        * Use the new removeItems(start, end) and rename clear_wrapper to
          clearWrapper (b22bf472)

2015-12-16 Vamshi Balanaga vamrocks602@gmail.com

        * patched empty databaseinjection bug (bcbe8ca3)
        * stuff (e7b32b7e)

2015-12-16 nskaggs

        * fix patching (d928d25f)

2015-12-16 Vamshi Balanaga vamrocks602@gmail.com

        * test_display_message_when_no_music() fails, caused by incorrect
          'injection' of the database (38c08abf)
        * got the injection to work, but resulting output is not what is
          desired. (acd2d158)

2015-12-16 nskaggs

        * add checkbox tests + provider (2be7a72d)

2015-12-15 Vamshi Balanaga vamrocks602@gmail.com

        * fixing sql errors (4c27bd3f)
        * fixing sql errors (af9f5f62)
        * trying new command to create table schemaVersion, still getting
          error: table schemaVersion already exists, when executing
          (f86a8d4b)
        * created base class for the BaseTestCaseWithPatchedHome and
          EmptyLibraryWithPatchedHome classes and inherited from it
          all the methods that both classes share. (456b7341)

2015-12-15 Andrew Hayzen

        * Allow wrapping maximum of 2 lines in a Card with 3 lines in total
          and preference to the first label (d9736752)

2015-12-14 Vamshi Balanaga vamrocks602@gmail.com

        * execution fails at
          EmptyLibraryWithPatchedHome._patch_mediascanner_home() on
          line: cur.executescript(sql) (da8101b4)
        * not sure what happened here. (cf1ec3db)
        * created empty database with same structure as previous to simulate
          an empty library (b0e74965)
        * added an objectName to allow it to be accessed by autopilot
          (d7996632)
        * added test to see if LibraryEmptyState page is visible after
          loading an empty database (6c3d6584)
        * added class to load empty database (a09a5fd6)
        * added a class and respective methods to access the
          LibraryEmptyState Page (d8b400ab)
        * added an empty database to use to check the LibraryEmptyState
          (db20e5c7)

2015-12-09 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (59148968)

2015-12-06 Andrew Hayzen

        * Possible fix for flaky autopilot test case (50848835)
        * Switch to using Qt GridView instead of custom CardView (125a18ee)

2015-12-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (697e5812)

2015-12-04 Ken VanDine

        * Install the content-hub peer registration json file properly when
          installing from a deb.  Renamed .desktop file when
          installed from deb. . (e5f433da)

2015-12-04 Victor Thompson

        * merge of trunk (00399403)
        * update changelog (1d1e38f2)

2015-12-04 Andrew Hayzen

        * Release 2.2ubuntu2 and start on 2.3. (9d199f9e)

2015-12-03 Ken VanDine

        * Install the content-hub json file in the correct place for peer
          registry (b9a10aa9)
        * merged release-2.2ubuntu2 branch (29c9a818)
        * fixed click build (49c67a84)

2015-12-03 Andrew Hayzen

        * Release 2.2ubuntu2 and start on 2.3 (f3a1e769)

2015-12-02 Ken VanDine

        * Install the content-hub peer registration json file properly when
          installing from a deb.  Renamed .desktop file when
          installed from deb. (b921382b)

2015-11-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e86eff98)

2015-11-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d6fce9f9)

2015-11-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1f4c4dc9)

2015-11-25 Andrew Hayzen

        * Do not stop when repeat is enabled on EndOfMedia (b8cfea82)
        * Fix for UserMetrics not detecting song change (d3290798)

2015-11-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (941f2d2d)

2015-11-23 Andrew Hayzen

        * Only show Add To Playlist on FullView and Clear Queue on Queue
          view (90999f32)
        * Colour next/previous etc button pressed (07d426ab)

2015-11-22 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (6792fa7e)

2015-11-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (58e93bfc)

2015-11-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (10416c5e)

2015-11-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (578c5b9e)

2015-11-18 Andrew Hayzen

        * Wrap clear method to ensure stop is called first;  Remove legacy
          code and add some extra code commentary (a89cbc70)

2015-11-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (152500e7)

2015-11-18 Andrew Hayzen

        * Check canGoPrevious and canGoNext in all instances where previous
          and next are used (8671a8fc)

2015-11-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c23f200f)

2015-11-17 Andrew Hayzen

        * Show now playing page when shuffling tracks (d785986e)
        * Fix some missed mediaCount to itemCount conversions (fe1d573f)
        * Fixes for playRandomSong(model) so that it plays (c22c1e0d)
        * Allow canGoPrevious for any track that has progressed more than 5
          seconds (5888fc01)
        * Merge of trunk (9e356e5c)
        * Workaround for bug 1514143 by locking the header when searching.

          Fixes: https://bugs.launchpad.net/bugs/1514143. (2b817fd7)
        * Merge of trunk (b6ab0494)
        * Add code comment for fixed header height (7153eb7c)

2015-11-17 Victor Thompson

        * Resolve FIXMEs/TODOs in main qml file. (c0364e3a)

2015-11-16 Victor Thompson

        * Merge of trunk and resolve conflicts (5e29b45d)
        * Update Theme files for UbuntuShape color. (c8df112e)

2015-11-16 Andrew Hayzen

        * Fix for removing tracks and being left on an empty now playing
          page (31e76698)
        * Merge of trunk (a9cebd96)

2015-11-16 Victor Thompson

        * Add initial page sections to Now Playing view.
          Fixes:
          https://bugs.launchpad.net/bugs/1447428. (74115749)

2015-11-16 Andrew Hayzen

        * Workaround for bug 1514143 by locking the header when searching
          (7096887c)
        * Fixes for onStopped (66206f8c)
        * Further tweaks for AP (a66c62ae)

2015-11-15 Victor Thompson

        * Merge trunk and resolve conflict (60c76a74)
        * Resolve comment. (c450320c)

2015-11-15 Andrew Hayzen

        * Various fixes for autopilot (3157b765)

2015-11-14 Victor Thompson

        * Resolve FIXMEs/TODOs in main qml file (ac195480)
        * Update opacity of NowPlayingToolbar buttons. (49043f55)

2015-11-13 Andrew Hayzen

        * Fixes for add to playing from queue due to source vs filepath etc
          (7e71210e)
        * Add .empty property to MediaPlayer.Playlist;  Pop the Now Playing
          page when the queue is empty (3fde2f6e)
        * Merge of
          lp:~phablet-team/music-app/final-declarative-playlist-api
          (6e1863b4)

2015-11-13 Jim Hodapp

        * Fix function name. (eaabab4d)

2015-11-12 Jim Hodapp

        * Add queue restore error message (a04488ae)
        * Make sure save queue and restore queue work (87d42043)
        * Updated play queue saving debug statements (92c83899)
        * Debug output for storing play queue (25d78bd0)
        * Debug output for restoring play queue (404cf72b)
        * Restore queue functionality should work again. (92de815c)
        * Undo last change since it's a signal for the MediaPlayer interface,
          not the Playlist interface. (ce1013e1)
        * Invalid property change event, fixed. (d12fbd0c)
        * Invalid property change event, fixed. (8019f34d)
        * removeItem instead of removeItems (3031ca14)

2015-11-11 Victor Thompson

        * Remove repeater for getting album titles in Artists.qml
          (78ba7662)

2015-11-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (5d5a38fd)

2015-11-10 Jim Hodapp

        * More changes for new QDeclarativePlaylist API. (cd39be25)
        * More changes for new QDeclarativePlaylist API. (842af82f)
        * Avoid addItems function name overlap with QML API (82d0f8c3)
        * More changes for new QDeclarativePlaylist API. (72ab2edf)
        * More changes for new QDeclarativePlaylist API. (c68b2bf1)
        * More changes for new QDeclarativePlaylist API. (c0ef200d)
        * More changes for new QDeclarativePlaylist API. (b85390c4)
        * Convert to new QDeclarativePlaylist QML API. (6c45b360)

2015-11-10 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (89f59237)

2015-11-08 Victor Thompson

        * Update canned mediastore.db schema version from 9 to 10.;  Add
          directions for updating and debugging schema version
          changes. . (08282944)

2015-11-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (39825e63)

2015-11-04 Victor Thompson

        * Remove onVisibleChanged and add code to close multiselection.
          (aefb12b7)

2015-11-03 Andrew Hayzen

        * Use Playlist.moveSource(from, to) (df17f2a3)

2015-11-02 Victor Thompson

        * Fix AP. (86b586ad)
        * Merge trunk and resolve conflicts. (a6b60961)
        * Changelog update (633b194e)
        * Add directions for updating and debugging schema version change.
          (e77460ce)

2015-11-02 Andrew Hayzen

        * Fixes for differences with new media-hub model and bad merge
          conflict resolution (8dd9ec3c)
        * Merge with trunk (2100d4a1)
        * Extra protection against no tracks (23219fe2)
        * Switch to using the new listitems within the SDK.
          Fixes:
          https://bugs.launchpad.net/bugs/1400551,
          https://bugs.launchpad.net/bugs/1472080. (594809fe)
        * Merge of trunk (ffa8fdab)

2015-11-02 Victor Thompson

        * Add FIXME. (c16a3a0d)
        * Merge trunk and resolve conflicts. (7ed3f14e)
        * Update canned mediastore.db schema version.
          Fixes:
          https://bugs.launchpad.net/bugs/1511585. (4dd4dd2c)
        * Merge trunk and resolve conflict (c07062cf)
        * Update app to use the Ubuntu Components version 1.3.
          Fixes:
          https://bugs.launchpad.net/bugs/1508363. (28e5e333)

2015-11-02 Andrew Hayzen

        * Fix for test_pressing_prev_after_5_seconds (0cb731f2)
        * Fix for test_select_and_delete_playlist test (7e95b03a)
        * Sync with upstream (70c0d19c)
        * Tidy code (0e0c5f34)
        * Further fixes for ContentHubExport.qml (e5c0b490)
        * Fix for ContentHubExport.qml page not being converted to new
          format (8dbece04)
        * Add popup import to ContentHubWaitDialog.qml (2df65d7d)

2015-11-01 Victor Thompson

        * Update table structure and changelog. (f7191efd)

2015-11-01 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4338711f)

2015-10-31 Victor Thompson

        * More AP tweaks (a65458f8)
        * Fix walkthrough AP issue. (4cdeb7ae)

2015-10-31 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a0bf9bac)

2015-10-29 Victor Thompson

        * Update changelog (362a3ed2)
        * Update canned mediastore.db schema version. (215214b9)

2015-10-29 Andrew Hayzen

        * Merge of trunk (746daa44)
        * FIx for Autopilot Label is now UCLabel (0b6d0f9e)
        * Various fixes for inline comments (cab6d2db)

2015-10-28 Andrew Hayzen

        * Implement option to defer a shuffle until a model count is
          reached (37237116)
        * Add ability to defer setting the currentIndex and playbackState
          until the mediaCount is correct (2db85e0c)

2015-10-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (374d24cb)

2015-10-28 Andrew Hayzen

        * Pull of uc1.3 branch (214ed5df)
        * Use a hardcoded value for header.height for now (ccd56666)

2015-10-27 Andrew Hayzen

        * Initial autopilot fixes (e12448bc)
        * Reenable reordering in the queue (7d5b9adf)
        * Re-add storing of the Queue in a db for now until save()/load()
          work (67451d0c)

2015-10-26 Andrew Hayzen

        * Provisional change to use addSources instead of addSource
          (7d9e01e4)

2015-10-24 Victor Thompson

        * Add initial page sections to Now Playing view (d0331597)
        * Fix changelog (6977e9b0)
        * Update changelog (4807943c)
        * Hide the header in the Walkthrough and the LibraryEmptyState.
          (2c942b5b)

2015-10-23 Victor Thompson

        * Hardcode header height. (e939e090)
        * Fix for SongsView (53b3790c)

2015-10-22 Victor Thompson

        * Update Popups. (6da4d40c)

2015-10-21 Andrew Hayzen

        * Use the page width rather than header.width (884d68c7)
        * Pull of lp:~vthompson/music-app/music-uc1.3 (6b2287a2)

2015-10-20 Victor Thompson

        * Change to SuruDark theme to resolve theme issues for now (40bcaece)

2015-10-18 Andrew Hayzen

        * Switch BlurredHeader to inherit from an Item not ListItem
          (f1ed2d59)
        * Rebase on lp:~vthompson/music-app/music-uc1.3 (7f98219d)

2015-10-18 Victor Thompson

        * Update framework (69ee1aad)
        * Merge of trunk and resolve conflict (05a94e40)

2015-10-18 Andrew Hayzen

        * Removal of import Ubuntu.Components.ListItems 1.0;  Workaround
          for #1507339 (99d3d5ff)
        * Merge of trunk (315fded8)

2015-10-13 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2361d932)

2015-10-09 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f0a2f74b)

2015-10-08 Andrew Hayzen

        * Disable save() call in saveQueue() for now (2c7ff710)

2015-10-08 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (3ed5a29c)

2015-10-06 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (66e8fae8)

2015-10-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2b8112af)

2015-10-02 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (061b0507)

2015-09-29 Andrew Hayzen

        * Add canGoPrevious and canGoNext, also link with previous and next
          buttons (9d820fd2)

2015-09-25 Victor Thompson

        * Remove some deprecated code for the UbuntuShape image property.
          (33c9d1cc)
        * Remove deprecated properties for UbuntuShape. (a7821965)

2015-09-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (fd2a14cd)

2015-09-24 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4953000c)

2015-09-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d434dedf)

2015-09-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c29ab1c8)

2015-09-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e06f1fc7)

2015-09-15 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (ee02cbb0)

2015-09-10 Andrew Hayzen

        * Detect onStopped signal (408428c8)

2015-09-09 Andrew Hayzen

        * Connect EndOfMedia state (fc637a87)
        * Merge of trunk (da973ada)

2015-09-09 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a98f0f06)

2015-09-08 Bartosz Kosiorek

        * Reduce size of png images (with tinypng.com) to decrease click size
          and improve performance. (3a9f4f14)
        * Fix changelog (896b592e)
        * Revert minor version increase. (f7cd520b)

2015-09-08 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (038f1032)

2015-09-07 Bartosz Kosiorek

        * Update manifest file (148d5ff2)
        * Remove redundant image files. (629bc413)

2015-09-05 Bartosz Kosiorek

        * Fix changelog and increase version number (04aed813)
        * Remove not used images, to reduce click size. (cf3c1296)

2015-09-04 Andrew Hayzen

        * Release music-app 2.2. (bb6b864c)

2015-09-05 Andrew Hayzen

        * Release music-app 2.2 (a18574ef)

2015-09-05 Bartosz Kosiorek

        * Reduce size of images (with tinypng.com) to decrease click size and
          improve performance (890741ef)

2015-09-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (26423186)

2015-09-02 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (9be14137)

2015-09-01 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (cf6b91cf)

2015-08-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (8697075c)

2015-08-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f3514dc9)

2015-08-28 Victor Thompson

        * Always fit the cover art to vertically fill the
          BlurredBackground. (504a2bf7)

2015-08-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d2c2bf5c)

2015-08-27 Victor Thompson

        * update (f19e4afd)
        * Revert unapproved push (96579eac)
        * Always fit the cover art to vertically fill the BlurredBackground
          (38596e7b)
        * update changelog and 1 file. (cb2046dc)

2015-08-28 Victor Thompson

        * Allow arrow keys to control the initial walkthrough.
          Fixes:
          https://bugs.launchpad.net/bugs/1482760. (148515e9)

2015-08-27 Victor Thompson

        * Merge of trunk (8bb70c17)
        * Merge of trunk (df0ac577)
        * Update to use event.accepted (40c4f51d)
        * Force playlist tracks to sync.
          Fixes:
          https://bugs.launchpad.net/bugs/1483962. (930f3fe5)
        * set many, rather than all (b89f0f19)

2015-08-27 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1d220b7f)

2015-08-26 Victor Thompson

        * Update changelog (20362be6)
        * Force playlist tracks to sync. (52ba7e2e)
        * Return early if MainView catches the key event. (9eed8d9d)

2015-08-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (37e6f549)

2015-08-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2dcfff5e)

2015-08-25 Andrew Hayzen

        * Create provisional load/save methods (49568ff0)

2015-08-24 Andrew Hayzen

        * Merge of trunk (f03590cc)
        * Switch to QtMultimedia 5.4 as this is a vivid landing now
          (72eea502)
        * Add support for a content-hub source in both single and multiple
          selection modes.
          Fixes:
          https://bugs.launchpad.net/bugs/1357324. (603e1042)
        * Add a tickAction to  the search mode;  When cancelling from
          search clear the selection (5d1cf7df)

2015-08-21 Andrew Hayzen

        * Update .pot :-) (70f88e35)

2015-08-19 Andrew Hayzen

        * Don't show the toolbar on ContentHubExport.qml (2e0ce135)
        * Add searchbar to content-hub export (3feff144)

2015-08-18 Andrew Hayzen

        * Add support for a content-hub source in both single and multiple
          selection modes (96307cc7)

2015-08-14 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (903872f2)

2015-08-12 Victor Thompson

        * Upgrade to Ubuntu Components 1.3 (9cb71109)

2015-08-09 Victor Thompson

        * Merge trunk and resolve conflict (e8be6238)
        * Update (b0aa323f)
        * Show all README files in QtCreator. (5273a935)

2015-08-08 Victor Thompson

        * update solution (5d0c6d22)
        * Allow arrow keys to control the initial walkthrough (4141e232)
        * Show all README files in QtCreator (f7f9aa56)

2015-08-06 Victor Thompson

        * Fix typo in README.autopilot and clarify the instructions.
          (a26846f6)

2015-08-04 Victor Thompson

        * Merge of trunk of resolve conflicts (dc67ddc4)

2015-08-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (3edba27d)

2015-07-29 Victor Thompson

        * Push the LibraryEmptyState to preserve existing stack.
          Fixes:
          https://bugs.launchpad.net/bugs/1478921. (c9792bf2)

2015-07-28 Victor Thompson

        * Update visibility properties (fcee8724)
        * Push the LibraryEmptyState to preserve existing stack (321e865c)

2015-07-26 Andrew Hayzen

        * Fix for console errors when the parent change helpers are called.
          (34e4b0d2)
        * Fix for console errors when the parent change helpers are called
          (d7e632c1)
        * Workaround for onCurrentSourceChanged not being called when
          appending and possibly remove/changing (d408bf68)
        * Merge of trunk (c3826468)

2015-07-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (7949e16e)

2015-07-25 Victor Thompson

        * Fix to allow the LibraryEmptyState to work again.
          Fixes:
          https://bugs.launchpad.net/bugs/1478162. (2803b303)

2015-07-24 Victor Thompson

        * update changelog (b8d1d6a8)
        * Fix to allow the LibraryEmptyState to work again (b113bbdd)
        * Fix SongsView album art for albums and genres.
          Fixes:
          https://bugs.launchpad.net/bugs/1477366. (789d7493)

2015-07-23 Victor Thompson

        * Update commentary and changelog (b0094152)

2015-07-22 Victor Thompson

        * Fix SongsView album art for albums and genres (4ab8a6fd)
        * Update instructions per weather app updates. (2730f0bd)

2015-07-19 Victor Thompson

        * Add password param (d40ce84a)
        * Fix typo in README.autopilot (06de4ecb)

2015-07-18 Victor Thompson

        * Refresh cover art when model count changes.
          Fixes:
          https://bugs.launchpad.net/bugs/1475768. (8dde2669)

2015-07-18 Andrew Hayzen

        * Merge of trunk (334fe49d)
        * Add changelog (dc7e3f77)

2015-07-17 Victor Thompson

        * Fix 1475768 (5ee2be98)

2015-07-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (329f79ce)

2015-07-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (3cc27cd8)

2015-07-08 Victor Thompson

        * Make play/pause button in the toolbar larger. (617f1f62)
        * Make play/pause button in the toolbar larger. (8415eea7)

2015-07-08 Andrew Hayzen

        * Ensure that the lowest rebuild index is retained;  Use an alias
          to set the model as the CardView knows about preloading
          now.
          Fixes: https://bugs.launchpad.net/bugs/1470755.
          (9b36d122)
        * Remove empty code comment line (ddb904e5)

2015-07-07 Alan Pope

        * Add AUTHORS file. (98d80adf)

2015-07-06 Alan Pope

        * Add AUTHORS file (df6b12eb)

2015-07-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d2693147)

2015-07-02 Andrew Hayzen

        * Ensure that the lowest rebuild index is retained;  Use an alias
          to set the model as the CardView knows about preloading
          now (13735b60)

2015-07-01 Victor Thompson

        * Fix console errors for other pages with children that do not
          change. (ffd56fae)

2015-06-30 Victor Thompson

        * Fix console errors for other pages with children that do not
          change. (a0d60bdd)

2015-06-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (78675c3d)

2015-06-30 Andrew Hayzen

        * Tell content-hub we have finished with the activeTransfer.
          Fixes:
          https://bugs.launchpad.net/bugs/1469452. (51ba4a35)
        * Bump content-hub import version (7db934b3)

2015-06-29 Andrew Hayzen

        * Use the method instead as that actually tidies up :-) (3b39faa0)
        * Tell content-hub we have finished with the activeTransfer
          (71fb0cf3)

2015-06-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (634ed3af)

2015-06-28 Victor Thompson

        * Fix unicode issues.
          Fixes: https://bugs.launchpad.net/bugs/1465764.
          (ebce73cb)

2015-06-28 Andrew Hayzen

        * Fix for minor console error (8f862192)
        * Merge of lp:music-app/refactor (3a4281d5)

2015-06-27 Andrew Hayzen

        * Bump framework to 15.04 and apparmor policy version;  Bump
          QtQuick to 2.4 and UITK components to 1.2;  Remove
          useDeprecatedToolbar as it does not exist anymore.
          (3eb96184)
        * Add changelog line (9a9cbc8d)
        * Bump app versions from 2.1 to 2.2 (4b51cae2)
        * Fix child page freezes when stacked onto recent or playlists.
          (3d15c863)
        * Bump remaining files (cfb62660)
        * Pull of extra protection from
          lp:~ahayzen/music-app/fix-child-page-freezes (fb5d0f6e)
        * Extra protection on timer to ensure we are on a playlists page
          (b6bc464c)
        * Fix for autopilot issue;  Fix for bad merge conflict (e14acd24)
        * Pull of simplify from
          lp:~ahayzen/music-app/fix-child-page-freezes (d3237dd8)
        * Simplify changes (cd62e676)
        * Pull of changes in
          lp:~ahayzen/music-app/refactor-use-sdk-listitems
          (40904d7b)
        * Fixes for autopilot;  Fixes for freezes on child pages (24ebf9ef)
        * Fix for playlists tracks model not being updated when inside a
          playlist (f6a3977b)
        * Ensure indicies are sorted and fix issue of multiselect delete
          within a playlist not working (3e540966)
        * Add some code comments (fb0e378d)

2015-06-27 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a59937d3)

2015-06-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (714f6026)

2015-06-26 Andrew Hayzen

        * Initial port to new MediaPlayer object with playlist support
          (074902e6)

2015-06-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2d29984c)

2015-06-22 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (927b8f7d)

2015-06-21 Andrew Hayzen

        * Tweaks to listitems (5e45d12d)
        * Pull changes (fc4971ff)

2015-06-20 Victor Thompson

        * Make utility function. (b7f3c3ad)
        * Make utility function. (f42649bb)
        * Make utility function. (85ba12ac)

2015-06-20 Andrew Hayzen

        * Merge of lp:music-app/refactor (1993f8e6)
        * Also bump app/components/Themes/* (e03a1268)

2015-06-17 Victor Thompson

        * Alphabetize (da679e53)
        * Update try/catch. (260223be)

2015-06-16 Victor Thompson

        * Fix unicode issues (2b7148bf)

2015-06-13 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e154eb4e)

2015-06-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4568d966)

2015-06-07 Victor Thompson

        * Fix reorder issue, import needed files/components.
          Fixes:
          https://bugs.launchpad.net/bugs/1462672. (96b9dc4d)

2015-06-07 Andrew Hayzen

        * Merge of trunk (61ddb336)
        * Merge of trunk (18ae40d3)

2015-06-06 Victor Thompson

        * Fix reorder issue, import needed files/components. (6e791307)

2015-06-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c9d6f2d4)

2015-06-04 Andrew Hayzen

        * Safeguard against all errors when reading the ms2 lookup and
          setting into our currentMeta*.
          Fixes:
          https://bugs.launchpad.net/bugs/1460916. (21f76b8c)

2015-06-04 Victor Thompson

        * Decode URI before passing to mediascanner lookup function.
          Fixes:
          https://bugs.launchpad.net/bugs/1460916. (3fce2329)

2015-06-04 Andrew Hayzen

        * Remove unneeded (legacy) comment (78545ca9)

2015-06-03 Victor Thompson

        * Remove extra call to decode (1caab092)

2015-06-03 Andrew Hayzen

        * Remove debug/testing lines :-) (bc5d2e68)
        * Safeguard against all errors when reading the ms2 lookup and
          setting into our currentMeta* (9542c468)

2015-06-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d3f55924)

2015-06-02 Victor Thompson

        * Decode URI before passing to mediascanner lookup function
          (eebc61f0)

2015-05-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b07dc576)

2015-05-21 Alan Pope

        * Update icon as per lp:1457424.
          Fixes:
          https://bugs.launchpad.net/bugs/1457424. (57a429a5)
        * new icon as per lp:1457424 (3b2f7781)

2015-05-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (aeecb100)

2015-05-18 Launchpad Translations on behalf of music-app-dev

        * Update autopilot readme for new app structure.;  Merge of remix
          and build .pot file. (e6d23517)

2015-05-15 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (6d278733)

2015-05-14 Victor Thompson

        * Merge of remix and build .pot file (ff9f96c8)

2015-05-13 Victor Thompson

        * Update autopilot readme for new app structure. (561066bc)

2015-05-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (56058d91)

2015-05-10 Victor Thompson

        * Update version 2.1 in preparation for release of refactor series.
          (f95c38b1)

2015-05-09 Victor Thompson

        * Update version 2.1 in preparation for release of refactor series.
          (f4fb0821)

2015-05-07 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b7e14b50)

2015-05-04 Andrew Hayzen

        * 'Correct' autopilot changes to work around bug 1350532 (5254d2c8)

2015-05-04 Victor Thompson

        * Prevent click build warnings for unterminated string literals.
          (2ac29d54)
        * Prevent click build warnings for unterminated string literals.
          (6585f921)

2015-05-03 Andrew Hayzen

        * Switch to using the new listitems within the SDK (0ea8b0f0)
        * Hacky solution to keep SDK autopilot helpers happy for now
          (3a6279dd)
        * Revert the Revert as jenkins is still on utopic so will fail
          anyway (032c9cc0)
        * Revert back to QtQuick2.3 (d876670d)
        * Autopilot tweaks (70ec70cc)
        * Fixes for autopilot (90681da0)
        * Remove useDeprecatedToolbar as it does not exist anymore
          (0afc53fc)
        * Bump QtQuick to 2.4 and UITK components to 1.2 (43d1324c)

2015-05-02 Victor Thompson

        * Prevent click build warnings for unterminated string literals
          (4474a2d3)
        * Prevent click build warnings for unterminated string literals
          (37508f63)

2015-05-02 Andrew Hayzen

        * Fixes and add preloading compatibility to ColumnFlow.qml.
          (9b0d8c79)
        * Bump framework to 15.04 and apparmor policy version (f7e9f3f9)
        * Fixes and add preloading compatibility to ColumnFlow.qml.
          (dc1ea1c0)
        * Fixes and add preloading compatibility to ColumnFlow.qml.
          (1ee19f96)
        * Fixes and add preloading compatiblity to ColumnFlow.qml
          (78f7e9f9)

2015-04-29 Andrew Hayzen

        * Only autoset the source due to queue count changes when the queue
          worker has completed. (17805cbd)
        * Don't check if completed if it cannot load (f8a7bb60)

2015-04-29 Launchpad Translations on behalf of music-app-dev

        * Added a test case for deleting a playlist.
          Fixes:
          https://bugs.launchpad.net/bugs/1428454. (Darran Kelinske)
          * Translation updates. (e9a42a27)

2015-04-29 Andrew Hayzen

        * Only autoset the source due to queue count changes when the queue
          worker has completed (ac2e5aed)
        * Improve the way the currentIndex is restored so that there is
          less/no delay. (e573d7ae)
        * Further tweaks for jenkins :) (5a938c4d)

2015-04-28 Andrew Hayzen

        * Add a wait for mp3 source (f37931d1)
        * Remove playlist dialog is its own type due to it having a custom
          property (5e700e78)
        * Add missed objectNames (3c1dbad8)
        * Added a test case for deleting a playlist.
          Fixes:
          https://bugs.launchpad.net/bugs/1428454.;  Translation
          updates (76cb72ef)
        * Add extra check to stop errors when restoring an empty queue
          (ad55cb5b)
        * Improve the way the currentIndex is restored so that there is
          less/no delay (6c01bc47)

2015-04-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (dd7a2859)

2015-04-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f550f775)

2015-04-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (5cd269b1)

2015-04-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (68a07e99)

2015-04-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (376c724a)

2015-04-06 Andrew Hayzen

        * Delay urlhandler/content-hub calls until after walkthrough is
          complete.
          Fixes: https://bugs.launchpad.net/bugs/1438317.
          (2937c775)
        * Change from delay-request.js to stored-request.js (8e2d6a7c)

2015-04-05 Victor Thompson

        * Improve multiselect delete for playlist items.
          Fixes:
          https://bugs.launchpad.net/bugs/1439185. (904a0673)
        * New line (966db2fc)
        * Improve multiselect delete for playlist items (0eea8948)
        * Improve multiselect delete for playlist items.
          Fixes:
          https://bugs.launchpad.net/bugs/1439185. (f9b5f3aa)

2015-04-05 Andrew Hayzen

        * Change ExternalRequest.qml to delay-request.js (fa0783b2)

2015-04-05 Victor Thompson

        * Execute within a single transaction. (2f64d54a)
        * reuse removeFromPlaylist() (7417311e)
        * Remove returns (98f3000a)
        * Remove returns (2e0676df)
        * Remove returns (51fa08be)
        * Improve multiselect delete for playlist items (d0aaed45)

2015-04-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (ce422ce7)

2015-04-04 Andrew Hayzen

        * Delay urlhandler/content-hub calls until after walkthrough is
          complete.
          Fixes: https://bugs.launchpad.net/bugs/1438317.
          (4248cc91)
        * Add wait for queueLoaderWorker in processAlbum() (a77302c5)
        * Add wait for queueLoaderWorker in processAlbum() (078da97b)

2015-04-03 Andrew Hayzen

        * Remove unused vars (2940ee3d)
        * Only store the last request;  Use a generic external request
          store (280fb250)
        * Fix for missed change (2c6b4ab3)

2015-04-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2630bfdb)

2015-04-03 Andrew Hayzen

        * Only delay one request of any type (content-hub/urihandler)
          (ce81999e)

2015-04-02 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (67ea451e)

2015-03-31 Andrew Hayzen

        * Delay urlhandler/content-hub calls until after walkthrough is
          complete (eb482a81)
        * Delay urlhandler/content-hub calls until after walkthrough is
          complete (272d6190)

2015-03-30 Victor Thompson

        * Make SongsView and ArtistView adaptive.
          Fixes:
          https://bugs.launchpad.net/bugs/1436771. (4550c934)

2015-03-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (5e06cebd)

2015-03-30 Victor Thompson

        * Make SongsPages and AlbumsPages adaptive.
          Fixes:
          https://bugs.launchpad.net/bugs/1436771. (4015566d)

2015-03-29 Victor Thompson

        * Make SongsPages and AlbumsPages adaptive (af0ccc00)
        * Move label to the top when over 60 GU (4fd60618)

2015-03-26 Victor Thompson

        * Make the spacing similar to before (02e28f5b)
        * Make SongsPages and AlbumsPages adaptive (79edcefa)

2015-03-25 Andrew Hayzen

        * Ensure dialogs are closed before popping a page.
          Fixes:
          https://bugs.launchpad.net/bugs/1435658. (ab96e134)
        * Ensure all pageStack.pop()'s use mainPageStack.goBack() instead
          (5db0f5c6)

2015-03-24 Andrew Hayzen

        * Ensure dialogs are closed before popping a page (79ba2372)

2015-03-24 Victor Thompson

        * Force active focus to dialogs.
          Fixes:
          https://bugs.launchpad.net/bugs/1435260. (481bbe2a)
        * Force active focus to dialogs.
          Fixes:
          https://bugs.launchpad.net/bugs/1435260. (03a4555d)

2015-03-23 Victor Thompson

        * Force active focus to dialogs (96def1ae)
        * Force active focus to dialogs (0f068ec8)

2015-03-24 Darran Kelinske darran.kelinske@gmail.com

        * Added a test case for deleting a playlist.
          Fixes:
          https://bugs.launchpad.net/bugs/1428454. (66756cea)

2015-03-21 Darran Kelinske darran.kelinske@gmail.com

        * additional formatting/syntax fixes :) (48f0c2e8)

2015-03-20 Darran Kelinske darran.kelinske@gmail.com

        * fixing more spacing issues (bc97c9d3)

2015-03-19 Darran Kelinske darran.kelinske@gmail.com

        * restore tracks variable that was removed (98026d4c)
        * fixing formatting and naming issues (05d6eb29)
        * Added a new test for the music app which tests deleting a playlist
          (d6779763)

2015-03-14 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e155ac67)

2015-03-13 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (29c3506a)

2015-03-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2cbb558b)

2015-03-09 Andrew Hayzen

        * Split content-hub, uri-handler and metrics into Helpers.
          (20240218)
        * Rename MetricHelper.qml to UserMetricsHelper.qml (4b230024)

2015-03-08 Andrew Hayzen

        * Merge of lp:music-app/refactor (d2db1489)
        * Only async load Queue as it causes poor loading experience on low
          powered devices (cherry pick from
          lp:~music-app-dev/music-app/refactor-now-playing-as-sidebar
          r847);  Split the NowPlaying page into NowPlaying, Queue
          and NowPlayingToolbar (cherry pick from
          lp:~music-app-dev/music-app/refactor-now-playing-as-sidebar
          r841). (2da5cb20)

2015-03-07 Launchpad Translations on behalf of music-app-dev

        * Merge from trunk to refactor to pull in trunk revision 832 and
          updated translations. (011172f2)

2015-03-07 Victor Thompson

        * Trigger list reset animation when the index did not change.
          Fixes:
          https://bugs.launchpad.net/bugs/1428913. (aef68460)
        * Trigger list reset animation when the index did not change.
          Fixes:
          https://bugs.launchpad.net/bugs/1428913. (663e1ac7)

2015-03-06 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (fedfb2b6)

2015-03-05 Victor Thompson

        * add new line (c463e1e6)
        * Trigger list reset animation when the index did not change.
          (3cd0b0af)
        * Merge from trunk to refactor to pull in trunk revision 832 and
          updated translations. (4bb8f9fd)
        * remove added from property. (6512e1ca)
        * Trigger list reset animation when the index did not change.
          (4b7d759d)

2015-03-06 Andrew Hayzen

        * Destroy dialog before popping page.
          Fixes:
          https://bugs.launchpad.net/bugs/1428450. (d73cda25)
        * Destroy dialog before popping page (e600d42f)
        * Merge of trunk (5790b121)

2015-03-05 Andrew Hayzen

        * Move delegates into their own folder in components;  Split out
          multiselect/reorder code from ListItemWithActions.qml into
          MusicListItem.qml and remove use of primed in
          ListItemWithActions.qml as it is not used anymore;  Fix
          for ListItemWithActions.qml if user swipes left and clicks
          where a rightAction would have been (has to be enabled)
          causes a console error and doesn't reset the swipe.
          (a1dabf49)

2015-03-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (50d9f4b9)

2015-03-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (90efbcd0)

2015-03-02 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (313782e7)

2015-03-01 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4d77078a)

2015-02-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (796a2d9c)

2015-02-27 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a591961e)

2015-02-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (7e319ce5)

2015-02-22 Andrew Hayzen

        * Sort out autogenerated Component (009da1e5)
        * Pull further multiselect code into MusicListItem.qml;  Remove use
          of primed as it is not used anymore (975a1ee2)
        * Split reorder code into a separate component and out of
          ListItemWithActions.qml;  Split out some of the custom
          multiselect code (217bd17d)

2015-02-17 Andrew Hayzen

        * Only async load Queue as it causes poor loading experience on low
          powered devices (cherry pick from
          lp:~music-app-dev/music-app/refactor-now-playing-as-sidebar
          r847) (7554e9af)
        * Split the NowPlaying page into NowPlaying, Queue and
          NowPlayingToolbar (cherry pick from
          lp:~music-app-dev/music-app/refactor-now-playing-as-sidebar
          r841) (36c315c2)

2015-02-16 Andrew Hayzen

        * Split content-hub, uri-handler and metrics into Helpers
          (c27f0a36)
        * Fix for autopilot (ad31bdc6)
        * Move delegates into their own folder in components;  Fix for
          ListItemWithActions.qml if user swipes left and clicks
          where a rightAction would have been (has to be enabled)
          causes a console error and doesn't reset the swipe
          (4941d194)

2015-02-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f27f0ec4)

2015-02-14 Andrew Hayzen

        * Split the NowPlaying page into NowPlaying, Queue and
          NowPlayingToolbar (d303e64e)

2015-02-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (7725cc24)

2015-02-10 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (94527e7a)

2015-02-09 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (48ac06a7)

2015-02-08 Andrew Hayzen

        * Create generic MultiSelectListView.qml for handling multiselec.
          Create MusicListView.qml with our patches to ListVie.
          Move Flickables from components into their own Flickables
          folder. (62c46712)
        * Do not allow LibraryEmptyState loader to be active if content-hub
          is running.
          Fixes:
          https://bugs.launchpad.net/bugs/1418366. (03989c69)
        * Make use of a Flickables folder (e1e73aa7)
        * Do not allow LibraryEmptyState loader to be active if content-hub
          is running (279f546a)
        * Fix for console error on startup. (a4555224)

2015-02-07 Andrew Hayzen

        * Merge of trunk (4413b71a)
        * Move all Dialog components into their own files in
          components/Dialog. (8fe8c520)
        * Create common components for Play All, Queue All and Shuffle
          buttons within 'Views'. (395c3d40)

2015-02-06 Andrew Hayzen

        * Create common components for Play All, Queue All and Shuffle
          buttons within 'Views' (5aabd9bf)
        * Create generic MultiSelectListView.qml for handling multiselec.
          Create MusicListView.qml with our patches to ListView
          (10cdd8a8)

2015-02-05 Andrew Hayzen

        * Fix for console errors with ContentHubWaitDialog.qml (c46ff6eb)
        * Fix for console error on startup (d49990a8)

2015-02-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b1804538)

2015-02-05 Andrew Hayzen

        * Merge of trunk (4353b9f1)
        * Split EmptyStates into a page (for noMusic) and a component (for
          noPlaylists) and load in async. (08f288ba)
        * Merge of trunk (2201d639)
        * Move existing head states into HeadState folder;  Create
          MultiSelectHeadState SearchableHeadState PlaylistHeadState
          * Migrate AddToPlaylist Albums Artists Genres NowPlaying
          Playlists Songs SongsView to use the new HeadState.
          (a4d59107)
        * Update copyright (d8b31f3d)
        * Rename PlaylistEmptyState.qml to PlaylistsEmptyState.qml
          (90d55831)
        * Rename EmptyPlaylist.qml to PlaylistEmptyState.qml and
          EmptyState.qml to LibraryEmptyState.qml;  Add
          PlaylistEmptyState.qml to AddToPlaylist.qml (62fa95b2)
        * Fix for addToPlaylist in MultiSelectHeadState.qml not working
          (64f737ff)
        * Don't show addToQueue option in MultiSelectHeadState.qml when in
          NowPlaying.qml (4768b6c3)
        * Rename Dialogs to Dialog (780139b2)
        * Merge of trunk (ecfa12dc)
        * Simplify header state names;  Fix for multiselect delete not
          working;  Fix for songsview allowing delete when listing
          tracks (3c6e21ea)
        * Make use of SDK PageStack.push(url, properties) instead of
          creating the component, object and pushing ourselves.
          (8201c640)

2015-02-04 Andrew Hayzen

        * Add missed imports to NewPlaylistDialog.qml
          EditPlaylistDialog.qml RemovePlaylistDialog.qml (b0edead1)
        * Move all Dialog components into their own files in
          components/Dialogs (b2ccd6ac)
        * Fix for autopilot (61ef43a6)
        * Move existing head states into HeadState folder;  Create
          MultiSelectHeadState SearchablePageHeadState
          SearchablePagePlaylistHeadState;  Migrate AddToPlaylist
          Albums Artists Genres NowPlaying Playlists Songs SongsView
          to use the new HeadState (f892e008)
        * Make use of SDK PageStack.push(url, properties) instead of
          creating the component, object and pushing ourselves
          (9ee836c8)
        * Split EmptyStates into a page (for noMusic) and a component (for
          noPlaylists) and load in async (ce6c1cd6)

2015-02-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d1bebbfa)

2015-02-04 Andrew Hayzen

        * Rename common to components;  Move all qml components in
          components;  Move any JS scripts into logic. (09b50245)
        * Only show JS files in logic dir (595fa4b6)
        * Merge of trunk (3a3852d8)
        * Move pages into separate /ui folder;  Rename pages to sensible
          names;  Rename images to graphics. (ff790d66)
        * Rename ArtistAlbums to ArtistView;  Rename Songs to SongsVie.
          Rename Tracks to Songs;  Removed music prefix (321799c6)
        * Merge of trunk (09c62b94)
        * Merge of trunk (162b116f)
        * Refactor MusicToolbar.qml to remove legacy code;  Move pagestack
          helpers into mainPageStack. (1e48d530)

2015-02-04 Victor Thompson

        * Do not show toolbar in the 'Select playlist' view.
          Fixes:
          https://bugs.launchpad.net/bugs/1417823. Launchpad
          automatic translations update.
          Fixes:
          https://bugs.launchpad.net/bugs/1417823. (7285e8fc)

2015-02-04 Andrew Hayzen

        * Change actualCurrentPage to currentMusicPage (f8097438)

2015-02-03 Victor Thompson

        * Do not show toolbar in the 'Select playlist' view.
          Fixes:
          https://bugs.launchpad.net/bugs/1417823. Launchpad
          automatic translations update. (10be9a90)

2015-02-04 Victor Thompson

        * Do not show toolbar in the 'Select playlist' view.
          Fixes:
          https://bugs.launchpad.net/bugs/1417823. (93c01e96)

2015-02-03 Victor Thompson

        * Do not show toolbar in the 'Select playlist' view (68f7fc51)

2015-02-03 Andrew Hayzen

        * Rename common to components;  Move all qml components in
          components;  Move any JS scripts into logic (bb3b629a)
        * Fix for missing imports and AP error (409ad80d)
        * Fix for missed AP converison of NowPlaying (28a27f91)
        * Fix for missed images conversion (dcc0a734)
        * Merge of trunk (3b454f1f)
        * Merge of trunk (4b2dca96)
        * Fix for autopilot launcher detection for debian mode. (4eca921b)
        * Fixes for autopilot (faa177df)
        * Move pages into separate /ui folder;  Rename pages to sensible
          names;  Rename images to graphics (6de9e16c)
        * Fix for autopilot launcher detection for debian mode (0355385f)

2015-02-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (70dda927)

2015-02-03 Andrew Hayzen

        * Move applications files into app folder.
          Fixes:
          https://bugs.launchpad.net/bugs/1357319. (1e47efc7)
        * Wait until all worker threads have stopped after calling
          canLoad=false.
          Fixes:
          https://bugs.launchpad.net/bugs/1415697. (21b43c42)

2015-02-02 Andrew Hayzen

        * Merge of trunk (2e7a9f8a)

2015-02-02 Victor Thompson

        * Allow walkthrough titles to word wrap up to 2 lines and elide if
          over 2 lines.
          Fixes:
          https://bugs.launchpad.net/bugs/1417043. (e6ec5683)
        * Remove height from Slide1 intro text to allow it to wrap.
          (7419872f)
        * Remove force flag (c4d4f105)
        * Allow walkthrough titles to word wrap up to 2 lines and elide if
          over 2 lines. (c5be3c01)

2015-02-02 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (23b1ae58)

2015-02-01 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f4eb504a)

2015-02-01 Andrew Hayzen

        * Fix for indenting (33aee7e3)
        * Revert dropping of sync as we now wait for workers (b82fa204)
        * Wait until all worker threads have stopped after calling
          canLoad=false (17c577ae)

2015-02-01 Victor Thompson

        * Provide visual feedback on walkthrough buttons;  Increase size of
          walkthrough continue button;  Increase size of walkthrough
          skip button.
          Fixes:
          https://bugs.launchpad.net/bugs/1416373. (d74402b9)

2015-01-31 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e0fe8653)

2015-01-30 Victor Thompson

        * hide both continue and skip buttons on last page of walkthrough.
          (e9b5ec4c)
        * Increase size of walkthrough continue button;  Increase size of
          walkthrough skip button (2823c36f)

2015-01-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b091fe47)

2015-01-30 Andrew Hayzen

        * Fix for canLoad=false queueLoaderWorker (3077fa07)

2015-01-30 Victor Thompson

        * Make stroked buttons elide text.
          Fixes:
          https://bugs.launchpad.net/bugs/1416115. (0957add6)

2015-01-29 Victor Thompson

        * Make stroked buttons elide text (e32e20eb)
        * Revert trackClicked() change to stop queue loader.
          Fixes:
          https://bugs.launchpad.net/bugs/1415697. (ce6d1bcf)

2015-01-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (07ff3602)

2015-01-28 Victor Thompson

        * Revert trackClicked() change to stop queue loader (92618992)

2015-01-28 Andrew Hayzen

        * Tweaks to autopilot (553616d6)
        * Add missed cmake file (ab07a086)
        * Move applications files into app folder (b76bc357)

2015-01-28 Victor Thompson

        * Add notes to translators concerning string lengths. (a19ff66a)

2015-01-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (970a1fb0)

2015-01-27 Victor Thompson

        * remove newline (8ef14339)
        * remove newline (a2ad0a16)
        * Add notes to translators concerning string lengths. (994bc7db)

2015-01-27 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (084050c3)

2015-01-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b16a7620)

2015-01-26 Andrew Hayzen

        * Fix for multiselect not clearing when losing focus. (591662de)

2015-01-26 Victor Thompson

        * Clear the recent db before the model. (864347c0)

2015-01-26 Andrew Hayzen

        * Fix for multiselect not clearing when losing focus (518157a1)

2015-01-26 Victor Thompson

        * Use removeQueueList() for single items for performance;  Remove
          removeQueue() and removeQueueItem().
          Fixes:
          https://bugs.launchpad.net/bugs/1414478. (c28e063d)

2015-01-25 Victor Thompson

        * Use removeQueueList for single items for performance (9b6d7dad)

2015-01-25 Andrew Hayzen

        * Batch add to playlists and queue to improve responsiveness of the
          app. (e402ca65)

2015-01-25 Victor Thompson

        * Clear the db before the model (dfbfa52c)

2015-01-25 Andrew Hayzen

        * Batch add to playlists and queue to improve responsiveness of the
          app (f4c85e9c)

2015-01-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4f3aae4d)

2015-01-24 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (86da2486)

2015-01-23 Victor Thompson

        * Stop queueLoaderWorker when a track is clicked.
          Fixes:
          https://bugs.launchpad.net/bugs/1413451. (cbd2bdaa)

2015-01-23 Andrew Hayzen

        * Load the toolbar in async (eee5a73b)
        * Merge of trunk (4c4b7e81)

2015-01-23 Victor Thompson

        * Fix Queue progress hint not being shown. (bf003f58)
        * Add the fix to processFile() as well. (c7d4511d)

2015-01-23 Andrew Hayzen

        * Use styleMusic for the background colour;  Change property for
          workaround name (9a408cb1)

2015-01-23 Victor Thompson

        * Fix Queue progress hint not being shown (0b4f6313)

2015-01-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (3003ad48)

2015-01-22 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (643ab0e0)

2015-01-21 Victor Thompson

        * Stop queueLoaderWorker when a track is clicked. (838f20b6)

2015-01-22 Andrew Hayzen

        * Ensure that walkthrough slides have a max width so that they are
          consistent with empty states. (ccd7de3a)

2015-01-22 Victor Thompson

        * Change the Slider theme's background color. (06a6fabf)

2015-01-21 Victor Thompson

        * Change Slider background color (2e132ad7)

2015-01-22 Andrew Hayzen

        * Revert using Column in sliders (5784ee54)
        * Change walkthrough spacing (03e28b72)

2015-01-21 Andrew Hayzen

        * Refactor MusicToolbar.qml to remove legacy code;  Move pagestack
          helpers into mainPageStack (9cc16a27)
        * Merge of trunk (e27cef7e)

2015-01-21 Victor Thompson

        * Align the text on the last slide of the walkthrough;  Make the
          ellipses a bit smaller;  Change the "Skip" text to white.
          (f25dbf2b)
        * Adjust walkthrough spacing (b43885f7)

2015-01-21 Andrew Hayzen

        * Ensure that walkthrough slides have a max width so that they are
          consistent with empty states (a01b5ba1)

2015-01-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c0952c44)

2015-01-21 Andrew Hayzen

        * Only show the recent model if the recent model is not empt.
          Remove unused models. (151e2e18)
        * Merge of trunk (a722f973)
        * Add new empty states per design specs. (9e29c3f8)
        * Further tweaks (db05f83e)
        * If the saved tabIndex is larger than the tab.count pick the last
          tab instead of recent || albums (f58a024e)
        * Merge of trunk (a0035c2a)
        * Fix for active actions;  Fix for UI strings (bc644ee0)
        * Merge of trunk (0526ee4b)

2015-01-20 Andrew Hayzen

        * Add copyright year;  Fix for isRecentEmpty failing if the table
          doesn't exist (70045c0e)
        * Fix for typo change 'and' to '&' to prevent double 'and' in one
          sentence;  Add cmake so that Walkthrough appears in qtc.
          (6cc3d4d1)
        * Further tweaks :) (276addd6)
        * Remove unused vars;  Update po/com.ubuntu.music.pot as there are
          UI string removals (c774846d)
        * Only show the recent model if the recent model is not empt.
          Remove unused models (4f0b2f4e)
        * Update the .pot as well :) (3e571bec)
        * Fix for typo change 'and' to '&' to prevent double 'and' in one
          sentence;  Add cmake so that Walkthrough appears in qtc
          (6dc92de4)
        * Increase spacing and move images back into Column (c6e23f85)
        * Switch search to *either* no music or no playlists (eb522ee5)
        * Disable search for MusicaddtoPlaylist.qml MusicPlaylists.qml when
          there is no music instead of no playlists (7c66a45c)
        * Merge of trunk (81ddd032)

2015-01-20 Victor Thompson

        * Initial walkthrough prototype.
          Fixes:
          https://bugs.launchpad.net/bugs/1372583. (0064089f)

2015-01-20 Andrew Hayzen

        * Disable header actions when the models are empty (bd0b32be)

2015-01-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (6292a45c)

2015-01-19 Victor Thompson

        * Update toolbar visible toggle (e7139a0a)
        * Resolve console warnings (0e467a0e)
        * Set toolbar visible and firstRun to false when finished. (3a29b60f)
        * Add objectName to FIrstRunWalkthrough.qml (48bf297e)
        * revert debug code (02570a69)
        * Add objectName to object. (73c69aa6)
        * Dynamically create Walkthrough. (6dfcd5bb)

2015-01-19 Andrew Hayzen

        * Further tweaks to the text size (89b0bef9)

2015-01-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2e261f7d)

2015-01-19 Victor Thompson

        * Merge AP skip of walkthrough (02d39b96)

2015-01-19 Andrew Hayzen

        * Skip the walkthrough when running autopilot (5b094587)

2015-01-18 Victor Thompson

        * update to show walkthrough when there is no music (60ee4c1c)

2015-01-18 Andrew Hayzen

        * Further tweaks to sizes/paddings (e82a2a37)

2015-01-18 Victor Thompson

        * Update pot file (2e053211)
        * Remove force flag (60b6ec55)
        * Add changes to Walkthrough functionality (6ec22012)

2015-01-18 Andrew Hayzen

        * Fix width (again) (6e2911e3)
        * Fix for word wrapping (aa27c4ab)
        * Add new empty states per design specs (2bb111e8)

2015-01-18 Victor Thompson

        * Use new assets for graphics and new wording. (127b79af)
        * Run walkthrough even if the user has music. (fd5ad27d)
        * Merge of trunk (dff54cfd)

2015-01-18 Andrew Hayzen

        * Remove tracks from the queue if they have been removed from the
          library.
          Fixes: https://bugs.launchpad.net/bugs/1411618.
          (8d24d1bb)
        * Stop queueLoaderWorker when content-hub is importing.
          Fixes:
          https://bugs.launchpad.net/bugs/1412211. (15d95a36)
        * Fix for playlist tab count not updating (ea9bb7eb)
        * Stop queueLoaderWorker when content-hub is importing (8f8b70e8)

2015-01-18 Victor Thompson

        * Fix cover art swipe directions. (57840095)
        * Fix cover art swipe directions. (596d040e)

2015-01-18 Andrew Hayzen

        * Remove entries from playlists (aa328cfe)

2015-01-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f80c5f2d)

2015-01-18 Victor Thompson

        * Show full cover art in Now Playing;  Allow swipe left or right to
          navigate queue in Now Playing. (2e49f6f5)

2015-01-17 Victor Thompson

        * update per comments. (f1b0265b)

2015-01-17 Andrew Hayzen

        * Merge of trunk (aa8eb692)
        * Remove recent entries (adf2281f)
        * Fix for queueIndex becoming out of sync;  Fix for multiselect
          removal sometimes deleting the wrong rows (c93fd350)

2015-01-17 Victor Thompson

        * Use the same placeholder text that is used in creating a playlist
          when editing the name.
          Fixes:
          https://bugs.launchpad.net/bugs/1410639. (a42585e0)

2015-01-17 Andrew Hayzen

        * Pop songsPage if there are not tracks (6ec4ec03)

2015-01-17 Victor Thompson

        * Change Now Playing/Queue toggle button.
          Fixes:
          https://bugs.launchpad.net/bugs/1398344. (369c3d31)

2015-01-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (3251ac02)

2015-01-16 Victor Thompson

        * Use blank text field when changing playlist name (6d6aad8b)
        * update pot file (98759631)
        * update dialog text and button colors (0ec61f90)

2015-01-16 Andrew Hayzen

        * Remove tracks from the queue if they have been removed from the
          library (c71839cc)

2015-01-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (0796d7f4)

2015-01-16 Andrew Hayzen

        * Clear from the recent table instead of dropping when clearing.

          Fixes: https://bugs.launchpad.net/bugs/1411113. (2def0928)

2015-01-15 Andrew Hayzen

        * Clear from the recent table instead of dropping when clearing
          (afcb9533)

2015-01-14 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (0ef2dabd)

2015-01-13 Victor Thompson

        * merge of trunk (171d2131)
        * merge of trunk (72a7496c)
        * merge of trunk (c1db68b2)
        * Use the same placeholder text that is used in creating a playlist
          when editing the name (2661d5cd)

2015-01-13 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4c9ebba7)

2015-01-13 Andrew Hayzen

        * Switch to albumArtist when using album://.
          Fixes:
          https://bugs.launchpad.net/bugs/1409754. (1e358e7e)

2015-01-12 Andrew Hayzen

        * Switch to albumArtist when using album:// (e5d8204b)

2015-01-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (bc949ab2)

2015-01-11 Andrew Hayzen

        * Update .pot for translations. (2ac575f1)
        * Update .pot (828c8ccb)
        * Fix for incorrect saving of queue.
          Fixes:
          https://bugs.launchpad.net/bugs/1407814. (c83009a9)
        * Add ORDER BY to SELECT when resorting the indexes in a
          removeQueueList;  Use -1 as the temporary index for
          reorder instead of the calc'd max (5ce19e22)
        * Fix for wrong use of for in, use for i=0; i < length; i++ instead
          (0420c127)
        * Merge of trunk (3a05380b)
        * Fix the ColumnFlow.qml so that it does not reset on tab chang.
          Ensure search is reset on state change. (4451157f)
        * Simplify the logic (dd3f9197)
        * Ensure search is reset on state change (19245453)
        * Fix the ColumnFlow.qml so that it does not reset on tab change
          (00b3efc1)
        * Merge of trunk (edac6853)

2015-01-11 Victor Thompson

        * Use music app icon for empty playlist art. (2ed1c9a3)

2015-01-11 Andrew Hayzen

        * Refactor ColumnFlow so that it uses insert/removes instead of
          resetting the view;  Add search support to MusicAlbums.qml
          MusicArtists.qml MusicGenres.qml MusicPlaylists.qml
          MusicTracks.qml MusicaddtoPlaylist.qml;  Remove any
          references to sheets as they have been removed.
          Fixes:
          https://bugs.launchpad.net/bugs/1297253,
          https://bugs.launchpad.net/bugs/1301893,
          https://bugs.launchpad.net/bugs/1332877,
          https://bugs.launchpad.net/bugs/1342928. (b3b9b4db)

2015-01-11 Victor Thompson

        * Use music app icon for empty playlist art. (937f676c)

2015-01-11 Andrew Hayzen

        * Update copyright on missed touched files (7139f4f0)
        * Disable SortFilterModel sorting as it is sometimes incorrect for
          playlistModel and SQL sorts the data correctly anyway
          (eaec2bd8)
        * Extra protection to filtering the playlistModel (0c3e9896)
        * Fix for blank MusicaddtoPlaylist.qml due to delegate it was
          generated from being destroyed when the search is cleared
          as the page is made invisible (593b2a58)
        * Merge of trunk (b06385ef)

2015-01-10 Andrew Hayzen

        * Refactor multiselect deleting from the Queue (by adding
          removeQueueList).
          Fixes:
          https://bugs.launchpad.net/bugs/1407840,
          https://bugs.launchpad.net/bugs/1409186. (5a6f9b69)
        * Fixes for TextField text colours and margins;  Fix for
          backgroundText color;  Fix for ColumnFlow.qml not loading
          if the model changes and then nothing extra is inserte.
          Fix to ensure the playlistModel can load when on the
          addToPlaylist page (02ef3ecd)
        * Esc now jumps you out of search mode (facb6517)
        * Force the header to show on Ctrl+F (720aed18)
        * Add empty state label for search;  Add Ctrl+F support to search
          (c227cd31)
        * Refactor multiselect deleting from the Queue (f530fda7)
        * Fix for objectName typo causing autopilot failure (af90f102)
        * Add searching to MusicaddtoPlaylist.qml;  Disable searching if
          there are no playlists;  Various fixes and tidy ups;  Add
          copyright 2015 (3f283866)
        * Reset swipe when flicking view (currently ignores if you flick by
          touching the swiped listitem).
          Fixes:
          https://bugs.launchpad.net/bugs/1383870. (86eb5e19)

2015-01-09 Andrew Hayzen

        * Reset swipe when flicking view (currently ignores if you flick by
          touching the swipped listitem) (c211d163)
        * Ensure that searching on MusicGenres.qml is case insensitive
          (9aafa8b2)
        * Fixes for autopilot (b5bbf3fb)

2015-01-08 Victor Thompson

        * Clear selection when leaving multiselect mode.
          Fixes:
          https://bugs.launchpad.net/bugs/1408508. (1839b11a)

2015-01-08 Andrew Hayzen

        * Fix for addToPlaylists not working on second viewing;  Fix for
          queueIndex becoming out of sync with clear; appen.
          trackQueueClick(0); (059377bc)
        * Only play single track when searching (815900bd)
        * Add MusicGenres.qml MusicPlaylists.qml to searching;  Change
          behaviour so that when 'going back' you always go back to
          the "default" state;  Fix for ColumnFlow issues (55766cbb)

2015-01-07 Victor Thompson

        * remove extra line break (cc14c4b6)
        * remove extra line break (0f89ac65)
        * Clear selection when leaving multiselect mode (9a2272db)

2015-01-07 Andrew Hayzen

        * Fix going back from search (ccbc2c94)
        * Fix issue of not page specific header actions when there is
          search;  Create generic search state;  Allow multiselect
          and search in trackspage;  Revert ap changes (d1591975)
        * Force the focus onto the search field when search activate.
          Attempt at ap fixes (7b5dc620)
        * Tidy comments;  Strip anything todo with sheets as they have been
          removed (d997495d)
        * Disable multiselect when searching on MusicTracks.qml;  Fix for
          no page defined header actions;  Fix for console errors on
          startup (4171636d)
        * Refactor ColumnFlow so that it uses insert/removes instead of
          resetting the view;  Add search support to MusicAlbums.qml
          MusicArtists.qml MusicTracks.qml (0d9fcfbe)

2015-01-07 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (7f1f3899)

2015-01-06 Andrew Hayzen

        * Ensure that getNextIndex() is done in 1 transaction (e4d9110d)

2015-01-05 Andrew Hayzen

        * Fix for incorrect saving of queue (f30e4abd)

2014-12-27 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (199f9b38)

2014-12-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d2fe3222)

2014-12-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1eea635a)

2014-12-21 Victor Thompson

        * Wrap text used in empty states.;  Add spacing between Labels in
          the Column. (02266f32)

2014-12-19 Victor Thompson

        * Add spacing between Labels in the Column. (c3fd66c9)
        * Wrap text used in empty states. (b6d916e2)

2014-12-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (15bd07d4)

2014-12-17 Victor Thompson

        * merge of trunk (d5de929b)
        * implement r760 (de16fc65)
        * partial merge (2bf0b602)
        * Do not show 'Tap to shuffle music' page when there is no music in
          the user's library.
          Fixes:
          https://bugs.launchpad.net/bugs/1401727. (ac9df001)
        * merge of trunk (2bec647e)
        * Use the proper model to determine if the library is loaded.
          Fixes:
          https://bugs.launchpad.net/bugs/1401730. (1eebb804)

2014-12-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (76186c26)

2014-12-16 Victor Thompson

        * Use the proper model to determine if the library is loaded.
          (a2e540c2)

2014-12-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d737b60e)

2014-12-15 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (86dbdb21)

2014-12-14 Victor Thompson

        * Allow Now Playing title label to be up to 2 lines.
          Fixes:
          https://bugs.launchpad.net/bugs/1390646. (2a7dac9e)
        * Change the active ListItem action to Ubuntu blue. (accd1ea4)

2014-12-13 Victor Thompson

        * merge of trunk (e2748455)
        * Use identity operator and adjust margins a bit (57642ad1)

2014-12-14 Victor Thompson

        * Update Framework to 14.10-qml.
          Fixes:
          https://bugs.launchpad.net/bugs/1401718. (ecfffaba)

2014-12-12 Victor Thompson

        * Update Framework to 14.10-qml (0e840564)

2014-12-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (89daf56c)

2014-12-11 Victor Thompson

        * Do not show 'Tap to shuffle music' page when there is no music.
          (99b1b5fc)

2014-12-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (23f3d134)

2014-12-10 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c8460253)

2014-12-02 Victor Thompson

        * Change Now Playing/Queue toggle button. (a6df8182)

2014-11-30 Victor Thompson

        * Add ability to swipe the cover art to go to next/previous song
          (49ed2633)

2014-11-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c42b5ac1)

2014-11-29 Victor Thompson

        * Use AlbumsModel albumArtist property to display Various Artist
          albums.
          Fixes: https://bugs.launchpad.net/bugs/1377510,
          https://bugs.launchpad.net/bugs/1393907. (c1a43fcd)

2014-11-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (90c948f8)

2014-11-25 Victor Thompson

        * Implement the solution correctly (3c433b6d)
        * Use AlbumsModel albumArtist property to display Various Artist
          albums. (e28ce76c)

2014-11-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1cff9783)

2014-11-24 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f919bac2)

2014-11-23 Victor Thompson

        * Use case insensitive sorting in SortFilterModel. (ff24bb8f)
        * Revert UI test (2f179c99)
        * Test of the player controls being the same as the header/background
          (c7e98ea3)

2014-11-23 Andrew Hayzen

        * Fix to prevent the number of columns dropping to 0 causing
          unexpected behaviour. (e209e315)

2014-11-23 Victor Thompson

        * Fix binding loop error caused by changing the header color and add
          background color to slider. (5de20f91)
        * Put Slider in an Item component (06f1a301)
        * Fix anchors (fb17c798)
        * Adjust spacing (cce237c7)
        * Move progress bar into full view and add progress hint in queue
          (72b4f179)
        * Increase opacity of label background and reduce top margin above
          slider (a4df3b65)
        * Wrap allSongsModel in SortFilterModel. (f24f6214)
        * Remove unused model (6cb98a26)
        * Remove custom getter from Artsts tab (9350b7be)

2014-11-23 Andrew Hayzen

        * Fix to prevent the number of columns dropping to 0 causing
          unexpected behaviour (72b2a84f)

2014-11-22 Victor Thompson

        * Merge of trunk and resolve conflict (8087d46c)

2014-11-21 Victor Thompson

        * Use case insensitive sorting in SortFilterModel (e2e64336)

2014-11-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (596fa387)

2014-11-21 Victor Thompson

        * Theme the Slider component.
          Fixes:
          https://bugs.launchpad.net/bugs/1390660. (34abaa71)

2014-11-20 Victor Thompson

        * Add necessary artwork from the theme (b6580fb5)

2014-11-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (14eab18c)

2014-11-19 Victor Thompson

        * Change the active ListItem action to Ubuntu blue. (000fb060)

2014-11-18 Victor Thompson

        * Theme the Slider component. (f134ec82)

2014-11-17 Victor Thompson

        * Merge of trunk (df58afbf)
        * Only add currently playing item to the playlist from queue;  Show
          'Add to playlist' and 'Clear queue' in Now Playing vie.
          Change toggle action to switch between 'Now playing' and
          'Queue' to be the swap icon.
          Fixes:
          https://bugs.launchpad.net/bugs/1390252. (5dc97588)

2014-11-16 Victor Thompson

        * merge of trunk (8d68cdac)
        * Use swap icon for toggle and add 'Clear queue' action to Now
          Playing. (13c5a49a)
        * Add a background for the list and fit list into view. (5c2d376f)
        * Consolidate background color properties (f1c4ccb0)
        * Change background color as well (e031c6dc)
        * Remove Rectangle background on items in Queue (c0900623)
        * merge of trunk (8ccccf01)
        * Use larger toolbar in Queue (14d9950a)

2014-11-15 Victor Thompson

        * Sam's mockup in black (bef8a045)

2014-11-15 Andrew Hayzen

        * Fix for highlight in listitem with actons bleeding into the
          actions background;  Fix for reordering never being
          enabled. (52a3dd9e)

2014-11-15 Victor Thompson

        * Use queue's previous size to append a model to the queue.
          Fixes:
          https://bugs.launchpad.net/bugs/1393065. (884a3676)
        * Fix index into items (4298d797)

2014-11-15 Andrew Hayzen

        * Fix so that now playing not current tracks have background when
          reordering (d54874d0)
        * Restore the tab index the user was on when starting the app.
          (eeaf470e)
        * Actually fix it this time :P (9fd47e04)
        * Switch to using OR (13119e6a)
        * Protect against a too high saved index (c1e26850)
        * Remove reordering property as it isn't used anymore (b481c89d)

2014-11-15 Victor Thompson

        * Use queue's previous size to append a model to the queue
          (3f553805)

2014-11-15 Andrew Hayzen

        * Fix for highlight in listitem with actons bleeding into the
          actions background;  Fix for reordering never being
          enabled (d80e4c5c)
        * Restore the tab index the user was on when starting the app
          (e21217ef)

2014-11-15 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (ede3ba12)

2014-11-14 Victor Thompson

        * Sam's mock up (87b2c1df)
        * Update for full cover view (0c9b511c)
        * Also change header to black when in Now Playing/Queue (6864e591)

2014-11-14 Alan Pope

        * Fix 1392587.
          Fixes: https://bugs.launchpad.net/bugs/1392587.
          (edde6eea)
        * fix bug 1392587 (e9221295)

2014-11-13 Victor Thompson

        * Simple test prototype for Now Playing. (fd6b834a)

2014-11-12 Victor Thompson

        * merge of trunk (81b51ece)
        * Add changes per design direction (02d0d50b)

2014-11-13 Andrew Hayzen

        * Drop AP mocking on device. (e6560448)

2014-11-12 Victor Thompson

        * Remove build instructions for desktop (97c3212c)
        * Add a readme. (9347b27f)

2014-11-13 Andrew Hayzen

        * Don't attempt to delete if they don't exist (101c18bb)
        * Clear all databases and pass pep8 (455fcf52)

2014-11-12 Victor Thompson

        * Fix pep8 (4618ba4e)
        * Remove local databases (7cc6f9d7)

2014-11-12 nskaggs

        * don't patch ms on devices (451c3dfa)

2014-11-12 Andrew Hayzen

        * Remove erroneous tracks from the playlist.
          Fixes:
          https://bugs.launchpad.net/bugs/1392022. (63be4262)

2014-11-12 nskaggs

        * tweak launcher to drop mocking on devices (80d73678)

2014-11-12 Andrew Hayzen

        * Remove erroneous tracks from the playlist (1fd4b731)
        * Fix for db locking issue when using urlhandler. (632297dc)
        * Remove canLoad=false as this causes the worker to be run!
          (426151b6)

2014-11-11 Andrew Hayzen

        * Merge of trunk (a29047cd)
        * Fix for url dispatcher attempt 2 (34b1064e)
        * Rewrite the ColumnFlow.qml to use incubation to create objects
          and set offscreen cards as invisible.
          Fixes:
          https://bugs.launchpad.net/bugs/1387816. (1f884a3f)

2014-11-11 Victor Thompson

        * Fix for playlist deletion in recent DB. (2e19800f)

2014-11-11 Andrew Hayzen

        * Extra fixes (d26da440)
        * Fix for db locking issue (32ef3a29)
        * Fix for abstraction (fcecda57)

2014-11-11 Victor Thompson

        * Fix for playlist deletion in recent DB (3caae3c9)
        * Update the fix for catching a renamed playlist in the recent tab.

          Fixes: https://bugs.launchpad.net/bugs/1386940. (c22f7b4c)

2014-11-11 Andrew Hayzen

        * Fix for typos;  Abstract forceCompletion into its own method
          (ff9cbd0b)
        * Disable async in BlurredHeader.qml so buttons don't flicker on
          load (96ed8733)
        * Disable async loading of header in AlbumsPage (802f29e6)

2014-11-11 Victor Thompson

        * Update solution to problem. (a8f4971d)
        * Mark MusicStart page as changed when renaming a playlist in the
          recent db. (6299c183)

2014-11-11 Andrew Hayzen

        * Change ColumnFlow.qml to set as invisible instead of destroy
          (f29199ec)

2014-11-10 Victor Thompson

        * add newline (a23d3e6b)
        * Update the fix for catching a renamed playlist in the recent tab
          (0f3710f5)

2014-11-11 Andrew Hayzen

        * Fix for when the model changes while in a created object
          (cb2f42a6)
        * Merge of lp:music-app/remix (19a24f00)

2014-11-11 Victor Thompson

        * Set the sourceSize of the CoverGrid to the Thumbnailer's 'xlarge'
          default.
          Fixes: https://bugs.launchpad.net/bugs/1391368.
          (b24d7684)

2014-11-10 Victor Thompson

        * Update BlurredBackground (fb02340f)
        * Set the sourceSize of the CoverGrid to the Thumbnailer's 'xlarge'
          default. (bd159ecc)

2014-11-10 Andrew Hayzen

        * Don't reset the columns when invisible as it may destroy elements
          created from items (70a1267f)

2014-11-10 Victor Thompson

        * Use art property for playlists. (fa0f98b9)

2014-11-10 Andrew Hayzen

        * Rewrite the ColumnFlow.qml to use dynamic creation/deletion of
          cards (9c8478d6)

2014-11-09 Victor Thompson

        * Since the art property is always unique, still populate the author
          and album (2d85660a)
        * Update find() utility function (8c2a894b)

2014-11-10 Victor Thompson

        * Show the playlist empty state when in the 'Select playlist' page.

          Fixes: https://bugs.launchpad.net/bugs/1390798. (898ab989)

2014-11-09 Victor Thompson

        * Use art property for playlists (e6d7d034)

2014-11-08 Victor Thompson

        * Show the playlist empty state when in the 'Select playlist' page
          (c5c42670)
        * Do not pop existing pages from page stack when returning from Now
          Playing/Queue.
          Fixes:
          https://bugs.launchpad.net/bugs/1390249. (8d4f3596)
        * Produce immediate visual feedback by brightening list item when
          pressed.
          Fixes: https://bugs.launchpad.net/bugs/1390651.
          (02bb99d8)

2014-11-07 Victor Thompson

        * Prototype brightening of pressed list item. (5c28ce49)
        * Prototype of proposed design change for Now Playing title label.
          (cc285afe)
        * Update failing test (efe4b373)
        * Show Add to Playlist and Clear queue in Now Playing. (7b5c1d7d)
        * Only add currently playing item to the playlist from queue
          (8676014e)
        * Remove go_back AP helper. (2f229064)
        * Remove custom backAction (30c9d95c)
        * Do not pop existing pages from page stack. (28023104)

2014-11-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (9fb57390)

2014-11-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (9d214606)

2014-11-04 Victor Thompson

        * Display Unknown rather than blank.
          Fixes:
          https://bugs.launchpad.net/bugs/1379452. (79fec9be)

2014-11-03 Victor Thompson

        * Update .pot file (9f670b76)

2014-11-02 Victor Thompson

        * Only push found items onto the queue.
          Fixes:
          https://bugs.launchpad.net/bugs/1388428. (de213740)

2014-11-01 Victor Thompson

        * Display Unknown rather than blank (35397647)
        * Only push found items onto the queue. (480c9f0f)

2014-10-31 Victor Thompson

        * Don't show all artists with same album.
          Fixes:
          https://bugs.launchpad.net/bugs/1268803,
          https://bugs.launchpad.net/bugs/1387618. (efc056d6)
        * Correct the AP test (8684c628)

2014-10-30 Victor Thompson

        * Also fix recent page (056cf61a)
        * Also fix AlbumsPage (27b7eb0f)
        * Don't show all artists with same album (69a946ee)
        * Bump version to 2.0 and add to changelog. (e0707535)

2014-10-29 Victor Thompson

        * Bump version to 2.0 and add to changelog (49cf54d1)

2014-10-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f8190025)

2014-10-29 Andrew Hayzen

        * Fix for cover art getting out of sync on the SongsPage.qml;  Fix
          for addToPlaylists causing freeze to songsPage;  Ensure
          recent/playlists pages remain in sync as items are
          added/removed from the playlist. (e56e05a3)

2014-10-29 Victor Thompson

        * Update ListItemWithActions background color. (c555befd)

2014-10-28 Victor Thompson

        * Re-enable dim effect (3e0c21f6)

2014-10-29 Andrew Hayzen

        * Fix for console errors from WorkerScript at startup. (09223ba8)

2014-10-28 Victor Thompson

        * Update ListItemWithActions background color (d25b4f98)

2014-10-29 Andrew Hayzen

        * Fix so that 1 level addToPlaylist works again (4b565c68)
        * Make generic helper (ef853704)
        * Fix for console errors from WorkerScript at startup (0a47307c)
        * Fix for cover art getting out of sync on the SongsPage.qml
          (fdf28bc8)
        * Fix for addToPlaylists causing freeze to songsPage (aa0f259c)
        * Ensure recent/playlists pages remain in sync as items are
          added/removed from the playlist (6e44b546)
        * Optimise the addQueueList transaction.
          Fixes:
          https://bugs.launchpad.net/bugs/1386628. (02991ea2)
        * Fix for editing/deleting a playlist from Recent causing freez.
          Fix for rename in Recent attempting to add.
          Fixes:
          https://bugs.launchpad.net/bugs/1386940. (9cdb9cac)
        * Rename variable from model to items (4a75c68a)
        * Sort playlists by name. (8a70ff74)
        * Fix for deleting a playlist from Recent;  Fix for rename in
          Recent attempting to add (b441d297)
        * Make case insensitive (98e1573f)
        * Fix for edit playlist causing crashes.
          Fixes:
          https://bugs.launchpad.net/bugs/1386712. (47b3b2a2)
        * Merge of lp:music-app/remix (6d865d22)

2014-10-28 Andrew Hayzen

        * Optimise the addQueueList transaction (c057ffb5)
        * Sort playlists by name (849d94de)
        * Fix for edit playlist causing crashes (79053fdd)

2014-10-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (22c3bfe1)

2014-10-28 Andrew Hayzen

        * Performance tweaks;  Change scrolling behaviour;  Tweaks to
          ListItemWithActions.qml. (4312b174)
        * Merge of lp:music-app/remix (fa962406)
        * Fix for empty songs in page after selecting album from recen.
          Enforce a sync after a clear;  Allow clear to run even if
          canLoad is false. (67452ecb)
        * Enforce a sync after a clear;  Allow clear to run even if canLoad
          is false (c080b6ee)
        * Fix for empty songs in page after selecting album from recent
          (f3ff56ac)
        * Change playlistModel syncFactor to 1;  Never attempt to ping when
          processing a sync pong. (77ee89be)
        * Merge of lp:music-app/remix (07cc6749)
        * Merge of lp:music-app/remix (4ca8ba1e)
        * Change recent schemas so that it stores less and loads more from
          ms2 (eg art). (8f01f815)
        * Don't check list length if null (8a995fc5)
        * Change playlistModel syncFactor;  Never attempt to ping when
          processing a sync pong (1ca902dd)
        * Fix for console errors when clearing the queue. (6e8e6445)
        * Only load model once CardView is visible. (dabc5686)
        * Merge of lp:music-app/remix (5fa3af7f)
        * Merge of lp:music-app/remix (cefb50c2)
        * Create generic WorkerModelLoader.qml;  Load queue at startup via
          WorkerScript. (f4752d01)
        * Fix for settings source directly (998dc8e7)

2014-10-28 Victor Thompson

        * Intial changes to remember the previous queue when restarting the
          app.
          Fixes: https://bugs.launchpad.net/bugs/1299102.
          (51e41423)

2014-10-28 Andrew Hayzen

        * Fix for console errors when clearing the queue (fffd05ae)

2014-10-27 Victor Thompson

        * Revert small change (0af19dab)

2014-10-28 Andrew Hayzen

        * Pull of upstream (f6a8c4d8)

2014-10-27 Victor Thompson

        * Fix remove index change (f5993c64)
        * Fix remove case (54db6085)

2014-10-28 Andrew Hayzen

        * Merge with upstream (2614482b)

2014-10-27 Victor Thompson

        * Missed one case... (11149d21)

2014-10-28 Andrew Hayzen

        * Merge of upstream (32d2844a)

2014-10-27 Victor Thompson

        * Use a clear function to minimize impacts of clearQueue() (e3ec404e)
        * update fix for performance (fe2902ee)
        * Use append method to reduce the number of places addQueueItem needs
          to go (c34a6912)

2014-10-27 Andrew Hayzen

        * Only set to complete once sync is complete (a1dd1c38)

2014-10-27 Victor Thompson

        * Fix add to queue listitem action (75789bc1)

2014-10-27 Andrew Hayzen

        * Pull of upstream (d456d799)

2014-10-27 Victor Thompson

        * Update change for reorder. (dd83c571)

2014-10-27 Andrew Hayzen

        * Only load model once CardView is visible (a40c8af6)
        * Fix for setting of readonly source;  Fix for setting complete
          before syncing;  Sync after first item to ensure no empty
          state (0a6d1339)
        * Remove debugging lines (4e29ecd7)
        * Create generic WorkerModelLoader.qml;  Load queue at startup via
          WorkerScript (6d635e6e)

2014-10-27 Victor Thompson

        * Fix bad conflict resolution (29139758)
        * Use Player.setSource() (d8b6787b)
        * merge of remix and resolve conflicts (246d7881)

2014-10-27 Andrew Hayzen

        * Merge of lp:music-app/remix (b06a653a)
        * Merge of trunk (1b503f59)

2014-10-26 Andrew Hayzen

        * Load queueList in async;  Fix to prevent jumping from queue->full
          view. (621ce355)
        * Merge of lp:music-app/remix (3b3c3b45)
        * Defer loading of page;  Async load MediaPlayer object. (88a75cb7)
        * Update old code comments (2932d5f0)
        * Change recent schemas so that it stores less and loads more from
          ms2 (eg art) (5c782772)
        * Added code comments and refactored positionAt code (19e7a56a)
        * Fix for using === instead of ==;  Fix for comment grammar
          (99bcc54c)

2014-10-25 Victor Thompson

        * Fix for clicking on queue items (e1e5a324)
        * Hide empty state when in Now Playing or Queue. (70d274d6)

2014-10-24 Victor Thompson

        * Hide empty state when in Now Playing or Queue (11700c3f)
        * Update index on reorder (20d75554)
        * Resolve removing item and clearning queue. (91e847f3)
        * merge of remix and resolve conflict (40f129b7)
        * Change order of setting currentIndex and source to get things
          working (c5ef28e3)

2014-10-24 Andrew Hayzen

        * Fix again for jumping (477abc5d)
        * Fix to prevent jumping from queue->full view (ea04c6c6)
        * Fixes for autopilot (f9f5abd7)
        * Wait until the listview is ready (627f9f4c)
        * PositionAt when the loader is ready (d440e65c)
        * Load queueList in async (cb9a6cfa)

2014-10-24 Victor Thompson

        * Removed head actions from MusicNowPlaying and add initial recall of
          queue index (53daebc0)

2014-10-24 Andrew Hayzen

        * Fix for pyflakes (031def9e)
        * Fix for autopilot (e19529b7)
        * Run createRecent() from Component.onCompleted (fe744176)
        * Defer loading of pages (0078386b)
        * Async loading of MusicNowPlaying. (ba477e75)
        * Fixes for pyflakes and pep8 (fc060595)
        * Fixes for autopilot (266b59a6)

2014-10-23 Victor Thompson

        * Improve performance (9873800f)
        * Add read path to Music on the SD card to extract in process
          thumbnail extraction. (f6722cb2)

2014-10-24 Andrew Hayzen

        * Async loading of MusicNowPlaying (124088ca)

2014-10-23 Andrew Hayzen

        * Remove global chosenElements (046b90ea)
        * Async load AlbumsPage.qml SongsPage.qml;  Async load MediaPlayer
          object (22f89e2f)

2014-10-23 Victor Thompson

        * Add read path to Music on the SD card to extract in process
          thumbnail extraction (f12cc6fc)

2014-10-23 Andrew Hayzen

        * Performance tweaks;  Change scrolling behaviour (7d0f3b3c)
        * Tweaks to ListItemWithActions.qml (522b28d3)

2014-10-23 Victor Thompson

        * Highlight stroke buttons on press. (0a585f31)
        * Resolve conflicts and change tab selection detection (8234a620)
        * Update AlbumsPage as well (1d92befd)
        * Stroke buttons should highlight (d4a9c23f)

2014-10-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (0f1cb1fb)

2014-10-22 Andrew Hayzen

        * Optimise MusicRow.qml by using Image rather than CoverGrid (as
          there will only ever be one image). (3c1bfd0c)
        * Add a bottom margin to MusicTracks.qml and MusicNowPlaying.qml.

          Fixes: https://bugs.launchpad.net/bugs/1380102. (78342df7)

2014-10-22 Victor Thompson

        * Fix playlist art in Now Playing page. (be6838fc)
        * Fix playlist art in Now Playing page (35a4c27a)

2014-10-22 Andrew Hayzen

        * Add a bottom margin to MusicTracks.qml and MusicNowPlaying.qml
          (85bb642a)

2014-10-22 Victor Thompson

        * Initial walkthrough prototype. (a18156cb)

2014-10-22 Andrew Hayzen

        * Optimise MusicRow.qml by using Image rather than CoverGrid (as
          there will only ever be one image) (59d3236c)
        * Add save to playlist action;  Only enable actions in now playing
          when trackQueue count > 0. (a649ec34)
        * Update .pot (556a1f77)
        * Merge of trunk (98793f6e)
        * Tweaks to icons (980a49a8)
        * Use async for loaders and unused loaders invisible. (91f0d9c3)
        * Add save to playlist action;  Only enable actions in now playing
          when trackQueue count > 0 (c593abde)
        * Move to using Qt.labs.settings and remove settings.js. (0efe5b0a)
        * Add additional async (9ea7ca93)

2014-10-22 Victor Thompson

        * Remove CoverRow;  Remove isPressedChanged workaround;  Remove
          MusicRow isSquare specialization. (c5520cfd)
        * Remove MusicRow (1c647b47)

2014-10-22 Andrew Hayzen

        * Fix for packaging (170b5890)

2014-10-22 Victor Thompson

        * Resolve conflicts and merge of remix (af86427b)

2014-10-22 Andrew Hayzen

        * Move to using Qt.labs.settings and remove settings.js (43b5b728)
        * Use async for loaders (75c506e0)
        * Remove lastfm, search and settings. (591b0c58)
        * Merge of lp:music-app/remix (a342e8e5)
        * Pull upstream ListItemWithActions.qml;  Add support for
          multiselect mode;  Disable triggerOnRelease. (68f7c7e7)
        * Merge of lp:music-app/remix (765ef6be)

2014-10-22 Victor Thompson

        * Initial empty state prototype. (68ac2091)

2014-10-21 Victor Thompson

        * update checks to prevent flicker (1522258a)

2014-10-21 Andrew Hayzen

        * Use closeSelection and clearSelection (1cf01abd)
        * Enable reordering only when no items are selected;  Fix for
          select all no enabling actions (23b5436c)

2014-10-21 Victor Thompson

        * Update to fix Autopilot test (d6978ad6)
        * Change listview to covergrid (b68bceaa)

2014-10-21 Andrew Hayzen

        * Remove lastfm, search and settings (c9f0e728)
        * Remove rectangles (46560943)
        * Performance tweaks (ccc10e4a)
        * Merge of lp:music-app/remix (dcf07f55)

2014-10-21 Victor Thompson

        * Do not show the artist in the grid of albums. (f0b43918)
        * Fix bad check (676ea615)

2014-10-21 Andrew Hayzen

        * Fix so that label is correct when seeking when paused. (2e3a3f15)
        * Only show year in SongsPage.qml if year exists. (27e27146)

2014-10-21 Victor Thompson

        * Add an initial Genres tab. (d62bc62c)
        * Disable clear recent icon when recent is empty. (db822a06)

2014-10-21 Andrew Hayzen

        * Fix formatting (cc613188)

2014-10-21 Victor Thompson

        * Make Images asynchronous. (a7e700a6)

2014-10-21 Andrew Hayzen

        * Only show year in SongsPage.qml if year exists (7f1a3627)
        * Fix so that label is correct when seeking when paused (1d52dbe8)
        * Pull upstream ListItemWithActions.qml;  Add support for
          multiselect mode;  Disable triggerOnRelease (f80980d0)

2014-10-21 Victor Thompson

        * Do not show the artist in the grid of albums (ea7190a5)
        * Disable clear recent icon when recent is empty (5b4df2e0)
        * Add MusicGenre component. (04a1699b)
        * Small tweak for CoverGrid error output (d3c787d5)
        * Add an initial Genres tab (5bc8f43b)

2014-10-21 Andrew Hayzen

        * Add back confinement.
          Fixes:
          https://bugs.launchpad.net/bugs/1315386. (f8321fce)

2014-10-21 Victor Thompson

        * Update header icon to use newer property (cd7cc25d)
        * Wait until model is loaded before showing empty state (0deb17e5)

2014-10-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c3b283d9)

2014-10-20 Victor Thompson

        * Make Images asynchronous (c32368f4)
        * merge of remix and fix issues (4ed6e4e2)
        * Merge of remix (db0c00a0)

2014-10-20 Andrew Hayzen

        * Use CardView in Recent Tab;  Use Recent as default if >0 recent
          items otherwise use Albums Tab. (573fec1a)

2014-10-20 Victor Thompson

        * Remove onPressed workaround (686ca27d)
        * Update to remove remaining isSquare properties (9aed5a27)
        * Remove CoverRow (18b5794f)

2014-10-20 Andrew Hayzen

        * Set sourceSize of images. (48b7e22e)
        * Switch to using delete icon (7a044ebc)

2014-10-20 Victor Thompson

        * Initial empty state prototype (6afff53f)
        * Force AlbumsPage's SongsModel to filter upon startup. (611a583c)

2014-10-20 Andrew Hayzen

        * Remove BlurredBackground.qml error image (baaafdbd)
        * Switch MusicRow.qml to use CoverGrid;  Switch MusicNowPlaying.qml
          to use CoverGrid;  Expose firstSource from CoverGrid.qml
          to simplify BlurredBackground usages (95ca827a)

2014-10-20 Victor Thompson

        * Force AlbumsPage SongsModel to filter upon app load (1c6a40ba)
        * Small fix to ListItemAction (ff4be404)

2014-10-20 Andrew Hayzen

        * Remove smooth = true;  Switch toolbar to use CoverGrid.qml
          (c20e6123)
        * Add smooth property to further Images (de3e43b0)

2014-10-20 Victor Thompson

        * Improve performance slightly (9d848193)

2014-10-20 Andrew Hayzen

        * Removal of old hasRecent (1eacc4d6)
        * Rebuild of .pot (e44ebc84)
        * Merge of trunk (afdf6f5a)
        * Set sourceSize of images (180f59a7)

2014-10-20 Victor Thompson

        * Fix playlist deletion and renaming in recent table.
          Fixes:
          https://bugs.launchpad.net/bugs/1382170. (266330be)

2014-10-18 Victor Thompson

        * Small update to index values (252ca719)
        * Remove commented out code (cfbaefff)
        * Intial changes to remember the previous queue when restarting the
          app (476149dd)

2014-10-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (29eff448)

2014-10-17 Victor Thompson

        * Fix playlist deletion and renaming in recent table (d5a31174)

2014-10-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f7115b01)

2014-10-17 Andrew Hayzen

        * Add support for CardView in AlbumsPage.qml;  Add support for
          header property in CardView.qml;  Add BlurredHeader.qm.
          Make AlbumsPage.qml and SongsPage.qml use
          BlurredHeader.qml. (46fdfd8e)
        * Allow for imports to start when already importing.
          Fixes:
          https://bugs.launchpad.net/bugs/1381522. (c3d998c0)
        * Add back confinement (dd0ba357)
        * Use rightColumn and bottomColumn instead of buttons and label.
          Fix for labels in columns not eliding (803b23df)
        * Use CardView in Recent Tab;  Use Recent as default if >0 recent
          items otherwise use Albums Tab (470ae086)

2014-10-16 Andrew Hayzen

        * Tweak to autopilot to wait for page to disappear before searching
          for the new now playing page (c5775929)
        * Allow for imports to start when already importing (77bb6c67)

2014-10-15 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2c040c93)

2014-10-14 Andrew Hayzen

        * Fixes for autopilot (42d5382a)
        * Add support for CardView in AlbumsPage.qml;  Add support for
          header property in CardView.qml;  Add BlurredHeader.qm.
          Make AlbumsPage.qml and SongsPage.qml use
          BlurredHeader.qml (37ae7ebf)
        * Use CardView in MusicPlaylists.qml;  Use header actions for edit
          and delete of playlists. (edc5d4ac)
        * Make SongsPage use CoverGrid. (e4d2e3c6)
        * Fix for spelling of dialog;  Rebuild pot (916b7207)

2014-10-13 Andrew Hayzen

        * Add CoverGrid.qml component;  Use CoverGrid in Card.qml .
          (68612e40)
        * Fix for autopilot (b1d5f9d4)
        * Merge of upstream (1ac82082)
        * Rename albumImage to coversImage (8b26c343)
        * Merge of upstream (00aa0214)
        * Fix for typo :( (ff5b67fb)
        * Removal of old code (0dd53715)
        * Merge of upstream (de484682)
        * Merge of upstream (ee8f4cd4)
        * Merge of trunk (0a3cfa00)

2014-10-13 Victor Thompson

        * Initial Artists view with CardView. (2e3fa720)
        * Add clear queue action.
          Fixes:
          https://bugs.launchpad.net/bugs/1379895. (cb410251)
        * Update CardView width (3a087dc8)
        * Add clear queue action (0a4248a0)

2014-10-12 Andrew Hayzen

        * Make SongsPage use CoverGrid (25ef1470)
        * Use CardView in MusicPlaylists.qml;  Use header actions for edit
          and delete of playlists (23db20a5)
        * Use CoverGrid in Card.qml (afd5ff96)
        * Add CoverGrid.qml component (f1d7c8bb)

2014-10-11 Andrew Hayzen

        * Switch to use positionAt when isListView becomes true;  Strip out
          jumpTo/ensureVisible code for the now playing queue;  Fix
          for console errors when pressing items in queue.
          Fixes:
          https://bugs.launchpad.net/bugs/1379894. (34d436b1)
        * Don't use highlight as causes the queue to jump (60c0e6bd)
        * Switch to use positionAt when isListView becomes true (8b8ec361)
        * Switch to using ListView.Center (230f2cf9)
        * Put positionAt back in and ensure Ctrl+J shows the queue
          (03577bc6)

2014-10-11 Victor Thompson

        * Remove deleted item before updating currentIndex.
          Fixes:
          https://bugs.launchpad.net/bugs/1379923. (a6a1ea4f)

2014-10-11 Andrew Hayzen

        * Strip out jumpTo/ensureVisible code for the now playing queu.
          Fix for console errors when pressing items in queue
          (502a9223)

2014-10-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d27dda65)

2014-10-10 Victor Thompson

        * AP fix (a8d59b6f)
        * remove debug (81a37d1a)
        * Initial Artists view with CardView (7adf173e)
        * Rmove deleted item before updating currentIndex (3275be60)
        * Initial Now Playing queue list refactor. (9185881d)
        * Add a 2GU top margin, per design (4dffaf67)
        * Initial Songs tab redesign for remix. (56e2ada7)

2014-10-10 Andrew Hayzen

        * Ignore first value back after seeking [Workaround].
          Fixes:
          https://bugs.launchpad.net/bugs/1310706. (d9ab6074)

2014-10-10 Victor Thompson

        * merge prereq (46dd61d5)
        * merge of trunk (f8e7c6a1)

2014-10-10 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (866d4f0e)

2014-10-10 Victor Thompson

        * Merge of prereq (a89fa3d6)
        * Allow 2GU at top of ListView (54ca0193)

2014-10-09 Victor Thompson

        * Do not switch to full view if clicking a song in the queue.
          (6ad1a7d8)

2014-10-09 Andrew Hayzen

        * Fix for label not updating while seeking;  Add code comments
          (0bb40f44)

2014-10-09 Victor Thompson

        * Fix Ubuntu-Splash-Color to not get pulled into translations.
          (dc3fda87)
        * Fix Ubuntu-Splash-Color to not get pulled into translations
          (5c2f12d0)

2014-10-08 Victor Thompson

        * Do not switch to full view if clicking a song in the queue.
          (d0d13926)
        * Merge of prereq (43dfbfd0)
        * Place MusicRow in center of Item (8fcda6dd)
        * Tweak capitalization of Now playing page title (2c1d9dae)
        * Merge of prereq (8aec2188)
        * Merge of remix (95e67bb5)
        * Small update and refresh translations (2dfa8f7b)
        * Update per design (c781c57a)
        * merge of prereq (36f1ee25)
        * Update per design (7fd477ba)

2014-10-08 Andrew Hayzen

        * From the toolbar always jump to full view (eg if toolbar is
          selected in queue view jump to full). (f88ad452)
        * Ignore first value back after seeking [Workaround] (3ddc6a72)
        * Ensure all instances use pushNowPlaying() (0ba70985)
        * Move call to inside pushNowPlaying() (0df3af2a)
        * From the toolbar always jump to full view (eg if toolbar is
          selected in queue view jump to full) (3ae1e4fe)

2014-10-08 Victor Thompson

        * Fix conflict (330e5104)
        * merge of prereq and resolve conflict (108aa99a)
        * merge of remix (2c5bdbfc)

2014-10-08 Andrew Hayzen

        * Remove legacy toolbar code;  Make full (non listview) now playing
          default;  Fix header disappearing in full now playing.
          (5f09c329)

2014-10-08 Victor Thompson

        * Merge of prereq (417f03a5)
        * Merge of remix (5d5bbb49)

2014-10-07 Victor Thompson

        * Initial Now Playing queue list refactor (3e9ce0c8)
        * Use model.art property in AlbumsPage.
          Fixes:
          https://bugs.launchpad.net/bugs/1378157. (62e837d5)

2014-10-07 Andrew Hayzen

        * Use custom back button (4b530cf8)
        * Add objectName for back button (fb17a78e)
        * Merge of trunk (c7b65dc6)
        * Fix for pagestack jumping;  Added extra code comment (933be6ac)

2014-10-06 Victor Thompson

        * Use model.art property in AlbumsPage (e90da165)

2014-10-07 Andrew Hayzen

        * Add CardView and Card;  Implement in Albums tab. (1ccdc465)

2014-10-06 Andrew Hayzen

        * Fix so that when items are removed from the model there are no
          gaps (74b10475)
        * Reget now playing page after switching (4a8812ec)
        * Wait for now playing page to be visible when switching (ceb2055a)
        * Fix for pyflakes (3aefbf79)
        * Further fixes for autopilot (ee12677d)
        * Remove ensuring visible as this method is called sometimes when
          the now playing is not the currentPage (2b107945)
        * Fix for missed case (c567f6bb)
        * Fix for autopilot (e5aba66d)
        * Various fixes for autopilot (2cde2d32)
        * Remove legacy toolbar code;  Make full (non listview) now playing
          default;  Fix header disappearing in full now playing
          (2e1aef54)

2014-10-05 Victor Thompson

        * Merge of remix and resolve conflict (915e50bf)

2014-10-06 Victor Thompson

        * Make the Ubuntu Slider leftColor UbuntuColors.blue. (a05da4ca)

2014-10-05 Victor Thompson

        * Initial Songs tab redesign for remix (1a61c2f6)
        * Fix elide in Songs Page header;  Fix elide in MusicRow for Songs
          Page items. (26780ad0)

2014-10-06 Andrew Hayzen

        * Merge of trunk (3e9ca390)
        * Add upstream location (351cb06f)

2014-10-05 Victor Thompson

        * Used new desktop entries to show a fake application page during the
          startup.
          Fixes: https://bugs.launchpad.net/bugs/1377638.
          (deefde8c)

2014-10-05 Andrew Hayzen

        * Merge of trunk (549e8ae9)

2014-10-05 Victor Thompson

        * Used new desktop entries to show a fake application page during the
          startup. (43277f78)

2014-10-05 Andrew Hayzen

        * Move to ColumnFlow {} (b78ab08d)

2014-10-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (571a5228)

2014-10-05 Victor Thompson

        * Fix elide in Songs Page header;  Fix elide in MusicRow for Songs
          Page items (5b72bbf4)
        * Initial Now Playing toggle. (91b8cc0b)

2014-10-04 Victor Thompson

        * Only jump to track in queue view to prevent header from hiding in
          full view (417ed222)
        * Make the Ubuntu Slider leftColor UbuntuColors.blue (27ddf70e)

2014-10-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1e74d39d)

2014-10-03 Victor Thompson

        * fix update (e6f0c32c)
        * update (f31b530b)
        * Small tweaks and a toolbar hack (b9ee9207)
        * Merge of remix (f4f94d38)

2014-10-04 Andrew Hayzen

        * Fix the toolbar so it is always shown;  Move progress bar to the
          bottom of the toolbar. (c8a32735)

2014-10-04 Victor Thompson

        * Hide song cover art in SongsPage;  Update Blurred cover art;  Add
          Blurred cover art to SongsPage header;  Update labels on
          SongsPage;  Add Shuffle to SongsPage;  Update SongsPage
          margins;  Update SongsPage buttons;  Shorten blurred
          height. (12c61d12)

2014-10-03 Victor Thompson

        * Update per comments (92921427)
        * Adjust header item based on Label visibility (0cc5f1d3)
        * Default to the listview view for now (c341c517)
        * Initial Now Playing toggle (843aebce)
        * Clean slate (9e1d85ec)
        * Fit items into view (c856e1c4)

2014-10-03 Akiva Avraham

        * Add play controls to the full view of the Now Playing page
          (b0243ae4)
        * Removed Custom Slider, replaced it with the proper one.
          SIGNIFICANTLY improved how this thing works. (6d6de0ed)
        * Added the controls to
          lp:~vthompson/music-app/remix-now-playing-main-view
          (783f121f)

2014-10-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1131e6e7)

2014-10-03 Victor Thompson

        * Initial Now Playing toggle (bd5168a2)
        * Clean slate (c25a3b2c)
        * Remove incorrect commit (fbf6b0c9)

2014-10-02 Victor Thompson

        * Rename the new view (7af46bf5)
        * Initial Now Playing toggle (7e415b67)
        * Update translations (53db8ccc)
        * merge of trunk (860988c0)
        * Resolve design feedback (e37a3aad)

2014-10-02 Akiva Avraham

        * Added the controls to the NowPlaying page, as was shown in the
          following screenshot:
          https://docs.google.com/presentation/d/1L3eGhOe-0eEmKtUurthpUEaweFradSFb3t6W-KiIZMU/edit#slide=id.g4d67bb613_19
          (872e3596)

2014-10-02 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (706ca70d)

2014-10-02 Andrew Hayzen

        * Implement new small toolbar design. (b71f932d)

2014-10-01 Victor Thompson

        * Update per review comments (e0aafc1e)
        * Update per design direction (2d5d0957)

2014-10-01 Andrew Hayzen

        * Move to using Flow {} (f6b7698a)
        * Switch progress bar position (d5e4b11f)
        * Merge from lp:~andrew-hayzen/music-app/remix-small-toolbar-design
          (48a2607e)
        * Rework mouse areas with animated click region;  Remove
          previous/next buttons;  Change font weight of title to
          medium;  Fix for playlist images not appearing in toolbar
          * Ensure image resize is smooth (7607cc8a)

2014-10-01 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (dedfb4f6)

2014-09-30 Victor Thompson

        * Add Shuffle;  Update margins;  Update buttons;  Shorten blurred
          height (94a07012)

2014-09-30 Andrew Hayzen

        * Merge of /remix (857cb1cd)
        * Change spacing for labels;  Change font sizes (b3fb9555)
        * Fix the toolbar so it is always shown (6d8f1369)
        * Implement new small toolbar design (8c35e1e0)

2014-09-30 Victor Thompson

        * Remove listitem divider and make subtitle text a bit whiter
          (6628457e)
        * Update cover art fetch (61e2e64d)
        * Update cover art fetch (b1036427)

2014-09-29 Victor Thompson

        * remove debug (10f121c6)
        * Initial changes for songs page redesign (8f46740c)
        * Remove blurred background (802deed5)

2014-09-30 Andrew Hayzen

        * Remove the code comment (cb12ad2f)

2014-09-28 Andrew Hayzen

        * Tweak overlay opacity (7a122318)
        * Further tidying (13208611)
        *  Remove unused imports (ae76c792)
        * Cleanup old code (c0794f21)
        * Add CardView and Card;  Implement in Albums tab (f57f0dae)
        * Remove blurred background (42afe82f)

2014-09-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c5e9db71)

2014-09-25 Andrew Hayzen

        * Add waits for the bounce animation on a listitem action.
          (bfc343a2)
        * Add waits for the bounce animation on a listitem action
          (08494a8e)

2014-09-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (0a0cea3d)

2014-09-25 Andrew Hayzen

        * Set $HOME and $UBUNTU_APP_LAUNCH_LINK_FARM.
          Fixes:
          https://bugs.launchpad.net/bugs/1370800. (08d03f28)
        * Add comments (ad99f3c4)

2014-09-24 Andrew Hayzen

        * Add cleanups (bdd0b905)
        * Set $HOME and $UBUNTU_APP_LAUNCH_LINK_FARM (890bc404)

2014-09-24 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d76f65bf)

2014-09-23 Andrew Hayzen

        * Remove main_view and pointing_device properties;  Use virtual
          model of metadata rather than hardcoding track_index,
          track_title etc;  Improve toolbar handling;  Make
          click_play_button helper automatically choose the correct
          button;  Improve some tests especially ones with 'while.
          Improve code comments. (e665757d)
        * Fix missing translations;  Change path to
          ~/Music/Imported/yyyy/MM/dd/hhmmss;  Remove unused
          dialogue code;  Update .pot.
          Fixes:
          https://bugs.launchpad.net/bugs/1369050. (73beb2f2)
        * Rerun jenkins (7dc5474e)
        * Missing slash in merge conflict resolution (922b3eb8)
        * Fixes for translations (469fcf7e)
        * Merge of trunk (d7e3f696)

2014-09-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (fc458b52)

2014-09-23 Andrew Hayzen

        * Add multi file import support.
          Fixes:
          https://bugs.launchpad.net/bugs/1365993,
          https://bugs.launchpad.net/bugs/1368648. (6deebb40)

2014-09-22 Andrew Hayzen

        * Fix for translator comments (36d7510d)
        * Fix path to ~/Music/Imported/* (eaacb959)

2014-09-20 Victor Thompson

        * Use art property to allow mediascanner2 to determine if embedded
          art exists. (c8caefc7)

2014-09-20 Akiva Avraham

        * Updated library imports to qtquick-2.3. (cee5bc0d)
        * Updated library imports to qtquick-2.3 (19ef67f8)

2014-09-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (6ef03d14)

2014-09-18 Andrew Hayzen

        * Fix for missed case (12be2e8a)
        * Fix ~/Music path as not translated yet (bb3abeba)
        * Add multi file import support (3883e896)

2014-09-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4580e497)

2014-09-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c114090b)

2014-09-13 Andrew Hayzen

        * Add translation comments (115b47c4)
        * Fix missing translations;  Change path to
          ~/Music/Imported/yyyy/MM/dd/hhmmss;  Remove unused
          dialogue code;  Update .pot (10d96c18)

2014-09-13 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (dbce6efd)

2014-09-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1b4da24b)

2014-09-11 Victor Thompson

        * merge trunk (b1666fa7)
        * More backwards commpatibility in recent (a2275e53)

2014-09-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (fd1e1fd9)

2014-09-11 Andrew Hayzen

        * Add test_pressing_prev_after_5_seconds.
          Fixes:
          https://bugs.launchpad.net/bugs/1335685. (406dc441)

2014-09-10 Victor Thompson

        * Hide genres if none.
          Fixes:
          https://bugs.launchpad.net/bugs/1365832. (b04ed76e)

2014-09-10 Andrew Hayzen

        * Remove unused now_playing_page (38225a99)
        * Add test_pressing_prev_after_5_seconds (1319cfe8)
        * Fix for fake metadata (0380094c)
        * Merge of trunk (325b72e6)

2014-09-09 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (db38daca)

2014-09-09 Andrew Hayzen

        * Create helpers MusicAlbums MusicArtists MusicTracks
          MusicPlaylists AlbumsPage MusicaddtoPlaylist SongsPage
          ListItemWithActions;  Add seek_to to toolbar helpe.
          Remove unused methods in MainView. (b28c9639)

2014-09-08 Andrew Hayzen

        * Fix for spelling mistakes and code comment improvements
          (34813417)
        * Use python3 for autopilot in all cases.
          Fixes:
          https://bugs.launchpad.net/bugs/1366007. (d1c043b9)
        * Remove python-mock depends (289630bd)

2014-09-08 Benjamin Zeller

        * Make Music app cmake project useable out of the Box with QtCreator
          - Enable click mode by default - Hook names in the
          manifest file can not be variables - Disable click mode in
          debian rules file - Add variable UBUNTU_MANIFEST_PATH
          variable so QtC knows where to look for the manifest file.
          (8ccdd9a3)
        * Fix packaging (fb8ccaa0)
        * Make Music app cmake project useable out of the Box with QtCreator
          - Enable click mode by default - Hook names in the
          manifest file can not be variables - Disable click mode in
          debian rules file - Add variable UBUNTU_MANIFEST_PATH
          variable so QtC knows where to look for the manifest file
          (d807b51d)

2014-09-08 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (8b02c945)

2014-09-07 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2cae85e1)

2014-09-05 Andrew Hayzen

        * Fix for test_play_pause_library;  Make click_play_button helper
          automatically choose the correct button (c538e512)

2014-09-05 Victor Thompson

        * Hide genres if none (2b7727b4)

2014-09-04 Victor Thompson

        * Merge of trunk (45c7aa1b)

2014-09-05 Andrew Hayzen

        * Fix for test_mp3 (9a8534ea)
        * Merge of lp:~andrew-hayzen/music-app/ap-helper-refactor-003
          (4d740df8)

2014-09-04 Andrew Hayzen

        * Merge of trunk (4f22c821)

2014-09-04 Victor Thompson

        * Update AP tests to newest mediascanner 2.0 db schema version.

          Fixes: https://bugs.launchpad.net/bugs/1365247. (bd156712)
        * Fix sql file (d707d7a2)

2014-09-04 Andrew Hayzen

        * Use python3 for autopilot in all cases (a4af5c7a)
        * Fix for spelling issues (65cbaf6d)
        * Fix for using False instead of source (d4a882d2)

2014-09-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4438e087)

2014-09-04 Victor Thompson

        * Update AP tests to newest mediascanner 2.0 db schema version.
          (42f2dad3)

2014-09-03 Victor Thompson

        * A few updates (f7fa7e08)
        * Use art property to allow mediascanner2 to determine if embedded
          art exists (8d8d9fa7)

2014-09-04 Victor Thompson

        * Fix currently playing item transition. (e108de8e)

2014-09-04 Andrew Hayzen

        * Change to use artistLabel (d8b3c41b)
        * Remove main_view and pointing_device properties;  Use virtual
          model of metadata rather than hardcoding track_index,
          track_title etc;  Improve toolbar handling;  Improve code
          comments (48799a6b)

2014-09-03 Victor Thompson

        * Fix currently playing item transition. (7adc88a3)

2014-09-03 Andrew Hayzen

        * Remove dependency on Unity Actions. (6e4a0392)

2014-09-03 Victor Thompson

        * Allow currently playing item to resize in narrow mode. (d403623c)

2014-09-03 Andrew Hayzen

        * Fix for unicode encoding errors. (20b9ec5f)

2014-09-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (21cde272)

2014-09-02 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e446f1da)

2014-09-01 Andrew Hayzen

        * Remove dependency on Unity Actions (339b23df)

2014-09-01 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (43cbe5c3)

2014-08-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f7882197)

2014-08-29 Andrew Hayzen

        * Attempt to support py2 as well (6b12af60)
        * Fix for unicode encoding errors (5121fc70)

2014-08-28 Victor Thompson

        * Allow currently playing item to resize in narrow mode. (3e3f762d)

2014-08-29 Andrew Hayzen

        * Add code comment (8570feef)
        * Fix for pep8 (a39e9542)
        * Create helpers MusicAlbums MusicArtists MusicTracks
          MusicPlaylists AlbumsPage (0f8cfdd5)

2014-08-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (539c394e)

2014-08-28 Andrew Hayzen

        * Create helpers for MusicaddtoPlaylist, SongsPage;  Remove old
          methods from MainView (e1c33e7f)
        * Add seek_to to toolbar helper;  Implement ListItemWithActions
          helper;  Remove unused methods in MainView (753caeec)

2014-08-27 Andrew Hayzen

        * Make basic helpers for MusicNowPlaying and MusicToolbar;  Convert
          turn_shuffle and turn_repeat into set_shuffle and
          set_repeat. (e7da204a)
        * Merge of trunk (4bc564f9)

2014-08-27 Victor Thompson

        * Fix tests for new mediascanner schema.
          Fixes:
          https://bugs.launchpad.net/bugs/1361824. (b6733355)
        * empty (d27e8cd1)
        * Update user (4cbd4c2b)

2014-08-27 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f51dfd23)

2014-08-26 Victor Thompson

        * Fix tests for new mediascanner schema. (d6a4b912)

2014-08-26 Andrew Hayzen

        * Fix for test_mp3 (720a4448)

2014-08-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4409ca41)

2014-08-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d0edb2e0)

2014-08-24 Andrew Hayzen

        * Fix for set_shuffle set_repeat still using now_playing_page
          rather than toolbar (cc88d9a4)

2014-08-24 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (3cb1b9f9)

2014-08-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (13ea3a34)

2014-08-23 Andrew Hayzen

        * Move set_repeat set_shuffle into MusicToolbar;  Change
          fullPlayShape to playShape and others;  Change
          expandedPlayShape to smallPlayShape (23487e3b)

2014-08-22 Andrew Hayzen

        * Remove duplication (034a6e6c)

2014-08-22 Alan Pope

        * Fix content-hub config. (43ec89d5)

2014-08-22 Andrew Hayzen

        * Fix for case that was removed (ed18af45)

2014-08-22 Alan Pope

        * remove source stanza in content hub config (e96223c2)

2014-08-22 Andrew Hayzen

        * Change toolbar.get_x_button to toolbar.click_x_button as they are
          always clicked (e4b44c0a)

2014-08-22 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (60cc4bb6)

2014-08-22 Victor Thompson

        * Fix issue with cover art not being set properly.
          Fixes:
          https://bugs.launchpad.net/bugs/1354611. (f17ef4d9)

2014-08-22 Andrew Hayzen

        * Wait for now playing to be visible in populate_queue();  Get
          now_playing_page again if it has moved (b29c6b31)

2014-08-21 Victor Thompson

        * Reset source from Player (34dbb912)

2014-08-22 Andrew Hayzen

        * Fixes for missed get_count() cases (c0d7abcb)
        * Merge of trunk (da517ce9)
        * Make basic helpers for MusicNowPlaying and MusicToolbar;  Convert
          turn_shuffle and turn_repeat into set_shuffle and
          set_repeat (2108f9a0)

2014-08-21 Andrew Hayzen

        * Bump Ubuntu.Components to 1.1;  Bump QtQuick to 2.2. (aa7d5b84)
        * Bump Page10 to Page11 as Ubuntu.Components has been bumped to 1.1
          (3a181094)
        * Reverse cherry pick 587-588 (2e1501da)
        * Merge of trunk (3d1eaa7b)
        * Bump Ubuntu.Components.Popups and Ubuntu.Components.ListItems to
          1.0;  Remove duplicate entries of
          Ubuntu.Components.ListItems (7ed75365)
        * Initial conversion of splitting the helpers. (c07e13ba)
        * Merge of trunk (646b3da1)
        * Fix for grammatical error (bcee2536)
        * Make use of model.status.
          Fixes:
          https://bugs.launchpad.net/bugs/1358275. (1fa3256a)

2014-08-21 Victor Thompson

        * Reset genre as undefined from AlbumsPage.;  Reset genre as
          undefined from MusicPlaylists.
          Fixes:
          https://bugs.launchpad.net/bugs/1359189. (3eba0613)

2014-08-21 Andrew Hayzen

        * Remove on filled property from allSongsModel (c9f8e474)

2014-08-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (cd3d9a14)

2014-08-20 Victor Thompson

        * Fix issue with cover art not being set properly. (6f5cd3c7)

2014-08-21 Victor Thompson

        * Filter out the items with a blank genre from the Genre list.
          (8a84d4cd)

2014-08-20 Victor Thompson

        * Reset from Playlists tab too. (6ec10560)

2014-08-20 Andrew Hayzen

        * Switch open_tracks_tab to get_tracks_page (936a9747)
        * Change open_tracks to open_tracks_tab;  Add code comments
          (7e81048c)
        * Fix typo (6302b273)

2014-08-20 Victor Thompson

        * Fix inability to translate 'song'.
          Fixes:
          https://bugs.launchpad.net/bugs/1357626. (ba08a59d)

2014-08-20 Andrew Hayzen

        * Empty commit to rerun jenkins (2bdec5f7)
        * Remove useDeprecatedToolbar: false as it is false in ubuntu
          components 1.1 (d66ab625)
        * Bump Ubuntu.Components to 1.1;  Bump QtQuick to 2.2 (085c5c6d)

2014-08-20 Victor Thompson

        * Reset genre as undefined from AlbumsPage. (e9c6b116)

2014-08-20 Andrew Hayzen

        * Merge of trunk (7aa5dc0b)
        * Reverse reverse cherry pick;  Fix for SongsModel.Ready (ea099994)

2014-08-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f1c515a2)

2014-08-19 Victor Thompson

        * Filter unknown genres (a03a7076)

2014-08-20 Andrew Hayzen

        * Add content-hub destination support.
          Fixes:
          https://bugs.launchpad.net/bugs/1347444. (1b1a5e06)
        * Fix for tracksTab name change (03cde8d3)
        * Fix incorrect property (52d98fb8)

2014-08-19 Andrew Hayzen

        * Add property for pointing_device to keep old tests running
          (b5ff726d)
        * Initial conversion of splitting the helpers (a0fe2bde)

2014-08-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c4d6189c)

2014-08-19 Andrew Hayzen

        * Revert noMusic fix for now until lp:1358275 is resolved
          (0ed61124)

2014-08-18 Andrew Hayzen

        * Switch to custom proxy object emulator, instead of calling via
          old emulators module.
          Fixes:
          https://bugs.launchpad.net/bugs/1341681. (4b2f6940)
        * Switch to custom proxy object emulator, instead of calling via
          old emulators module (fd9f0dfb)
        * Fix for incorrect datetime for URL (75a6e511)
        * Modify not found text;  Update .pot (dc351e2b)

2014-08-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (65c13375)

2014-08-18 Victor Thompson

        * Stop player when last item is removed;  Leave Now Playing page if
          there are no more tracks.
          Fixes:
          https://bugs.launchpad.net/bugs/1357838. (8285f346)

2014-08-17 Victor Thompson

        * Update (57dc6b46)
        * Update the call to leave the Now Playing page (98fd0c1a)

2014-08-18 Andrew Hayzen

        * Merge in
          lp:~andrew-hayzen/music-app/fix-no-music-use-model-status
          (1737be70)
        * Reverse cherry pick 582 (617c672e)

2014-08-17 Andrew Hayzen

        * Remove all onFilled (9ffcbbf1)
        * Make use of model.status (758ce8bd)

2014-08-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (99db5716)

2014-08-16 Victor Thompson

        * Stop player when last item is removed;  Leave Now Playing page if
          there are no more tracks (f0c9bdbe)

2014-08-17 Andrew Hayzen

        * Merge of trunk (b68632be)
        * Skip import dialogue for now and autoimport (54c47bbe)

2014-08-17 Victor Thompson

        * Adjust the size of the transparent background for a label.
          (f2aa01dd)
        * Fix empty queue message length;  Wrap text for empty queue
          message.
          Fixes: https://bugs.launchpad.net/bugs/1357625.
          (9c2feafe)

2014-08-16 Victor Thompson

        * Place now playing item in a transparent label. (c26f8071)
        * Add album from scope to recent list.
          Fixes:
          https://bugs.launchpad.net/bugs/1357149. (630d6434)
        * Fix getPlaylistCovers functions to return only unique covers.
          (eb2fd5dc)
        * Fix empty queue message length (30a49ea2)
        * merge trunk and resolve conflict (f4768ef7)
        * Do not tell the user to restart the app. (91b0e71e)
        * Update 'Playlist' translations;  Update 'Genre' translations.

          Fixes: https://bugs.launchpad.net/bugs/1357646. (88ad790f)

2014-08-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (bb75b376)

2014-08-16 Victor Thompson

        * Update 'Playlist' translations;  Update 'Genre' translations'
          (9ff4b257)

2014-08-15 Victor Thompson

        * Fix inability to translate 'song' (85e6fc65)
        * Update pot file (ca1da2fb)
        * Do not tell the user to restart the app. (92934624)
        * Fix solution to allow same artists with different albums (5546fa10)
        * Fix getPlaylistCovers functions to return only unique covers
          (68060fa6)

2014-08-16 Andrew Hayzen

        * Fix for emptyPage (cc69a2da)

2014-08-15 Andrew Hayzen

        * Remove debug lines (46030628)
        * Fix for incorrect path;  Implement not found dialogue (3acb35b8)

2014-08-15 Victor Thompson

        * Empty (691dd2d3)

2014-08-15 Andrew Hayzen

        * Merge of trunk (17d1b8f4)

2014-08-15 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (aa73dd71)

2014-08-14 Victor Thompson

        * Adjust the size of the transparent background for a label.
          (c2d45155)
        * Add album from scope to recent list (a4942d7a)
        * Place now playing item in a transparent label (30e88f97)
        * Make UbuntuShapes appear pressed. (500a5c49)

2014-08-14 Andrew Hayzen

        * Fix for blank duration after sleep and wake - update label
          onPositionChanged. (d3288f7b)
        * Fix for ap tests (8a0478ce)

2014-08-14 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (6c0f5c5a)

2014-08-14 Victor Thompson

        * Do not shuffle if only one track in queue and repeat is off.
          Fixes:
          https://bugs.launchpad.net/bugs/1327143. (4e93e75d)

2014-08-13 Victor Thompson

        * Add CoverRow to Now Playing page with pressed catch (190296a3)
        * Use repeat property (d7936045)

2014-08-13 Andrew Hayzen

        * Fix for blank duration after sleep and wake - update label
          onPositionChanged (274bbb21)

2014-08-13 Víctor R. Ruiz

        * Mark strings for localization.
          Fixes:
          https://bugs.launchpad.net/bugs/1355920. (f0d3e43a)

2014-08-13 Victor Thompson

        * Fix failing test (test_add_song_to_queue_from_albums_page) in
          trunk. (2c0dbeba)

2014-08-13 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (8105dbc5)

2014-08-12 Victor Thompson

        * Fix failing test in trunk (49cc4122)

2014-08-13 Víctor R. Ruiz

        * Update .pot file (aeefdccb)

2014-08-12 Víctor R. Ruiz

        * Mark strings for localization (a132de6d)

2014-08-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1865b606)

2014-08-11 Victor Thompson

        * Do not shuffle if only one track in queue and repeat is off.
          (0548b954)
        * merge trunk (96475c02)

2014-08-11 Andrew Hayzen

        * Merge of trunk (b93dda1b)

2014-08-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (7659cbab)

2014-08-11 Andrew Hayzen

        * Remove expander, reorder, swipedelete code;  Use
          ListItemWithActions from other apps;  Implement actions
          for add to playlist, add to queue, edit playlist, delete
          playlist;  Implement reordering.
          Fixes:
          https://bugs.launchpad.net/bugs/1311800,
          https://bugs.launchpad.net/bugs/1338042. (b0909a12)
        * Refresh playlist model count when child track is removed
          (894357d0)
        * Fix removing track from playlist;  Fix elide of text when
          reordering;  Rebuild .pot;  Cancel reordering if focus is
          lost (5137f863)

2014-08-09 Victor Thompson

        * Make UbuntuShapes appear pressed (5f2e222d)

2014-08-09 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2a567371)

2014-08-09 Andrew Hayzen

        * Switch rightSideAction to be white/orange (82c74601)

2014-08-08 Andrew Hayzen

        * Fix margins of now playing so item is centred (0daf38f5)
        * Enable reordering for playlists;  Remove extra remove dialogue
          when removing a playlist;  Increase rightAction margin
          (9eb994c1)

2014-08-07 Andrew Hayzen

        * Merge of trunk (918e1901)
        * Use MediaStore.lookup() instead of binary search (8812c71a)
        * Fix for ap so that it waits for the action animation to complete
          before accessing the playlist page (c75c2f5a)
        * Merge of trunk (ae40bffd)
        * Switch colour of rightactions to Orange (cf8cd70e)
        * Fixes for ap tests and swipeDelete not functioning (8cc6d2f5)

2014-08-07 nskaggs

        * Wait until model is populated before deciding there is no music.
          There was a new prototype to the Songs model added that
          provides a "filled" signal that we should listen to in
          order to determine the model is full. (95b5f21b)
        * remake vthompson's diff (4ed80880)

2014-08-07 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (5060a4f1)

2014-08-07 Victor Thompson

        * Use mediascanner SongsModel.lookup() function to play song from
          Music Scope;  Catch the filled signal for the SongsModel
          used for playing an album from the Music Scope.
          Fixes:
          https://bugs.launchpad.net/bugs/1352877. (b3968b50)
        * Make dialog error text red instead of white;  Make confirm dialog
          button orange.
          Fixes:
          https://bugs.launchpad.net/bugs/1353173. (744b9fc9)

2014-08-06 Victor Thompson

        * Clear filter (c13c94cf)

2014-08-07 Andrew Hayzen

        * Merge of trunk (d54b35cf)

2014-08-06 nskaggs

        * Bump to dev3. (d65defe5)

2014-08-06 Victor Thompson

        * Reset selectedAlbum... just in case. (c3682a6d)
        * Fix swipe to delete test.
          Fixes:
          https://bugs.launchpad.net/bugs/1350529. (343a844f)
        * Make wideAspect dependent upon loadedUI bool (e33a8dc8)

2014-08-06 Andrew Hayzen

        * Correct objectNames for autopilot (dc30d787)
        * Add primed var to actions so autopilot can tell which actions are
          visible (a06e4412)

2014-08-06 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (42919723)

2014-08-05 Victor Thompson

        * Make dialog error text red instead of white;  Make confirm dialog
          button orange (401fbd2b)
        * merge of trunk (32c51ad7)
        * Revert accidental merge (2d225ec0)
        * Also give the confirm button UbuntuColors.orange color (cfd34f21)
        * Fix swipe to delete test (013d2c5b)
        * Make dialog error text red instead of white (9ad38374)

2014-08-05 Andrew Hayzen

        * Fixes for autopilot (5ba276ae)

2014-08-05 nskaggs

        * bump framework (f194c20d)

2014-08-05 Victor Thompson

        * Fix playing song and album from scope (f6dbf524)

2014-08-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (78d23164)

2014-08-05 Andrew Hayzen

        * Direct port of ap tests from listitem-actions (a3dc5ae0)
        * Add background to right actions;  NowPlaying UI Fix (ecabd585)

2014-08-04 Andrew Hayzen

        * Add reorder support (213aaed5)

2014-08-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (65f20651)

2014-08-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a4442461)

2014-08-01 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (60779af9)

2014-08-01 Andrew Hayzen

        * Initial transition to using ListItemWithActions.qml (b5eb7375)

2014-07-31 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1b774ebc)

2014-07-30 Andrew Hayzen

        * Implement wait dialogue;  Fix for getPath() (b5cd3552)
        * Merge of trunk (a593100e)

2014-07-30 Victor Thompson

        * Refactor playlists DB.
          Fixes:
          https://bugs.launchpad.net/bugs/1261076. (22739eed)

2014-07-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (230d76e5)

2014-07-30 Andrew Hayzen

        * Fix to check if the playlist exists when renaming (579a850d)

2014-07-29 Andrew Hayzen

        * Show error if the same playlist name is used when editing
          (13eaa533)
        * Ignore rename if from is the same as to (6a31f0c6)

2014-07-29 Victor Thompson

        * Update edit playlist name (10e52d04)

2014-07-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (bbf8b0c1)

2014-07-28 Victor Thompson

        * Update edit playlist name (1f9fb617)

2014-07-28 Andrew Hayzen

        * Fix for incorrect variable names;  Extra debug lines (c45c1db0)
        * Fixes for no return when no tx is passed (30064be7)
        * Fixes so that playlist db is created even if no db existed before
          (540385e8)

2014-07-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f1b17a94)

2014-07-28 Andrew Hayzen

        * Optmise transactions so most methods only use 1 db transaction
          (f07739f5)
        * Fixes to removeFromPlaylist and move for playlists.js (36e9d319)
        * Refactor playlists DB (02fbdb2a)

2014-07-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b05ecba6)

2014-07-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (0d36d260)

2014-07-24 Tim Peeters

        * Update autopilot tests to use the UITK CPO for clicking the back
          button. (aea776b4)
        * replace the remaining calls of get_back_button (e3edbc5e)
        * use uitk go_back() (5e68fda0)

2014-07-24 Leo Arias

        * Do not depend on the position of the label to find the icon to
          expand it.
          Fixes: https://bugs.launchpad.net/bugs/1348055.
          (7454b9e5)
        * Do not depend on the position of the label to find the icon to
          expand it. (a1a5f4ec)

2014-07-24 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a7e635a5)

2014-07-23 Andrew Hayzen

        * Merge of trunk (ebd0fe96)

2014-07-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (271498ee)

2014-07-22 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (23dca696)

2014-07-21 Victor Thompson

        * Make icons consistent;  Remove some unused icons;  Use Icon
          component when possible.
          Fixes:
          https://bugs.launchpad.net/bugs/1341219. (bf3f2293)

2014-07-21 Pawel Stolowski

        * Added X-Ubuntu-Default-Department-ID key to the desktop file. This
          is required by click scope to support departments for
          preinstalled applications. (f1e5dc24)

2014-07-21 Victor Thompson

        * Do not show year for genre.
          Fixes:
          https://bugs.launchpad.net/bugs/1343725. (bf7a52d6)
        * Always get album date.
          Fixes:
          https://bugs.launchpad.net/bugs/1343724. (02311f67)

2014-07-21 Pawel Stolowski

        * Added X-Ubuntu-Default-Department-ID key to the desktop file
          (4447d114)

2014-07-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (cc922217)

2014-07-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (82c226bf)

2014-07-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (92414886)

2014-07-18 Victor Thompson

        * Make OSK on new playlist dialog non-predictive.
          Fixes:
          https://bugs.launchpad.net/bugs/1340507. (a0baaf4f)

2014-07-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (6939b4c2)

2014-07-17 Victor Thompson

        * Always get album date (1f345bd2)
        * Do not show year for genre (cb7de5f1)

2014-07-17 Andrew Hayzen

        * Change to move the file to
          ~/Music/Imported/YYYYMMDDHHMMSS-foo.ext;  Add searching
          support to model (d049fafc)

2014-07-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (adf7efca)

2014-07-15 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f06c67d0)

2014-07-14 Andrew Hayzen

        * Add popup with prompt to move the file;  Make use of content hub
          move() (5e2fddd9)

2014-07-13 Andrew Hayzen

        * Move pages inside pagestack. (9ada34bd)
        * Move pages inside pagestack (0992bc2a)
        * Merge of trunk (5de27101)

2014-07-12 Victor Thompson

        * Make icons consistent;  Remove some unused icons;  Use Icon
          component when possible (5bbf0427)

2014-07-12 Andrew Hayzen

        * Fix to ensure that the width of the label is set and the
          MusicRow.qml anchors.right is set correctly so that labels
          elide when the expander is reached;  Set elide, height,
          maximumLineCount, wrapMode, verticalAlignment and width
          inside MusicRow.qml. (ca08d4b1)
        * Add code comment to width binding (5fe05984)

2014-07-11 Andrew Hayzen

        * Tweak to include margin to expander item (4cd8e070)
        * Fix to ensure that the width of the label is set and the
          MusicRow.qml anchors.right is set correctly so that labels
          elide when the expander is reached;  Set elide, height,
          maximumLineCount, wrapMode, verticalAlignment and width
          inside MusicRow.qml (ca7ec06f)
        * Abstract listitem common structure into MusicRow.qml;  Add
          support for new row in SongsSheet.qml, MusicArtists.qml,
          MusicPlaylists.qml, MusicSearch.qml and
          MusicaddtoPlaylist.qml. (736d3ffe)
        * Fix for autopilot (215ad2f9)
        * Modify height of labels so that they are aligned in the centre
          correctly (9b1cfaa3)

2014-07-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (fad112a8)

2014-07-10 Victor Thompson

        * Make OSK on new playlist dialog non-predictive (9be69711)

2014-07-11 Stefano Verzegnassi

        * Make cover art label backgrounds opaque;  Modify Albums tab
          UbuntuShape radius;  Adjust cover art label font weight
          and color. (cf415643)

2014-07-11 Andrew Hayzen

        * Fix for autopilot (e8f8857a)
        * Fix for progress bar on stop. (9730468d)
        * Fix for autopilot (b35396b8)
        * Merge of trunk (055a63d0)

2014-07-09 Stefano Verzegnassi

        * White color for secondaryText in the UbuntuShapes items (5d6229d5)

2014-07-08 Victor Thompson

        * Updates (11d9a9f1)

2014-07-06 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a4b7af5a)

2014-07-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (efa141ab)

2014-07-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (6639cb38)

2014-07-04 stefano-2

        * Transparent background for UbuntuShapes labels (e86b351d)

2014-07-03 Victor Thompson

        * Fix new playlist error text color.
          Fixes:
          https://bugs.launchpad.net/bugs/1295932. (ff088ff0)

2014-07-02 Victor Thompson

        * Fix new playlist error string color (c0d2d829)

2014-07-03 Victor Thompson

        * New playlist from header.
          Fixes:
          https://bugs.launchpad.net/bugs/1282775,
          https://bugs.launchpad.net/bugs/1297179. (9de36b19)

2014-07-02 Victor Thompson

        * Fix test (aaf76884)

2014-07-02 Andrew Hayzen

        * Merge of trunk (edfd9112)
        * Merge of trunk (3b92a4ea)
        * Bump framework to -dev2.
          Fixes:
          https://bugs.launchpad.net/bugs/1336764. (9c6d57ff)

2014-07-02 Victor Thompson

        * New playlist from header (46fe7bf6)

2014-07-02 Andrew Hayzen

        * Migrate the following sheets to page/pagestacks, SongsSheet.qml,
          AlbumsSheet.qml and MusicaddtoPlaylist.qml.
          Fixes:
          https://bugs.launchpad.net/bugs/1312430. (b5c8834d)
        * Bump framework to -dev2 (b064e28e)
        * Only attempt to play first file (fb159d9b)
        * Add content-hub destination support (fa2df745)

2014-07-01 Victor Thompson

        * Autopilot to mock home again. (32193e48)

2014-06-30 Andrew Hayzen

        * Abstract listitem common structure into MusicRow.qml;  Add
          support for new row in SongsSheet.qml, MusicArtists.qml,
          MusicPlaylists.qml, MusicSearch.qml and
          MusicaddtoPlaylist.qml (b9bd7d1c)
        * Merge of trunk (88b44036)

2014-06-29 Andrew Hayzen

        * Merge of trunk (75da9163)

2014-06-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b99d452a)

2014-06-28 Andrew Hayzen

        * Fix potential trackclicked issues. (3f51b92d)

2014-06-27 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (3edb2e27)

2014-06-26 Victor Thompson

        * Mock home again (7f429225)

2014-06-27 Victor Thompson

        * Remove workarounds for Mediascanner 2.0 D-Bus issues. (d4a8b92d)

2014-06-26 Victor Thompson

        * merge trunk, resolve conflicts (66036565)

2014-06-26 Andrew Hayzen

        * Change back behaviour to go from now playing to tabs rather than
          to intermediary pages;  Removal of any mentions of sheet
          in tests/objectnames and renamed to page to avoid
          confusion (806b35ba)

2014-06-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (94dfff31)

2014-06-25 Andrew Hayzen

        * Fix for pyflakes (48238fff)
        * Fix for autopilot (87385442)
        * Fix for pep8 (b5ee941f)
        * Add margin to play all artist on albums page (0ab47833)
        * Merge of trunk (5c24ec8c)
        * Add music page to bzr (29b41e67)
        * Fix Pep8 after update. (5f8fd99d)
        * Fix for incorrect formatting of string (0b53c4e8)

2014-06-24 Andrew Hayzen

        * Fix Pep8 after update (7c1a2cd3)
        * Abstract Page to MusicPage to make bottom edge implementation
          easier (7b9a4f82)
        * Fixes for pyflakes (6225e9c3)

2014-06-24 Victor Thompson

        * Remove workarounds for Mediascanner 2.0 D-Bus issues (02b97c8f)

2014-06-24 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e30cc593)

2014-06-22 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b427b72e)

2014-06-21 Andrew Hayzen

        * Fix potential trackclicked issues (f2a92f71)

2014-06-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2a8d6144)

2014-06-21 Victor Thompson

        * Update test_next_previous to seek to 0 before selecting previous.

          Fixes: https://bugs.launchpad.net/bugs/1332570. (af553d77)

2014-06-20 Victor Thompson

        * Fix pep8 (80605cd8)
        * Seek to 0 prior to selecting previous (2724a2a7)
        * Update test_next_previous to always immediately pause the track
          after hitting next (2ebbacbb)

2014-06-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a25da01b)

2014-06-19 Andrew Hayzen

        * Restore to using Item for header (e447970c)
        * Minor fixes (a9625d4f)
        * Fixes for autopilot merge (cf36c1b5)
        * Merge of trunk (0185c34e)

2014-06-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2798e13c)

2014-06-19 Victor Thompson

        * Refactor app to use new Media Scanner 2.0 qml bindings and
          database.
          Fixes: https://bugs.launchpad.net/bugs/1265878,
          https://bugs.launchpad.net/bugs/1273625,
          https://bugs.launchpad.net/bugs/1319382,
          https://bugs.launchpad.net/bugs/1324105,
          https://bugs.launchpad.net/bugs/1325233. (9695aa79)

2014-06-18 nskaggs

        * switch to subprocess (f32532b9)

2014-06-18 Victor Thompson

        * remove time (b7c26c1a)
        * Update calls (2e5af0b1)

2014-06-18 nskaggs

        * simplification, better expansion, pep8 fixes (ebddc881)
        * simplify backup/restore code (71317d4d)
        * add back _patch_mediascanner_home (94358d6f)
        * fix up isolation code (f11fee90)
        * remove extra cleanup steps (f2f7db0f)

2014-06-18 Victor Thompson

        * revert last commit (1eee1584)
        * Cleanup (d1848b29)

2014-06-18 nskaggs

        * flake8 goodness (66d8a0bb)
        * add back backup/restore to create_music_libraray (5f3f40f4)
        * merged victor's artist fix (fda91989)
        * more comments (0ac8c8d5)
        * merge back andrew's branch using backup/restore instead of
          isolation (11f07b20)

2014-06-18 Victor Thompson

        * Fix test_artists_tab_album test (a7c04ee7)

2014-06-19 Andrew Hayzen

        * Fixes for pep8 (344384f7)

2014-06-18 nskaggs

        * remove extra comment (aa817fe2)

2014-06-18 Victor Thompson

        * Fix test_artists_tab_album (ca846a1e)

2014-06-18 nskaggs

        * remove sys.exit from test (67415faf)
        * remove extraneous function (77470bda)
        * removing debugging prints and waits; fix for dbus call (09f5d866)

2014-06-18 Andrew Hayzen

        * Fix for missing import (adc65c01)
        * Only kill if the process exists (e031ccd8)
        * Added cleanups (4b66d5da)

2014-06-18 nskaggs

        * rebase (3a7f6d2b)
        * new fake db based on schema 6 (3a4564cc)

2014-06-18 Andrew Hayzen

        * Fix for typo in cleanup (ce0181b5)

2014-06-18 Victor Thompson

        * Change kill command (b9196bf8)

2014-06-18 Andrew Hayzen

        * Add cleanups to autopilot (0318d6fa)

2014-06-18 nskaggs

        * pull out dbus launch (4bda2f1a)
        * slightly saner version (bdaca5fe)
        * all the hackiness at once (b1108a00)

2014-06-18 Victor Thompson

        * Stop and start mediascanner2 and also wait 10 seconds (a4dca7b1)
        * Fix destructive tests (5685a5fe)

2014-06-17 Victor Thompson

        * Merge trunk (5689fb41)

2014-06-17 Andrew Hayzen

        * Make QML, JS, PNG, SVG, PY, JSON files visible in QtCreator.
          (d475ef2a)

2014-06-18 Andrew Hayzen

        * Show translations, url-dispatcher and license file in qtcreator
          (d4957690)

2014-06-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a27e0fa3)

2014-06-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (9ce50cbf)

2014-06-15 Andrew Hayzen

        * Hack to limit all SongsModels to 500 tracks (65c86273)

2014-06-14 Victor Thompson

        * Limiting SongsModels to 500 to ensure they at least load (b8b260ca)

2014-06-14 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b852870d)

2014-06-13 Andrew Hayzen

        * Fix to show common/*.qml common/ExpanderItems/*.qml (94837fb8)

2014-06-13 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (05895ccb)

2014-06-12 Andrew Hayzen

        * Fix for minimized toolbar (bbb85a0a)
        * Fix for progress bar on stop (2b6a7111)

2014-06-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (722398f3)

2014-06-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4109dee9)

2014-06-10 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (15d1c505)

2014-06-09 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f392bf89)

2014-06-08 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d3ca800e)

2014-06-07 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4b6afdba)

2014-06-06 Andrew Hayzen

        * Merge of trunk (bec0896b)
        * Merge translations back into .desktop file using intltool.
          Fixes:
          https://bugs.launchpad.net/bugs/1318008. (d16352b4)
        * Fix for syntax error;  Removal of duplicate parameter (e1cfbd9b)
        * Fixes to commands (ca9710a2)
        * Merge of trunk (171cf0df)
        * Merge translations back into .desktop file using intltool.
          (d41ec93c)
        * Remove X-Gettext-Domain= field from
          com.ubuntu.music_music.desktop.in.
          Fixes:
          https://bugs.launchpad.net/bugs/1325626. (a110278e)
        * Remove X-Gettext-Domain= field from
          com.ubuntu.music_music.desktop.in (809eaf0c)

2014-06-06 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e2882433)

2014-06-05 nskaggs

        * undo the backup/restore. it's just not an option (5ec664ba)
        * wip (6918e14d)
        * set /home to be ~/ (5b17069e)
        * fix flake8, also backup mediascanner path (17f47711)
        * revert to using backup and restore for database and Music folders
          (cd01960d)

2014-06-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (adaa177a)

2014-06-04 Andrew Hayzen

        * Add thumbnailer-service as depends for now to resolve issues on
          desktop (041260d8)

2014-06-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (ce602af3)

2014-06-03 Victor Thompson

        * Fix play all of an album from the Artist albums sheet (2142b2f8)
        * Merge of trunk (88ad14be)

2014-06-03 Anthony Wong

        * Correct spelling of 'Acoustic' from 'Accoustic'. (2d18f297)

2014-06-04 Anthony Wong

        * Resolved merge conflicts (93fc6f54)

2014-06-03 Andrew Hayzen

        * Fix to stop genres incorrectly appearing in recent if play all
          was selected (3ff71355)

2014-06-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (67a2efdf)

2014-06-02 David Planella

        * Mark "Clear history" button for translation. (ef3cde69)
        * Update .pot file (d354024b)
        * Marked Clear history button as translatable (fe9c6bc1)

2014-05-31 Victor Thompson

        * Add gstreamer dependencies needed for the app to work on Utopic
          desktop. (b46fb39e)

2014-05-30 nskaggs

        * update ap env isolation (mediascanner still will whine) (72d6b366)

2014-05-30 Andrew Hayzen

        * Merge of trunk (96880bc1)

2014-05-30 nskaggs

        * Revert back to unconfined again, temporarily. (693180af)

2014-05-30 Andrew Hayzen

        * Ensure that genre is set to undefined when filtering by album
          (bcf26e89)
        * Readd genre support (6727d0e4)

2014-05-30 nskaggs

        * change back to unconfined until mediascanner 2 release (20167356)

2014-05-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (7c26257e)

2014-05-29 nskaggs

        * revert local_location tweak (78f206ef)
        * simplify logic per thomi for local_location_qml (aa1c474a)
        * tweak env patching apparmor setup (b566e633)

2014-05-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (746c823a)

2014-05-28 Anthony Wong

        * Correct spelling of 'Acoustic' (d2f3a282)

2014-05-28 Andrew Hayzen

        * Fix for patching home_dir (6f9ba6cf)

2014-05-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f6312af5)

2014-05-27 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c8a740ce)

2014-05-26 Andrew Hayzen

        * Tweak to only include QML, JS files in source (0d548a6c)
        * Make QML, JS, PNG, SVG, PY, JSON files visible in QtCreator
          (a614b189)

2014-05-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (ba2ba91f)

2014-05-24 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a14cada6)

2014-05-23 Victor Thompson

        * Update copyright (9f98cb17)
        * Update app armor for confinement;  Update policy version
          (554b2069)

2014-05-23 Andrew Hayzen

        * Bump framework to ubuntu-sdk-14.10-qml-dev1 (7792ccf5)
        * Fix for blur background empty at startup (58f45ed7)
        * Revert framework bump for testing (77460191)
        * Fix for pyflakes (ba03b3c0)

2014-05-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d43149d4)

2014-05-23 Andrew Hayzen

        * Fix for cover art (7a5375cf)

2014-05-23 Victor Thompson

        * Use new 14.10-dev1 framework (93b3d767)
        * Re-write test_play_pause_library test (2cc4061c)

2014-05-23 Andrew Hayzen

        * Fix for incorrect tag for artist in image:// (ce4c961d)
        * Move all model.art/model.cover to use model.artist and
          model.album to construct a image:// url (f0dc37b0)
        * Use sortFilterModel to correctly sort Albums and Tracks;  Fix
          issue of blank album art in recent;  Correctly drop
          metadata table (341aca1b)

2014-05-22 Victor Thompson

        * Test for only backButton (a8e05682)
        * Fix play button on device;  Fix check for playing (bf8c2435)
        * Patch SQLite DB. (6c913110)

2014-05-22 Andrew Hayzen

        * Fix for sort filter models so they appear the same as
          mediascanner2 models (cf27d2c6)
        * Merge of trunk (3149f320)
        * Fixes for Pep8 (da5fc692)

2014-05-22 Victor Thompson

        * Patch db (af1c1654)
        * Find new customBackButton (21d17643)

2014-05-22 Andrew Hayzen

        * Fix for test_play_pause_library touching indicators (7512c7d6)

2014-05-22 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (b18f1aba)

2014-05-21 Andrew Hayzen

        * Remove unneeded clipping (8eb5592a)
        * Fix for looking for incorrect objectName (8669cde2)

2014-05-21 Victor Thompson

        * Update test_play_pause_library test (12c4ecfc)

2014-05-21 Andrew Hayzen

        * Fixes for more cases where album instead of song was used
          (3d15850e)
        * Fix for using get_album_sheet_listview_tracktitle instead of
          get_songs_page_listview_tracktitle (0353ab5f)
        * Fix for objectNames in songsPage called albumsheet;  Modify
          get_back_button to use header back button;  Switch AP
          tests to use get_back_button rather than close on a sheet
          * Fix for AP tests using albumsheet-* when they should use
          songspage-* (b56ca93f)

2014-05-21 Victor Thompson

        * Merge trunk (270a0bb7)

2014-05-21 Andrew Hayzen

        * Fix for swiping in autopilot. (0b0ecd60)
        * Migrate the following sheets to page/pagestacks, SongsSheet.qml,
          AlbumsSheet.qml and MusicaddtoPlaylist.qml (4d240490)
        * Fix for swiping in autopilot (4a2d1a78)
        * Merge of trunk (6002e53c)

2014-05-20 Victor Thompson

        * Fix unused variable (c019fceb)
        * empty (b6a7387b)
        * Fix bad merge conflict resolution (4e048fe5)
        * Fix pyflakes error (5110c39e)
        * Merge trunk (ef040668)
        * Initial test updates for mediascanner migration. (88fcdf6b)
        *   * Fix the cover art for the header in the sheet of artist albums.

          Fixes: https://bugs.launchpad.net/bugs/1320409. (6f4aaa98)

2014-05-20 Andrew Hayzen

        * Merge of trunk (3af971fb)

2014-05-19 Victor Thompson

        * Fix the cover art for the header in the sheet of artist albums.
          (7c242a6e)

2014-05-19 Andrew Hayzen

        * Use sortFilterModel to correctly sort Albums and Tracks
          (d674f085)

2014-05-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (26476613)

2014-05-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (53b3169f)

2014-05-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (8901721d)

2014-05-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (db05fec8)

2014-05-15 Victor Thompson

        * Fix image fallback on Search page. (ef2e036c)

2014-05-14 Victor Thompson

        * Fix image fallback on Search page (02f52af7)
        * Remove fix that just prevents cover art from working (4f66ca1d)

2014-05-12 Victor Thompson

        * Revert app to unconfined until Thumbnailer issue is solved.
          (54bd2403)
        * Use new mediascanner2.0 db for AP tests (15037150)

2014-05-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4177f8d9)

2014-05-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4c5f967e)

2014-05-10 Victor Thompson

        * Fix playlist cover art in now playing (04a00801)
        * Quick fix for playlist cover art that was previously blank.
          (e273f974)

2014-05-10 Andrew Hayzen

        * Fixes to allow legacy playlist model work with new methods
          (11c8f229)

2014-05-10 Victor Thompson

        * merge trunk (98fbddd0)
        * Do not show search results until a search term is entered.
          (3cb24912)

2014-05-10 Andrew Hayzen

        * Remove some code unneeded comments (94a9e62a)
        * Remove unused methods and drop metadata table (714f5121)

2014-05-10 Victor Thompson

        * Convert date to year only. (ede1e3ef)

2014-05-10 Andrew Hayzen

        * Migrate appendMediaScanner2, trackClickedMediaScanner2,
          addQueueFromModelMediaScanner2 to append, trackClicked,
          addQueueFromModel;  Fix for filename not being set on
          getNext() (a2b4dfe2)
        * Remove trackClicked, addQueueFromModel, trackQueue.append
          (migrate new mediascanner2 in next commit);  Connect
          trackClickedMediaScanner2 correctly;  Migrate URIHandler
          and noMusic property to use mediascanner2;  Add
          appendMediaScanner2 to trackQueue;  Various fixes
          (1c3b59b3)

2014-05-10 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (6d6e5870)

2014-05-09 Victor Thompson

        * Update apparmor profile to remove grilo and update mediascanner
          directory. (c99b4445)
        * Merge trunk (4cfa354c)

2014-05-09 Jamie Strandboge

        * Update click/apparmor.json to run under confinement.
          Fixes:
          https://bugs.launchpad.net/bugs/1315386. (5bfe9667)
        * add music_file_read to click/apparmor.json (cb69a512)
        * merge from upstream (1741171b)

2014-05-09 Victor Thompson

        * Update translations.
          Fixes:
          https://bugs.launchpad.net/bugs/1317683. (1e6a3364)

2014-05-08 Victor Thompson

        * Update translations (d1ddccb8)

2014-05-09 Andrew Hayzen

        * Merge of trunk (f69da118)

2014-05-08 Andrew Hayzen

        * Add central common/Expander.qml;  Allow expander items to be
          plugged-in components;  Fix for rotation not working
          correctly on some expanders;  Made it easier to click
          expand button by making it larger;  Various tweaks.
          (93c33210)

2014-05-08 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2e4e1b32)

2014-05-07 Victor Thompson

        * Merge trunk (a50ef272)

2014-05-07 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d0034a2a)

2014-05-07 Andrew Hayzen

        * Fix for console error at startup. (4ee6a50b)
        * Fix for console error at startup (5728f054)

2014-05-07 Victor Thompson

        * Support new SDK back button and tab drawer. (a90f7ae8)

2014-05-06 Victor Thompson

        * Adjust topMargin (d2b0ddcb)
        * remove debug (01ec629a)
        * Support new SDK back button and tab drawer (9ef6b3a7)

2014-05-06 Andrew Hayzen

        * Modify loading date for SongsSheet.qml;  Create finished signal
          in repeater (6ec1dec6)

2014-05-05 Andrew Hayzen

        * Fix for large amount of covers for one artist causing slow
          startup (726fd5d7)
        * Remove unused methods from meta-database.js (ba46f3bc)

2014-05-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (21c60294)

2014-05-04 Victor Thompson

        * Use repeater to set AlbumsSheet year and track count (85475944)
        * Year not needed in MusicAlbums;  Fix Artist tab album and song
          count using repeater;  Fix Artist tab cover arts using
          repeater;  Fix AlbumsSheet header CoverRow using repeater
          (2d4b7faf)

2014-05-04 Andrew Hayzen

        * Remove unused Library imports (33db538c)
        * Prepare addQueueFromModel, trackClicked mediascanner2 methods and
          noMusic property for when model.count and model.get exist
          (9a09e837)
        * Merge of trunk (37e55664)

2014-05-04 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (7ebe9054)

2014-05-04 Victor Thompson

        * merge trunk (515c6324)

2014-05-04 Andrew Hayzen

        * Disable full toolbar controls when no library.
          Fixes:
          https://bugs.launchpad.net/bugs/1315789. (e3e11b8f)
        * Force toolbar to show if in wideAspect.
          Fixes:
          https://bugs.launchpad.net/bugs/1315780. (7e303802)
        * Add empty state to disabled small toolbar play button (af5c9818)
        * Disable small toolbar play button when library is empty
          (ad6f3dd4)
        * Show toolbar if there is no music in wideAspect mode (c7321213)
        * Disable full toolbar controls when no library (0928f214)
        * Force toolbar to show if in wideAspect (f0ea8482)
        * Merge of trunk (6c37756c)
        * Merge of trunk (776188af)
        * Fix for to stop duplicate setting of pageStack (7b08dad6)
        * Modify code comments (59613103)
        * Change setNowPlaying(visible) to pushNowPlaying(void) (c94d73fd)
        * Selecting labels in wideAspect toggles now playing page
          visibility.
          Fixes:
          https://bugs.launchpad.net/bugs/1312986. (949ad361)
        * Fix for to stop duplicate setting of pageStack (5f224850)
        * Selecting labels in wideAspect toggles now playing page
          (e92414b6)

2014-05-03 Andrew Hayzen

        * Merge of trunk (1e5f2edc)
        * Merge of trunk (81f1ac74)

2014-05-03 Victor Thompson

        * Make number of albums in the AlbumsSheet header's CoverRow
          translatable;  Allow number of albums to be singula.
          Update translations. (87517adf)
        * When the app is loading no toolbar will be shown. This makes it
          more obvious that the user can interact with the toolbar
          once it is displayed. Additionally, the toolbar will not
          be shown when the app has no music.
          Fixes:
          https://bugs.launchpad.net/bugs/1314262,
          https://bugs.launchpad.net/bugs/1314515. (c79a0c45)

2014-05-03 Andrew Hayzen

        * Add models in preparation for counting number of tracks/albums
          for each artist;  Add code comments for console errors
          (49543393)
        * Fix for CoverRow.qml console errors (e2c58443)

2014-05-02 Victor Thompson

        * Make number of albums in CoverRow translatable;  Allow albums in
          CoverRow to be singular;  Update translations (d219d278)

2014-05-02 Jamie Strandboge

        * update click/apparmor.json to run under confinement (cf771f52)

2014-05-02 Victor Thompson

        * Update manifest (e0a83846)
        * Merge of trunk (d9de95ea)

2014-05-02 Andrew Hayzen

        * Add ability to play all tracks for an artist. (0b17369f)
        * Fix for autopilot (ea0de4e4)
        * Pep8 fix (dae1472f)
        * Fix for autopilot (8d8b8406)

2014-05-02 Victor Thompson

        * Make some updates Artist header item. (76eec096)

2014-05-02 Andrew Hayzen

        * Fix for autopilot (16f74d9b)
        * Always show play all header (3187c9c6)

2014-05-01 Victor Thompson

        * Oops (67ead9e0)
        * Merge of trunk (143378ee)

2014-05-02 Andrew Hayzen

        * Merge of trunk (967ad0ad)
        * Allow multiple covers in artist play all;  Modify to sort by
          album by year;  Change font sizes and colour (81692c76)

2014-05-01 Victor Thompson

        * Small spacing tweaks (9defa174)
        * Make buttons light grey rather not white (30bd4f36)
        * Update Artist header item (d73d7352)
        * Merge of trunk (e17f574e)

2014-05-02 Andrew Hayzen

        * Remove unused code from meta-database.js and LibraryListModel.qml
          (71d20bef)

2014-05-01 Andrew Hayzen

        * Add support to search sheet for mediascanner2;  Remove unused
          variable in MusicAlbums.qml to resolve console errors
          (b91f4f87)

2014-04-30 Victor Thompson

        * Revert temporary width change. (90e3aad7)
        * Do not show toolbar until library loads;  Do not show toolbar if
          there is no music (6475cb6a)
        * Minor control file update (70a8ee47)
        * Merge of trunk with AP test updates. (88a3ce79)

2014-04-30 nskaggs

        * Fix phablet device test runs not using mocked home.
          Fixes:
          https://bugs.launchpad.net/bugs/1292044. (34b8791c)
        * ty Victor; adding cleanup step so env cleans up after too!
          (c66ff2f2)

2014-04-30 Victor Thompson

        * Fix genre related console error;  Fix cover art for recent items
          (072862bd)
        * Merge of trunk (38db67bf)
        * Add a dependency upon the default icons;  Remove unused icons.

          Fixes: https://bugs.launchpad.net/bugs/1314449. (cf97ba7f)

2014-04-30 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (eb133394)

2014-04-29 Victor Thompson

        * Add a dependency upon the default icons;  Remove unused icons
          (7edc0ef5)

2014-04-30 Andrew Hayzen

        * Removal of old code;  Fixes for MusicStart.qml (a49e486b)
        * Revert last change (fc9d6a46)
        * Fix for swiped items not being dismissed when expanding an item
          (0e14106d)
        * Fix for expands corrupting startY position of swipeDelete
          (bed771ad)

2014-04-29 Andrew Hayzen

        * Groundwork to migrate pages/sheets to mediascanner2 (except
          recent and playlists) (2337ad4b)
        * Merge of trunk (f0553f41)
        * Update dependencies;  Temporary fix to show empty library page
          (b4639863)

2014-04-29 Victor Thompson

        * Collapse any expanded item when index changes.
          Fixes:
          https://bugs.launchpad.net/bugs/1310161. (a2888235)

2014-04-29 Andrew Hayzen

        * Merge of trunk (692727d2)
        * Disable expand button when in swipe primed state (7e6d4acd)
        * Collapse all expands when swipe is invoked (690d2499)

2014-04-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c870181b)

2014-04-29 Andrew Hayzen

        * Rerun autopilot (5a3d9370)
        * Fix for expander button in incorrect place (0d86d4ea)
        * Code cleanup (82078236)
        * Fix for expander button having incorrect position (5cd6adb6)

2014-04-28 Victor Thompson

        * Remove po.pro file;  Update CMakefiles for translations;  Update
          translation instructions;  Update translation strings.

          Fixes: https://bugs.launchpad.net/bugs/1290814. (2a6c8915)

2014-04-27 Victor Thompson

        * Update translations to be built with CMake. (fc7f0039)

2014-04-26 Andrew Hayzen

        * Fix for reference error (89ccc13f)
        * Split expander items into loadable row items;  Fix for playlists
          adding null entries (51c5d906)
        * Revert current item height (6bf8de7a)
        * Fix for now playing issue (e14d9906)

2014-04-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (dbea3717)

2014-04-25 Andrew Hayzen

        * Merge of trunk (099e95ed)
        * Remove unused styles;  Add extra padding (3bd88197)

2014-04-25 David Planella

        * It seems that on the desktop adding grilo-plugins-0.2-mediascanner
          as a dependency is not enough to pull in mediascanner,
          thus adding an explicit dependency.
          Fixes:
          https://bugs.launchpad.net/bugs/1312684. (304a60ea)
        * Added explicit mediascanner dependency for the desktop package
          (5c7429f6)

2014-04-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a1020804)

2014-04-24 Victor Thompson

        * Collapse any expanded item when index changes. (f918cb28)

2014-04-22 nskaggs

        * files are binary, d'oh (615405b4)
        * more tweaks with str replace ;-) (55fefa41)
        * change str replace func (11d7e66d)
        * allow for desktop to still use mock (4d2a3c63)
        * rebase to trunk (3d50dcd5)

2014-04-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (af100ee6)

2014-04-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (1f2b8d5f)

2014-04-17 Victor Thompson

        * Use toolbar color for header;  Fix label colors.
          Fixes:
          https://bugs.launchpad.net/bugs/1307030. (890652ec)
        * Resolve conflicts (f324d558)
        * Always jump to current track when a new song is played.
          Fixes:
          https://bugs.launchpad.net/bugs/1251630,
          https://bugs.launchpad.net/bugs/1300166. (77df41f9)

2014-04-16 Victor Thompson

        * Only jump when the toolbar is open. Prevents jumping while
          navigating (29e46a93)

2014-04-17 Victor Thompson

        * Make cover art a bit smaller on the Music tab.
          Fixes:
          https://bugs.launchpad.net/bugs/1308048. (04ae6a54)

2014-04-16 Olli Ries

        * Added "exec" to the script launcher to fix launching clock app in
          the Unity 8 Desktop Preview.
          Fixes:
          https://bugs.launchpad.net/bugs/1300911. (10969e33)
        * making it work in the Unity8/preview session, bug #1300911
          (76eea9e8)

2014-04-16 Victor Thompson

        * Align Album tab cover art Labels to the left.
          Fixes:
          https://bugs.launchpad.net/bugs/1308042. (532f3517)
        * Move fix to on index change. (cd9a48c3)

2014-04-15 Victor Thompson

        * Fix bottom spacing (c24b6963)
        * Test smaller size (27b3ce2b)
        * Make cover art a bit smaller on the Music tab (1c8f178e)

2014-04-16 Andrew Hayzen

        * Fix for console errors (f5036ebe)
        * Add expanderButtonTopMargin so expander icon can be in correct
          place for now playing page;  Set the expandableButton
          height at load as a value, not reference, so it doesn't
          have to be modifed when the listitem is expanded to show
          the expander (404f90c9)
        * Revert last two commits (f0cfee26)
        * Ensure labels are certain heights on MusicTracks.qml (052d834a)

2014-04-15 Andrew Hayzen

        * Align labels in rows at the vertical centre of the row (773d93db)
        * Fix for current track in now playing when switching wideAspect
          mode (8b087d9a)
        * Improve mouseArea area;  Handle case where listItem height is
          changed with the expander open (769126b0)
        * Fix for padding on expanders (a69af799)

2014-04-15 Victor Thompson

        * Align Album tab cover art Labels to the left. (0698fde2)

2014-04-14 Victor Thompson

        * Update page used in call (909dfbb7)
        * Fix accidental line break (4d1489ca)
        * Update Search sheet Label colors (d940756c)
        * Always jump to current track when a new song is played (d3b960f5)
        * Merge of trunk (75d4d2b1)
        * Get Music tab to work on startup (77f6ad59)
        * Get Albums tab to work (54d5e941)
        * Fix suru code (dfa1386e)

2014-04-14 Andrew Hayzen

        * Add ability to play all tracks for an artist (6412c888)
        * Fix for autopilot (1a5019a8)
        * Fix for autopilot (8a9351c4)

2014-04-13 Andrew Hayzen

        * Fix for console errors;  Fix for autopilot (f956f317)
        * Fix for autopilot;  Fix for icons (49cfec18)

2014-04-13 Victor Thompson

        * Update text colors (ea5f1ac2)
        * Update text colors (af85c9e6)

2014-04-13 Andrew Hayzen

        * Tweaks to UI (668e373d)
        * Rename Expandable.qml to Expander.qml to remove conflict with SDK
          (52623264)
        * Load sheets after models (fbee3f56)

2014-04-13 Victor Thompson

        * Update remaining text colors in Labels (9db211b5)

2014-04-13 Andrew Hayzen

        * Merge trunk (3380420a)
        * Various fixes (8ee3e254)
        * Minor fixes (7c0d364f)
        * Fix for rotation not working correctly;  Added support for
          playlist expander (5b871f61)

2014-04-13 Victor Thompson

        * Get blurred background to repaint when icon fails to load.
          Fixes:
          https://bugs.launchpad.net/bugs/1306845. (62de0820)
        * Reset player cover art when queue is empty.
          Fixes:
          https://bugs.launchpad.net/bugs/1307007. (72638934)

2014-04-13 Andrew Hayzen

        * Add Central common/Expandable.qml;  Various tweaks (e4313dc5)

2014-04-13 Victor Thompson

        * Move property reset to Player. (85afb174)

2014-04-13 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (9d720afe)

2014-04-13 Jason Gerlowski

        * Add Autopilot tests for repeat functionality;  Add utility
          functions for shuffle and repeat.
          Fixes:
          https://bugs.launchpad.net/bugs/1289497. (c69d63f0)

2014-04-12 Victor Thompson

        * Update text colors (0ca24952)
        * Use toolbar color for header (0be80d1e)
        * Reset player cover art when queue is empty (2ba695b5)

2014-04-12 Jason Gerlowski

        * Remove unused variable and import (8c41aa8a)

2014-04-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (3cba19fc)

2014-04-11 Victor Thompson

        * Update solution (844d8c1b)
        * Get blurred background to repaint when icon fails to load
          (454638e5)
        * Capitalize title in manifest file.
          Fixes:
          https://bugs.launchpad.net/bugs/1306821. (4a15729b)

2014-04-11 Jason Gerlowski

        * Reformat code to comply to pep8 line length (99924bac)

2014-04-11 Victor Thompson

        * Capitalize title in manifest file. (6d7bcbde)
        * Fix default cover art in Albums tab when cover fails to load.
          (80e79288)
        * Fix default cover art in Albums tab when cover fails to load
          (d70dc3d8)
        * Use music icon as default cover art.
          Fixes:
          https://bugs.launchpad.net/bugs/1285668. (ed7fd682)
        * Fix blurred background (a39f53ad)
        * Merge of trunk, and fix conflicts (21535a0e)
        * Load default cover art when image fails to load.
          Fixes:
          https://bugs.launchpad.net/bugs/1306672. (ed35d64c)
        * Load default cover art when image fails to load (56e2d8d3)
        * Merge trunk (67a7341a)

2014-04-11 Andrew Hayzen

        * Moved now playing page to be stacked on top of tabs  * Don't hide
          back button as too confusing with header
          appearing/disappearing  * Show old back button until
          lp:1256424 lands and show below header.
          Fixes:
          https://bugs.launchpad.net/bugs/1239106,
          https://bugs.launchpad.net/bugs/1291495. (0504117f)

2014-04-11 Jim Hodapp

        * Make sure the duration updates when it changes from underneath
          the player;  Make sure that we never see NaN:NaN for
          position or duation. (3ac60476)

2014-04-10 Jason Gerlowski

        * Add turn_shuffle_on() utility function (fcc2f036)

2014-04-10 Jim Hodapp

        * Truly fix the NaN issue (3b6c552f)
        * Make sure the duration updates when it changes from underneath the
          player (1d9f4c0c)
        * Make sure that we never see NaN:NaN for position or duation
          (ebe0e4b4)

2014-04-10 Andrew Hayzen

        * Merge of trunk (c5df687d)
        * Don't hide back button as too confusing with header
          appearing/disappearing (5e26b093)
        * Readd old back button until lp:1256424 lands and show below
          header;  Disable SDK toolbar (bb1942f8)

2014-04-10 Victor Thompson

        * Dilute default cover art image. (89506944)

2014-04-10 Andrew Hayzen

        * Add album:///artist/album and music:///path/to/file url
          dispatcher support;  Simplification of file:// handling.

          Fixes: https://bugs.launchpad.net/bugs/1300803. (4658a43a)

2014-04-09 Andrew Hayzen

        * Remove tracing (752a5577)
        * Revert to using linear search for processFile() (2aea7010)

2014-04-09 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a734459d)

2014-04-08 Jason Gerlowski

        * Add autopilot tests for 'repeat' functionality (b1446029)

2014-04-08 Andrew Hayzen

        * decode file before it goes in the database (7ea9ae25)
        * Fix for encoding (3fa08652)
        * Add music:// protocol;  Modify URL handling (60e58512)

2014-04-08 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (d3ce86f3)

2014-04-07 Andrew Hayzen

        * Add decodeURIComponent to split album:// parameters (dd27a506)

2014-04-06 Andrew Hayzen

        * Switch to use url rather than uri (1a63a7ef)
        * Switch file to uri in args (1c8b6014)

2014-04-06 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2e468bdf)

2014-04-05 Andrew Hayzen

        * Add extra protection to processAlbum (bc592c56)
        * Fix for meta-database.js (e6a3f62e)
        * Fixes for meta-database.js and processFile (56e27687)
        * Add tracing (979b19df)
        * Fix for processFile (5193e999)
        * Fix for processFile (8e978768)
        * Fix for processFile (35ecf977)
        * Fix for loading from args (b268e6ac)
        * Various fixes (df1a106a)
        * Add support of album:/// to args;  Reuse urihandler code for args
          and cleanup (7179b00d)
        * Fix for desktop file (9efb9c24)
        * Fix for processAlbum (933e25aa)
        * Fix for reference error (346be9cc)
        * Fix for invalid JSON (4531bfe3)
        * Fix for syntax error (b1f81edc)
        * Add album:/// url dispatcher support (825e92bc)

2014-04-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (75fd7ebb)

2014-04-03 Victor Thompson

        * Initial work to move to Mediascanner2.0 (30cf6c48)

2014-04-03 Andrew Hayzen

        * Merge of trunk (9a4714e7)

2014-04-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e5331ba2)

2014-04-03 Victor Thompson

        * Fix play pause test in library.
          Fixes:
          https://bugs.launchpad.net/bugs/1300450. (93406c7a)

2014-04-02 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4f4c8217)

2014-04-01 Victor Thompson

        * Merge of trunk (3775f6ad)
        * Update test to not check for Albums tab (f009391d)
        * Fix play pause test in library. (5b113cd6)

2014-03-31 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (2b57f18f)

2014-03-29 Andrew Hayzen

        * Merge of trunk (6f2f6af9)

2014-03-29 Victor Thompson

        * Add play and queue buttons for albums in artist's albums shee.
          Add play and queue buttons for album in album tracks sheet
          * Remove the expandable item for an album . (17a81cab)

2014-03-29 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (adc6b1b9)

2014-03-28 Victor Thompson

        * Fix album sheet (bc99ac21)
        * Use music icon as default cover art (36d602d6)
        * Fix trackClicked (92c36f6c)
        * Simplify logic for playing album from Artists tab (b233ff0c)
        * Fixing some heights (ed18978d)
        * Add play and queue buttons for albums. (3019b9bb)
        * Fix various console errors;  Allow Playlist count to be updated.

          Fixes: https://bugs.launchpad.net/bugs/1261072. (190b0f3b)
        * Merge from trunk and fix conflict (345d7a7e)

2014-03-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (83676427)

2014-03-28 Andrew Hayzen

        * Add ability to play random song when queue is empty;  Add extra
          play button to disabled toolbar.
          Fixes:
          https://bugs.launchpad.net/bugs/1297166. (8ce1311c)
        * Modify label (292aeff1)
        * Modify disabled toolbar label (732e84ef)
        * Merge of trunk (cf6e24e5)
        * Refactor trackQueue and chosen to be more flexible. (55c6c09b)
        * Remove chosenIndex (9581b1d2)
        * Add ability to play random song when queue is empty;  Add extra
          play button to disabled toolbar (371e657a)
        * Merge of trunk (f761ad18)

2014-03-28 Victor Thompson

        * Hide recent list when there are no items;  Add albums to the
          start page to fill space and make it easier to play an
          album.
          Fixes: https://bugs.launchpad.net/bugs/1297169.
          (f0be442b)

2014-03-27 Victor Thompson

        * remove column, add margins (51f09285)

2014-03-27 Andrew Hayzen

        * Merge of trunk (276275d7)
        * Fix for bug 1298667, allows toolbar to be shown while adding to a
          playlst.
          Fixes: https://bugs.launchpad.net/bugs/1298667.
          (f6e56ee6)
        * Fix for new connection (0f06c10e)
        * Fix for bug 1298667, allows toolbar to be shown while adding to a
          playlst (594c8012)
        * Move queue changed to a more logical position (6c86a505)
        * Refactor trackQueue and chosen to be more flexible (8dc6a433)

2014-03-27 Victor Thompson

        * Allow entire album to be added to the queue.
          Fixes:
          https://bugs.launchpad.net/bugs/1297160. (f9272cfe)
        * Add change to queueChanged flag (d8931015)
        * Generic solution for queue initializing (805df974)
        * Fix adding first tracks to the queue (0e02323c)
        * Add spacing to Column (5c521b55)
        * Update for Queue only (b059aa0f)
        * Merge trunk (e15475e8)
        * Swap labels on Album list to match Recent list (35284671)
        * Hide recent list when there are no items and add albums to the
          start page. (7f4e100f)
        * Remove QtPowerd. (d1174da9)

2014-03-26 Victor Thompson

        * Fix various console errors and playlist count (299a4d6f)

2014-03-25 Victor Thompson

        * Decode URI when opening a song when app is already open.
          Fixes:
          https://bugs.launchpad.net/bugs/1292921. (b5890c6c)

2014-03-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4afc9c83)

2014-03-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (6c3cc81e)

2014-03-23 Andrew Hayzen

        * Migrate musicToolbar to use Panel component.
          Fixes:
          https://bugs.launchpad.net/bugs/1291495. (5fd8ad36)
        * Start autohide timer when the toolbar is exposed (67688db9)

2014-03-22 Victor Thompson

        * Decode URI when opening a song when app is already open. (016ad6e9)

2014-03-22 Andrew Hayzen

        * Fix for back button not being hidden/shown correctly (078de312)

2014-03-22 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (cac9e5fc)

2014-03-21 Andrew Hayzen

        * Add temporary workaround for Panel (559045f3)

2014-03-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (dfc67078)

2014-03-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (34231419)

2014-03-20 Victor Thompson

        * Allow search sheet to be used;  Remove focus from TextField when
          the ListView is scrolled or item is expanded.
          Fixes:
          https://bugs.launchpad.net/bugs/1291712. (4127af73)
        * Decode file URIs to match encoded characters.
          Fixes:
          https://bugs.launchpad.net/bugs/1292921. (7d2d3bf9)
        * Remove currentMetaLength property.
          Fixes:
          https://bugs.launchpad.net/bugs/1292333. (51430bd8)

2014-03-19 nskaggs

        * flake8 fixes (0c6e70d3)
        * remove extra db backup lines (caee8574)

2014-03-19 Andrew Hayzen

        * Remove unneeded setting of panel state (c6d6d532)
        * Migrate musicToolbar to use Panel component (9a7edb69)

2014-03-18 nskaggs

        * remove special click logic (f9855d3d)

2014-03-18 Victor Thompson

        * Fix some timing issues in 4 failing tests.
          Fixes:
          https://bugs.launchpad.net/bugs/1293488. (920bfddc)

2014-03-17 Victor Thompson

        * Fix some timing issues in 4 failing tests. (b1c36ca2)

2014-03-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (a23af955)

2014-03-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (89ca1125)

2014-03-15 Victor Thompson

        * Remove currentMetaLength property (09fef06c)
        * Decode file URIs to match encoded characters (e36a62f4)
        * Redo fix changes (4c412ece)
        * Also remove focus from textfield when list is scrolled (c598f79c)
        * Allow search sheet to be used and fix autofocus issue (b6cadab0)

2014-03-15 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (90382d6a)

2014-03-14 Sergio Schvezov

        * Bumping the version to avoid the store error that was introduced.
          (c4f44400)
        * Bumping the version to avoid the store error that was introduced.
          (263ff15a)
        * Update the framework for ubuntu-sdk-14.04-dev1 and apparmor 1.1.
          (ca7a7b23)
        * Update the framework for ubuntu-sdk-14.04-dev1 and apparmor 1.1
          (de6a926a)

2014-03-14 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (0df07869)

2014-03-14 Victor Thompson

        * Ensure cover art is set to a blank string when it is null.
          Fixes:
          https://bugs.launchpad.net/bugs/1291398. (1dc5ef5e)

2014-03-13 Victor Thompson

        * Remove QtPowerd (50761c17)

2014-03-12 Victor Thompson

        * Ensure cover art is set to a blank string when it is null
          (c7e63009)

2014-03-12 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (36462828)

2014-03-11 Victor Thompson

        * Fix po.pro file for desktop filename change;  Update translation
          strings.
          Fixes: https://bugs.launchpad.net/bugs/1290492.
          (4b727ade)

2014-03-10 Victor Thompson

        * Update header info in pot file (84219af1)
        * Fix po.pro file for desktop filename and update translations.
          (ac9dfdcc)
        * Use count value as a string to set initial count.
          Fixes:
          https://bugs.launchpad.net/bugs/1261072. (a79ec1c1)

2014-03-10 Alan Pope

        * fix lp:1288885.
          Fixes: https://bugs.launchpad.net/bugs/1288885.
          (5a17b024)
        * Once more unto the breach (703181cd)
        * Put right what once went wrong (11b70ef7)
        * resolve conflict (227c3f2b)

2014-03-10 Andrew Hayzen

        * Bump to 1.2ubuntu2. (a7f3fd37)
        * Bump to 1.2ubuntu2 (b4cea2d8)

2014-03-10 Alan Pope

        * fix bug 1288885 (afe67950)

2014-03-08 Andrew Hayzen

        * Add basic keyboard shortcuts;  Add sheet support to toolbar and
          goBack. (91fa2fb2)
        * Added Ctrl+Q to quit the app;  Fix for Esc closing sheet and now
          playing page (eb0d96e1)
        * Added volume alias;  Stopped Ctrl+F and search button from
          showing sheet multiple times;  Linked search sheet to
          toolbar correctly;  Forced focus of keyboard to search
          field (2e7c7c4e)

2014-03-08 Victor Thompson

        * Use count value as a string to set initial count (48438843)
        * Fix PPA issue due to changelog.
          Fixes:
          https://bugs.launchpad.net/bugs/1284637. (4a29f30f)

2014-03-08 Dimitri John Ledkov

        * Use python3 compatible mock import. (d922595b)

2014-03-07 Victor Thompson

        * Fix dependencies (f3f3b100)

2014-03-07 Dimitri John Ledkov

        * Use python3 compatible mock import (a5e42342)

2014-03-07 Victor Thompson

        * Attempt to fix PPA issue in control file (46b9427b)
        * Attempt to fix PPA issue (add90ca0)

2014-03-07 Andrew Hayzen

        * Make it easier to change shuffle/repeat;  Move MediaPlayer into
          its own file;  Simplify bindings to MediaPlayer by using
          Connections.
          Fixes:
          https://bugs.launchpad.net/bugs/1269578. (3ae8adca)
        * Merge of trunk (6899ed39)
        * Fix for autopilot (f33ec153)
        * Merge of trunk (8832fe12)
        * Fix for autopilot (922f316e)
        * Fixed missed cases (693725d8)
        * Merge of trunk (bcbf07de)
        * Remove use of key-value array in player (5bfe8edb)
        * Fix for missed case of nextSong, stopSong conversion (c5f1eade)

2014-03-07 Victor Thompson

        * Actually update version number. (118dbd35)
        * Update manifest for v1.2 (6e52a460)

2014-03-07 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (9db80bdc)

2014-03-06 Andrew Hayzen

        * Merge of trunk (bdf015b9)

2014-03-06 Victor Thompson

        * Rebuild Library from scratch each run (was doing so anyway);  As
          a result, do not remove some items that were not found.

          Fixes: https://bugs.launchpad.net/bugs/1287720. (9f57a548)
        * Add an autopilot test to test playing a song from the Artists tab.

          Fixes: https://bugs.launchpad.net/bugs/1268455. (9ad54009)
        * Remove duplicate Quit action;  Move the Back action so it is
          visible.
          Fixes: https://bugs.launchpad.net/bugs/1285838.
          (87175d6c)

2014-03-06 Andrew Hayzen

        * Fix for currentIndex not referenced correctly (ff5a092b)
        * Merge of trunk (b2b3deeb)

2014-03-06 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c0dbbec1)

2014-03-05 Victor Thompson

        * Rebuild Library since all items were being re-written anyway.
          (44ac3cf5)

2014-03-06 Andrew Hayzen

        * Fix to add nowPlaying page to musicToolbar tracking, so that
          goBack then functions (63ffbd4f)

2014-03-05 Andrew Hayzen

        * Moved now playing page to be stacked ontop of tabs (2f6960fd)

2014-03-05 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (c4f38e27)

2014-03-04 Andrew Hayzen

        * Modify cmakelist to scan for *.qml etc. (5f7eeeeb)

2014-03-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (cd54cd23)

2014-02-28 Victor Thompson

        * Actually update version number (bb9752aa)

2014-02-27 Victor Thompson

        * Remove settings from the list because it is not used. (9a94d6c0)
        * Remove duplicate Quit action and move the Back action so it is
          visible (401476a3)

2014-02-26 Andrew Hayzen

        * Add image to data dir (a14ca14e)
        * Modify cmakelist to scan for *.qml etc (532be5a0)
        * Add Player.qml to cmake (aa6f9478)

2014-02-25 Andrew Hayzen

        * Embed MediaPlayer inside Item and use alias to access properties
          (61e2db7c)
        * Merge of trunk (f8667a1c)
        * Merge of trunk (9e067843)

2014-02-24 Andrew Hayzen

        * Change search keyboard shortcut to Ctrl+F (7fa5f826)

2014-02-24 Alan Pope

        * fix 1284025.
          Fixes: https://bugs.launchpad.net/bugs/1284025.
          (d0ce703c)
        * fix 1284025 (5c860417)

2014-02-24 Andrew Hayzen

        * Fix for Songs tab name. (c0178512)
        * Fix for Songs tab name (8bb451e0)

2014-02-24 Michael Spencer

        * Improved the no music message. (825f0d5a)

2014-02-24 Victor Thompson

        * Remove code that is hiding content.
          Fixes:
          https://bugs.launchpad.net/bugs/1276170. (4efca9a7)

2014-02-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (7de46974)

2014-02-22 Andrew Hayzen

        * Add keyboard shortcut to show search popup (93e19cd7)

2014-02-22 Victor Thompson

        * Remove code that is hiding content (7fe532b5)

2014-02-22 Andrew Hayzen

        * Merge of trunk (39dc98fa)
        * Fixes for currentIndex changes (dddc16a7)
        * Merge of trunk (987f11ec)

2014-02-22 Victor Thompson

        * Manage the cached states as a stack.
          Fixes:
          https://bugs.launchpad.net/bugs/1283502. (94dbbe6a)

2014-02-22 Andrew Hayzen

        * Fix issue where if the same song is in queue twice at index 1, 3
          and trackClicked(index=3), index 1 is shown as selected.
          (10b47d30)

2014-02-22 Victor Thompson

        * Change variable name (7f25a052)
        * Manage the cached states as a stack (b7462343)

2014-02-22 Michael Spencer

        * Only display the Music tab when there is no music (bb69bfbe)

2014-02-22 Andrew Hayzen

        * Add search button in wideAspect mode. (58400e0d)

2014-02-22 Michael Spencer

        * Improved the no music message (4e50a966)

2014-02-21 Andrew Hayzen

        * Add search button in wideAspect mode (acee1da0)
        * Refresh onPlayingTrackChange if same track is selected with
          different index (1ca8dfe1)
        * Patch for selecting the same track with a different index causes
          the track to be paused (8a3673da)
        * Fix reference error (976cd84a)
        * Fix for currentIndex within now playing component (8225cef8)
        * Merge of trunk (bcbeea78)
        * Add MusicSearch.qml to cmake. (3f901b72)
        * Fix issue where if the same song is in queue twice at index 1, 3
          and trackClicked(index=3), index 1 is shown as selected
          (2162dba2)
        * Add MusicSearch.qml to cmake (fbb2facf)

2014-02-21 Sergio Schvezov

        * This is an arch specific package. (37114950)
        * This is really an arch specific package (dda6c7fb)

2014-02-20 David Planella

        * Fixes bug 1282500 whereby when building click packages the icon
          file is missing.
          Fixes:
          https://bugs.launchpad.net/bugs/1282500. (db38dbdd)

2014-02-20 DanielHolm

        * Added license file. (22364556)
        * Update version to 1.2. (3cb69d68)
        * Come on now. (b4f0ee5e)
        * Feb not Deb. (90a7d701)
        * Version upgrade. (e5d3389f)

2014-02-20 David Planella

        * Fixed path of icon file (01bee30c)
        * Fixes icon file installation in click package (38ddf2c7)

2014-02-20 DanielHolm

        * Search functionality.
          Fixes:
          https://bugs.launchpad.net/bugs/1269037. (e005ce17)
        * Added license file. (cd9b11eb)
        * Removed dev search button for the 100th time; and restored the
          manifest for the 1000th. (cbb00ad8)
        * Added expander to search results; shortned down the search time.
          added search icon to file and field; moved add to playlist
          button to bottom in sheet; when no search word, no
          results; only allow input without word help. (a6477f71)

2014-02-18 Alan Pope

        * New icon.
          Fixes: https://bugs.launchpad.net/bugs/1281781.
          (1c7abd3d)
        * New icon (4aee41de)

2014-02-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (30392b75)

2014-02-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (40e3ce48)

2014-02-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (66c31cd1)

2014-02-14 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (6434127b)

2014-02-13 nskaggs

        * Add cmake build. (87b6b091)

2014-02-12 nskaggs

        * add more qml install (657190b7)
        * add js needed files (05709413)
        * specify needed qml, remove *.qml (747d71aa)
        * try open *.qml install (2ef828e2)
        * add LibraryListModel.qml MusicaddtoPlaylist.qml
          MusicNowPlaying.qml MusicToolbar.qml (9b0cf35b)
        * add Style to install (72c17fb5)
        * merge trunk, tweak cmake to include json (d4428909)
        * fix debian control, add directories to cmake build (d7e0d5cb)
        * fix qml name cmake (56af8795)
        * cmake tweaks (c4acb624)

2014-02-11 DanielHolm

        * Added the HUD action to enable search action; added highlight on
          start for search field. (55f2f231)

2014-02-11 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f37459be)

2014-02-10 DanielHolm

        * HUD action Search now actually opens the search sheet. (94acaab0)
        * Commented out the dev search button. (e53d3aec)
        * If no search term is entered, don't search at all. (2ee1044f)

2014-02-10 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (47727bcc)

2014-02-09 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (723d5ac0)

2014-02-09 Andrew Hayzen

        * Merge of trunk (bbd0cec4)

2014-02-08 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (35c82083)

2014-02-07 Carla Sella carla.sella@gmail.com

        * Autopilot test test_create_playlist_from_songs_tab fixed.
          Fixes:
          https://bugs.launchpad.net/bugs/1272996. (a920875b)

2014-02-07 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (bb717bbb)

2014-02-06 Carla Sella carla.sella@gmail.com

        * Attempt to fix bug 1272996. (81497c2d)

2014-02-06 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (4839acf3)

2014-02-05 Carla Sella carla.sella@gmail.com

        * Un-skipped test_create_playlist_from_songs_tab. (738cc24a)

2014-02-04 Nicholas Skaggs

        * tweak install (11f065dc)
        * fix build (5ad8a7d1)

2014-02-03 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (14925793)

2014-02-02 DanielHolm

        * Restored manifest.json (995e4bcc)
        * Removed the seach button again. (615235bd)

2014-02-02 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f433c253)

2014-02-01 Victor Thompson

        * Revert change to test (5af8efca)
        * Allow adding the contents of a song sheet to be added to the queue.
          (96738fcb)

2014-01-31 nskaggs

        * remove apparmor (04fb850a)
        * move to cmake for build (f9371a34)

2014-01-30 DanielHolm

        * Make the indicator stop some time. (e7e31d76)
        * Fixed issue with sql query; results now look like tracks in Songs
          tab; click adds to queue and plays it. (b6d6d8cd)
        * Made the timer work. (7d024e91)
        * Use models for search and longer search query. (1046d425)
        * Added wildcards so search query. (0ae5fff2)
        * Added some comments. (1807374f)
        * Added some initial search code. (f09cc3f0)

2014-01-28 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (eae6c820)

2014-01-28 Andrew Hayzen

        * Merge of trunk (747187c3)
        * Fix for labels (108ff681)
        * Merge of trunk (7e083130)
        * Fixes for trackQueue empty (e7b6b419)
        * Merge of trunk (5f319663)
        * Empty commit (9a1450ef)

2014-01-27 Sergio Schvezov

        * Skipping flaky test.
          Fixes:
          https://bugs.launchpad.net/bugs/1272996. (7877be0f)
        * Skipping flaky test (057f819f)

2014-01-27 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (7b7d98f5)

2014-01-26 Boren Zhang

        * Change new playlist dialog's textfield background color to white.

          Fixes: https://bugs.launchpad.net/bugs/1272154. (335ea2b5)
        * fix code indentation (c0948852)
        * set dialogue textField background color to white (e86d1359)

2014-01-26 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (bbb1016e)

2014-01-25 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (be12f69c)

2014-01-25 Samer Masterson

        * Prevent pausing from elements that do not directly control
          playback.
          Fixes: https://bugs.launchpad.net/bugs/1272155.
          (6aa0bc67)

2014-01-24 Samer Masterson

        * Fixed bug #1272155. (b9d29dbc)

2014-01-24 Andrew Hayzen

        * Force full toolbar to be always shown in wideAspect;  Added
          labels of metadata to full toolbar if in wideAspect .
          (41ccb508)
        * Ensure wideAspect labels are blank when queue is empty (55f72e62)
        * Display toolbar buttons as inactive when queue is empty
          (cdfeeeeb)

2014-01-24 Boren Zhang

        * Fix song sheet to stay at the top of the list;  Fix the add to
          playlist sheet so items do not overlap the header.
          Fixes:
          https://bugs.launchpad.net/bugs/1272113,
          https://bugs.launchpad.net/bugs/1272151. (0a53ce5b)

2014-01-24 Andrew Hayzen

        * Fix for autopilot (180125a4)
        * Change default width/height for desktop mode (8a765130)

2014-01-24 Victor Thompson

        * Make sheets the same size. (f7e999ce)

2014-01-24 Boren Zhang

        * fix Bug #1272113 (8e4616ca)
        * fix Bug #1272151 (7d86e2d2)

2014-01-23 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (17d72189)

2014-01-21 Andrew Hayzen

        * Fix for pages going below toolbar (b1d501ac)

2014-01-21 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (12c3eaa7)

2014-01-21 Andrew Hayzen

        * Removal of View Queue button, instead use clicking on the
          metatags;  Various tweaks (26768650)
        * Added labels of metadata to full toolbar if in wideAspect;  Added
          temporary view queue button to full toolbar if in
          wideAspect;  Fixes for wideAspect cases to show toolbar
          (925170df)

2014-01-20 Andrew Hayzen

        * Force full toolbar to be always shown in wideAspect (c9d2be1a)

2014-01-20 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (e3a18db3)

2014-01-19 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (79b52cee)

2014-01-18 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (25c1c5ea)

2014-01-17 Victor Thompson

        * Update additional calls (88ee49e4)
        * Fix pep8 (1772f93c)
        * Fix typo causing expander not to collapse.
          Fixes:
          https://bugs.launchpad.net/bugs/1270258. (bec1d9d0)
        * Fix typo causing expander not to collapse. (dcd1709b)

2014-01-17 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (f6517365)

2014-01-17 Victor Thompson

        * Use CoverRow in all cases where multiple cover arts can be found.
          (17936d23)

2014-01-16 Victor Thompson

        * Merge trunk (6be23ebd)
        * Wait for items (2145dea4)

2014-01-16 Andrew Hayzen

        * Show autopilot python files in QtCreator project view for easy
          editing. (930b23e9)
        * Show autopilot python files in QtCreator for easy editing
          (b4af3d32)

2014-01-16 Victor Thompson

        * Use cover row for AlbumsSheet. (b3c457df)
        * Make sheets the same size (2760e464)
        * Actually fix pep8 error (0c909676)
        * Use CoverRow in all cases where multiple cover arts can be found
          (98b4ee1c)
        * Fix pep8 (3d1b960a)

2014-01-16 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (ff9511ce)

2014-01-15 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (65252d3a)

2014-01-15 Victor Thompson

        * Hide CoverRow's ShaderEffectSource. (d4702751)

2014-01-14 Victor Thompson

        * Hide ShaderEffectSource (2ebbae9a)

2014-01-15 Andrew Hayzen

        * Only display unique covers in playlists. (1fe5b396)
        * Rename getRandomCovers to getPlaylistCovers (6172b84e)
        * Refactor of CoverRow.qml (b25c6c58)

2014-01-14 Andrew Hayzen

        * Only display unique covers in playlists (240bb89f)
        * Only show blank cover if no covers exist (7957c7d6)
        * Ensure all unique covers are shown before randomly selecting
          (4fd6eebf)

2014-01-14 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (3566f6a0)

2014-01-13 Victor Thompson

        * Add an AP test to test playing a song from the Artists tab.
          (121bdfb3)

2014-01-13 Launchpad Translations on behalf of music-app-dev

        * Launchpad automatic translations update. (beaf5cfd)

2014-01-12 Andrew Hayzen

        * Merge of trunk (b36fac57)
        * Merge of trunk (8be57f95)

2014-01-12 Victor Thompson

        * Use sheet component for recent albums, artist albums, tracks in an
          artist's album, playlists, and genres.
          Fixes:
          https://bugs.launchpad.net/bugs/1201094,
